﻿var mygrid=false;
var pageNav=null;
var SelParm = null;
var ExprotToExcelBtn=null;
var grid="";
var exceldata="";
var _temp_list=null;

function PageInit(){

	pageNav=new PageNav("pagebox");
	pageNav.Request=function(pos){
		get_orderlist(pos);
	}
	pageNav.LoadData=function(data){
		$("#mygrid").datagrid("loadData",data);
	}

	//查询
	$('#query_btn').bind('click', function() {
		_temp_list=null;
		pageNav.Clear();
		get_orderlist();
	});
	
	//导出
	$('#query_out').bind('click', function() {
		ExprotToExcel("query_out","mygrid","hs_jgxx_his");	
	});

	//初始化时间
	var now=new Date();
	var eday=formatDate(now,'-');
	var sday=formatDate(addDate('d',-2,now),'-');
	$('#sdate').val(sday);
	$('#edate').val(eday);//默认查询最近3天的数据
	
	//初始化查询
	get_orderlist();
}

//查询请求
function get_orderlist(pos) {

	if(pos==undefined){
		pos="";
	}

	var _time1 = $('#sdate').val();
	var _time2 = $('#edate').val();

	_time1 = _time1.replace(/-/g, "");
	_time2 = _time2.replace(/-/g, "");

	if(_time2*1-_time1*1<0){
		alert("结束日期不能小于开始日期");
		return;
	}

	var _ix = new IXContent();

	SelParm = "Select init_date,business_time,opthold_type,option_code,option_name,stock_code,entrust_bs,entrust_oc,covered_flag,opt_business_price,occur_amount,business_balance,occur_balance,post_balance,post_amount,business_id,business_name,fare0,fare1 From 339803";
	_ix.Set('@COND',SelParm);	
	_ix.Set('@COUNT', '499');
	_ix.Set('@SIZE', '60000');
	_ix.Set('@POS', pos);
	_ix.Set('op_entrust_way','7');
	_ix.Set('sysnode_id', '5');
	_ix.Set('@MAC', '##MAC##');
	_ix.Set('branch_no', User.yyb);
	_ix.Set('client_id', User.khh);
	_ix.Set('fund_account',User.zjzh);
	_ix.Set('op_branch_no',User.yyb);
	_ix.Set('deliver_type','1');
	_ix.Set('password', '##PWD##');
	_ix.Set('start_date', _time1);
	_ix.Set('end_date', _time2);

	if(mygrid)
		$("#mygrid").datagrid("loading");
	else
		$("#tdx_center").addClass("loading");
	$("#tdx_center p.empty").remove();

	Win_CallTQL('ret_orderlist', '339803', _ix );
}

function ret_orderlist(_fromid,_funid,_flagtype,_json) {

	$("#mygrid").datagrid("loaded");
	$("#tdx_center").removeClass("loading");
	if(_funid == '339803'){
		var data = FormatResult(_json,1);
		exceldata = data;
		if (data.ErrorCode == 0) {
			if(_temp_list==null)
				_temp_list=data;
			else
			{
				for(var i=0;i<data.rows.length;i++)
					_temp_list.rows.push(data.rows[i]);
			}
			if(data["POS"]!="")
				get_orderlist(data["POS"]);
			if(data["POS"]=="" && _temp_list!=null)
			{
				if(data.Num==0 && pageNav.pageIndex==0){
					create_datagrid(_temp_list);
					$("#mygrid").datagrid("loadData",{rows:[]});
					$("<p class='empty' style='text-align:center;margin-top:15%;'>暂无记录</p>").appendTo($("#tdx_center .datagrid-body"));
				}
					else{
						exceldata=_temp_list;
						_temp_list.total=_temp_list.rows.length-1;
						create_datagrid(_temp_list);
						fill_datagrid(_temp_list);
					}
			}	
		} else {
			if(data.ErrorInfo.indexOf("没有查询数据")==-1){
				alert(data.ErrorInfo);
			}
			else{
				if(mygrid)
					$("#mygrid").datagrid("loadData",{rows:[]});
				else
					{
						create_datagrid(data);
						$("<p class='empty' style='text-align:center;margin-top:15%;'>暂无记录</p>").appendTo($("#tdx_center .datagrid-body"));
				}
			}
		}
	}
}

/*
* 创建数据表格函数
*/
function create_datagrid(data)
{	
	var config=data.config;

	var cols=[];
	var keys=config.FieldKey;
	for(var key in keys){
		var _title=config.FieldName[key];
		var _align=config.Align[key];
		var _width=config.Width[key];
		var _hide=config.HideFlag[key];
		if(_hide==1){continue;}
		cols[cols.length]={field:key,title:(_title==undefined?key:_title),halign:'center',align:(_align==undefined?'right':_align),sortable:true,width:(_width==undefined?80:_width)};
	}
	//请在这里配置返回的字段
	cols= [{
			title: '日期',
			field: 'init_date',
			align: 'center',
			sortable: true,
			width: 60
		}, {
			title: '成交时间',
			field: 'business_time',
			align: 'center',
			sortable: true,
			width: 70,
			formatter: function(val) {
				if(val.length <=1)
					return val;
				else if(val.length == 5)
					return (('0'+val).substring(0,2)+':'+('0'+val).substring(2,4)+':'+('0'+val).substring(4,6));
				else
					return (val.substring(0,2)+':'+val.substring(2,4)+':'+val.substring(4,6));
			}
		}, {
			title: '持仓类别',
			field: 'opthold_type',
			align: 'center',
			sortable: true,
			width: 70,
			formatter: function(val) {
				return sjzd_hs_ccfx[val];
			}
		}, {
			title: '合约代码',
			field: 'option_code',
			align: 'center',
			sortable: true,
			width: 70
		}, {
			title: '合约名称',
			field: 'option_name',
			align: 'center',
			sortable: true,
			width: 120
		}, {
			title: '证券代码',
			field: 'stock_code',
			align: 'center',
			sortable: true,
			width: 70
		},{
			title: '买卖方向',
			field: 'entrust_bs',
			align: 'center',
			sortable: true,
			width: 70,
			formatter: function(val) {
				return sjzd_hs_mmbz[val];
			}
		}, {
			title: '开平方向',
			field: 'entrust_oc',
			align: 'center',
			sortable: true,
			width: 70,
			formatter: function(val) {
				return sjzd_hs_kpbz[val];
			}
		}, {
			title: '备兑标志',
			field: 'covered_flag',
			align: 'center',
			sortable: true,
			width: 80,
			formatter: function(val) {
				if(val==1)
					return sjzd_hs_bdbz[1];
				else
					return sjzd_hs_bdbz[0];
			}
		}, {
			title: '成交价格',
			field: 'opt_business_price',
			align: 'center',
			sortable: true,
			width: 70,
			formatter: function(val){
				return parseFloat(val).toFixed(4);
			}
		}, {
			title: '发生数量',
			field: 'occur_amount',
			align: 'center',
			sortable: true,
			width: 70
		}, {
			title: '成交金额',
			field: 'business_balance',
			align: 'center',
			sortable: true,
			width: 70
		}, {
			title: '发生金额',
			field: 'occur_balance',
			align: 'center',
			sortable: true,
			width: 70
		}, {
			title: '后资金额',
			field: 'post_balance',
			align: 'center',
			sortable: true,
			width: 85
		}, {
			title: '后证券额',
			field: 'post_amount',
			align: 'center',
			sortable: true,
			width: 70
		}, {
			title: '成交编号',
			field: 'business_id',
			align: 'center',
			sortable: true,
			width: 70
		}, {
			title: '业务名称',
			field: 'business_name',
			align: 'center',
			sortable: true,
			width: 90
		}, {
			title: '佣金',
			field: 'fare0',
			align: 'center',
			sortable: true,
			width: 50
		}, {
			title: '印花税',
			field: 'fare1',
			align: 'center',
			sortable: true,
			width: 60
		}];

	$("<div id='mygrid'></div>").appendTo($("#tdx_center"));

	$("#mygrid").datagrid({
		fit:true,
		scrollbarSize:0,
		border:false,
		rownumbers:false,
		singleSelect:true,
		remoteSort: false,
		loadMsg:'正在请求数据，请稍后...',
		columns:[cols],
  	    onLoadSuccess: function(data){
  	    	$("#f1").html(data.rows.length);	
    	},
		onBeforeLoad:function ()
		{
			return false;
		}
	});
	mygrid=true;
}

//填充数据表格
function fill_datagrid(data){
	try{
		$("#mygrid").datagrid("loadData",data);
		pageNav.SetData(data);
	}
	catch(e)
	{
		alert("name: " + e.name + "message: " + e.message + "lineNumber: " + e.lineNumber + "fileName: " + e.fileName + "stack: " + e.stack); 
	}
}

/*
* 本函数适用于使用jquery和easyui的datagrid数据表格的数据导出
* 框架需支持dxzq_savetoexcel_open系列接口
* btn_id:  导出按钮的id
* grid_id: 数据表格datagrid的id
* type:    导出类型，接口需要，用于扩展
* 
* 导出范例：ExprotToExcel("export_btn","mygrid","wtcx,cjcx,zjls");
*/
function ExprotToExcel(btn_id,grid_id,type){

	// if(ExprotToExcelBtn!=null && ExprotToExcelBtn!=undefined){
	// 	alert("另一个导出正在进行，请稍后操作！");
	// 	return;
	// }

	if(exceldata.Num == 0)
	{
		alert("没有导出数据!");
		return;
	}

	try{
		//写文件头
		ExprotToExcelBtn=$("#"+btn_id);
		//ExprotToExcelBtn.attr("disabled",true);//禁用导出按钮

		grid=$("#"+grid_id);
		var fields='';
		var cols=grid.datagrid("getColumnFields");
		var _ix = new IXContent();
		var j = 0;
		_ix.Set('type','hs_jgxx_his');
		_ix.Set('jsfunc','RET_ExprotToExcel');
		_ix.Set('fieldnum',cols.length);
		for(var i=0;i<cols.length;i++){
			j = i+1;
			var strtmp='';
			if(grid.datagrid("options").columns[0][i].title=="合约代码" || grid.datagrid("options").columns[0][i].title=="证券代码")
				strtmp = '1'+'|'+grid.datagrid("options").columns[0][i].title;
			else
				strtmp = '0'+'|'+grid.datagrid("options").columns[0][i].title;
			_ix.Set('field'+j,strtmp);
		}
		Win_CallTQL('ZHCX_CTPMorePlugin','zhcx_savetoexcel_open',_ix);
		return;
	}
	catch(e){
		eval("Ret_ExprotToExcel"+"('UNKONW ERROR')");
		return;
	}
}

//示范回调函数
function RET_ExprotToExcel(msg){

	ExprotToExcelBtn.removeAttr("disabled");//这两句话不要删了吧，用于恢复导出按钮
	ExprotToExcelBtn=null;

	//下面是你可以修改的代码
	if(msg=="hs_jgxx_his"){
		//写文件内容
		var rows=grid.datagrid("getData").rows;
		for(var i=0;i<rows.length;i++){
			var tmp= 1;
			var str="";
			var _ix = new IXContent();
			_ix.Set('datanum',19);
			for(var key in exceldata.rows[i]){
				if(tmp==2)
				{
					if((exceldata.rows[i][key]).length <=1)
						str=exceldata.rows[i][key];
					else if((exceldata.rows[i][key]).length == 5)
						str =('0'+exceldata.rows[i][key]).substring(0,2)+':'+('0'+exceldata.rows[i][key]).substring(2,4)+':'+('0'+exceldata.rows[i][key]).substring(4,6);
					else
						str =(exceldata.rows[i][key]).substring(0,2)+':'+(exceldata.rows[i][key]).substring(2,4)+':'+(exceldata.rows[i][key]).substring(4,6);
				}				
				else if(tmp==3)				
					str = sjzd_hs_ccfx[exceldata.rows[i][key]];
				else if(tmp==7)
					str = sjzd_hs_mmbz[exceldata.rows[i][key]];	
				else if(tmp==8)
					str = sjzd_hs_kpbz[exceldata.rows[i][key]];			
				else if(tmp==9)
				{
					if(exceldata.rows[i][key]==1)
						str=sjzd_hs_bdbz[1];
					else
						str=sjzd_hs_bdbz[0];
				}
				else if(tmp==10)				
					str=parseFloat(exceldata.rows[i][key]).toFixed(4);		
				else
					str=exceldata.rows[i][key];
					
				if(typeof(str)=="undefined")
					str="";
				_ix.Set('data'+tmp,str);			
				tmp++;
			}
			Win_CallTQL("ZHCX_CTPMorePlugin","zhcx_savetoexcel_write",_ix);	
			}
			//关闭文件
			var _ixNone = new IXContent();
			_ixNone.Set('opennow',0);
			Win_CallTQL("ZHCX_CTPMorePlugin","zhcx_savetoexcel_close",_ixNone);
			alert("Excel文件导出成功！");
	}
	else
		alert("Excel文件导出失败！错误:"+msg);
}

