﻿var sdxGlob = {};
var g_Question;
var g_ix;
var g_riskName="";
var g_TZPZ="";
var g_TZQX="";
var g_ywid="";

$(function() {
    ShowDiv("jggzh",0);
    ShowDiv("bqdqrs",0);
    showLoading(1,"试卷玩命加载中...");
    getQuestion();
})

function ShowDiv(id,flag){
    var obj=document.getElementById(id);
    if(obj){
        obj.style.display=(flag?'block':'none');
    }
}

function getNowDate(){
    var date=new Date();
    var nowdate=date.getYear()*10000+(date.getMonth()+1)*100+date.getDate();
    return nowdate;
}

function callbackPrco(param){
    if(param=='0'){
        Win_CallTQL('OnProcAns', '306016', g_ix );
    }
}

function getQuestion() {
    try {
        var _ix = new IXContent();
        _ix.Set('@COUNT', '1000');
        _ix.Set('@POS', 0);
        _ix.Set('@MAC', '##MAC##');
        _ix.Set('KHBMLB',21 );
        _ix.Set('KHBH',User.khh);

        Win_CallTQL('OnProcAns', '306015', _ix );
    }
    catch(e){
        var strErr='获取试题异常: '+e.message;
        resultsToMaster('0','-1',strErr,'','','');
    }
}

function OnConfirm(){
    try
    {
        var info=g_strJJGZH;
        var regexp=new RegExp("##riskname##","gm");
        info=info.replace(regexp,g_riskName);
        regexp=new RegExp("##tzpz##","gm");
        info=info.replace(regexp,g_TZPZ);
        regexp=new RegExp("##tzqx##","gm");
        info=info.replace(regexp,g_TZQX);

        var _ix = new IXContent();
        _ix.Set('op_branch_no',User.yyb );
        _ix.Set('op_entrust_way','9' );
        _ix.Set('op_station','##MAC##' );
        _ix.Set('branch_no',User.yyb );
        _ix.Set('client_id', User.khh);
        _ix.Set('password','##PWD##');
        _ix.Set('password_type','2');
        _ix.Set('user_token','');
        _ix.Set('oper_info',info);

        Win_CallTQL('OnProcAns', '331279', _ix );
    }
    catch(e){
        var strErr='结果告知函确认出现异常: '+e.message;
        resultsToMaster('0','-1',strErr,'','','');
    }
}

function OnConfirm2(){
    try{
        var _ix = new IXContent();
        _ix.Set('KHBMLB',1 );
        _ix.Set('KHBH', User.khh);
        _ix.Set('SDXYW', g_ywid);

        Win_CallTQL('OnProcAns', '306046', _ix );
    }
    catch(e){
        var strErr='不恰当确认书确认出现异常: '+e.message;
        resultsToMaster('0','-1',strErr,'','','');
    }
}

function OnProcAns(_fromid,_funid,_flagtype,_json)
{
    try
    {
        if(_funid == '306015'){
            var data = FormatResult(_json,1);
            if(data.ErrorCode!=0){
                resultsToMaster('0',data.ErrorCode.toString(),data.ErrorInfo,'','','');
            }
            else{
                g_Question=[];
                var idx=0;
                var count=data.rows.length;
                var key='';
                var quesIdx=-1;
                var bxdaIdx=0;
                for(idx=0;idx<count;++idx){
                    if(key=='' || key!=data.rows[idx].XH){
                        quesIdx++;
                        bxdaIdx=0;
                        g_Question[quesIdx]={};
                        g_Question[quesIdx]["question_content"]=data.rows[idx].XH+". "+data.rows[idx].XMMC;
                        if(data.rows[idx].XMLX=="1")
                            g_Question[quesIdx]["question_kind"]="0";
                        else
                            g_Question[quesIdx]["question_kind"]="1";
                        // 存储其他数据
                        g_Question[quesIdx]["PCXM"]=data.rows[idx].PCXM;        //  评测项目
                        g_Question[quesIdx]["XH"]=data.rows[idx].XH;            //  序号
                        g_Question[quesIdx]["XMYZID"]=[];                       // 项目因子ID集合

                        key=data.rows[idx].XH;
                    }
                    g_Question[quesIdx]["XMYZID"][bxdaIdx]=data.rows[idx].XMYZID;
                    bxdaIdx++;
                    var bxdaKey='selans'+bxdaIdx;
                    g_Question[quesIdx][bxdaKey]=data.rows[idx].TZSM;
                }
                var tmptest=JSON.stringify(g_Question);

                var tmw = new TdxModWjcp("#app", {
                    hasinfo: 0,
                    qinfo: {
                    },
                    qtitle: {
                        field: "question_content"
                    },
                    qtype: {
                        field: "question_kind"
                    },
                    qans: {
                        fields: [
                            "selans1", "selans2", "selans3",
                            "selans4", "selans5", "selans6",
                            "selans7", "selans8", "selans9",
                            "selans10", "selans11", "selans12",
                            "selans13", "selans14"
                        ]
                    },
                    qdata: g_Question,
                    qsubmit: qSubmit
                });

                showLoading(0);
                tmw.run();
            }
        }
        else if(_funid == '306028'){
            var data = FormatResult(_json,1);
            if(data.ErrorCode!=0){
                resultsToMaster('0',data.ErrorCode.toString(),data.ErrorInfo,'','','');
            }
            else{
                var note=data.rows[0].NOTE;
                var risklevel=note.split('|')[2];
                g_riskName=note.split('|')[3];
                g_TZPZ=data.rows[0].TZPZ;
                g_TZQX=data.rows[0].TZQX;

                var _ix = new IXContent();
                _ix.Set('FXDJ',risklevel);

                Win_CallTQL('OnProcAns', '306029', _ix );
            }
        }
        else if(_funid == '306029'){
            var data = FormatResult(_json,1);
            if(data.ErrorCode!=0){
                resultsToMaster('0',data.ErrorCode.toString(),data.ErrorInfo,'','','');
            }
            else{
                var tip=g_strYJTConfirm;
                var adivce=data.rows[0].TZPZJY;
                var riskname=data.rows[0].FXDJMC;
                var regexp=new RegExp("##risk_level##","gm");
                tip=tip.replace(regexp,riskname);
                regexp=new RegExp("##advice_note##","gm");
                tip=tip.replace(regexp,adivce);
                var CallBack='[{\\"Action\\":\\"Confirm\\",\\"FuncName\\":\\"callbackPrco\\",\\"Param\\":\\"0\\",\\"ShowFlag\\":\\"1\\",\\"Title\\":\\"评估结果告知函\\"}]';
                resultsToMaster('1',data.ErrorCode.toString(),data.ErrorInfo,CallBack,'',tip);
            }
        }
        else if(_funid == '306016'){
            var data=FormatResult(_json,1);
            if(data.ErrorCode!=0){
                resultsToMaster('0',data.ErrorCode.toString(),data.ErrorInfo,'','','');
            }
            else{
                showLoading(0);
                ShowDiv("app",0);
                document.getElementById("risk_name").innerHTML=g_riskName+" ";
                document.getElementById("tzpz").innerHTML=g_TZPZ+" ";
                document.getElementById("tzqx").innerHTML=g_TZQX+" ";
                ShowDiv("jggzh",1);
            }
        }
        else if(_funid == '331279'){
            var data=FormatResult(_json,1);
            if(data.ErrorCode!=0){
                resultsToMaster('0',data.ErrorCode.toString(),data.ErrorInfo,'','','');
            }
            else{
                ShowDiv("jggzh",0);
                ShowDiv("bqdqrs",1);
                showLoading(1,"不恰当信息获取中");
                operationHostWnd('{\\"Title\\":\\"\\"}');

                var _ix = new IXContent();
                _ix.Set('KHBMLB',1 );
                _ix.Set('KHBH',User.khh);

                Win_CallTQL('OnProcAns', '306045', _ix );
            }
        }
        else if(_funid == '306045'){
            showLoading(0);
            var data=FormatResult(_json,1);
            if(data.ErrorCode!=0){
                resultsToMaster('0',data.ErrorCode.toString(),data.ErrorInfo,'','','');
            }
	    else if(data.Num<=0)
		operationHostWnd('{\\"Action\\":\\"Close_OK\\",\\"ConformType\\":\\"1\\"}');
            else{
                var risk_name="";
                var ywmc="";
                var ywid="";
                var idx=0;
                var arrFXName=new Array();
                var idx2=0
                var exists=false;
                var risk_tip="";
                for(idx=0;idx<data.rows.length;++idx){
                    if(risk_name==""){
                        risk_name=data.rows[idx].YWFXDJ;
                    }
                    ywmc+=data.rows[idx].YWMC;
                    ywid+=data.rows[idx].YWID;
                    if(idx<data.rows.length-1){
                        ywmc+=", ";
                        ywid+=";";
                    }
                    exists=false;
                    for(idx2 in arrFXName){
                        if(data.rows[idx].YWFXDJ == arrFXName[idx2]){
                            exists=true;
                            break;
                        }
                    }
                    if(!exists)
                        arrFXName[arrFXName.length]=data.rows[idx].YWFXDJ;
                }
                for(idx2=0;idx2<arrFXName.length;++idx2){
                    risk_tip+=arrFXName[idx2];
                    if(risk_tip<arrFXName.length-1)
                        risk_tip+=";";
                }
                g_ywid=ywid;
                document.getElementById("risk_name2").innerHTML=g_riskName; // risk_name
                document.getElementById("ywmc").innerHTML=ywmc;
                //document.getElementById("risk_info").innerHTML=risk_tip;
                document.getElementById("bqdqrs_khh").innerHTML="（"+User.khh+"）";
                document.getElementById("bqdqrs_name").innerHTML=User.uname;
            }
        }
        else if(_funid == '306046'){
            var data=FormatResult(_json,1);
            if(data.ErrorCode!=0){
                resultsToMaster('0',data.ErrorCode.toString(),data.ErrorInfo,'','','');
            }
            else{
                // 调整为直接退出
                operationHostWnd('{\\"Action\\":\\"Close_OK\\",\\"ConformType\\":\\"1\\"}');
            }
        }
    }
    catch(e)
    {
        var strErr="js处理应答数据出现异常,功能号"+_funid+","+e;
        resultsToMaster('0','-1',strErr,'','','');
    }
}

function qSubmit(ans)
{
    try
    {
        var count=ans.length;
        var idx=0;
        var da="";
        var xhIdx=1;
        var PCXMLB="";
        var PCXMLBTmp="";
        var PCYZLB="";
        var PCYZLBTmp="";
        for(xhIdx=1;xhIdx<=count;++xhIdx)
        {
            for(idx=0;idx<g_Question.length;++idx){
                if(g_Question[idx].XH == xhIdx){
                    PCXMLBTmp=g_Question[idx].PCXM;
                    var count2=ans[xhIdx-1].length;
                    var idx2=0;
                    for(idx2=0;idx2<count2;++idx2){
                        var dzIdx=ans[xhIdx-1][idx2];
                        PCYZLBTmp+=g_Question[idx]["XMYZID"][dzIdx];
                        if(idx2<count2-1)
                            PCYZLBTmp+=",";
                    }
                    if(xhIdx<count){
                        PCXMLBTmp+=";";
                        PCYZLBTmp+=";";
                    }

                    PCXMLB+=PCXMLBTmp;
                    PCYZLB+=PCYZLBTmp;
                    PCXMLBTmp="";
                    PCYZLBTmp="";
                }
            }
        }

        var _ix = new IXContent();
        _ix.Set('KHBMLB',21);
        _ix.Set('KHBH',User.khh);
        _ix.Set('PCFS',1);
        _ix.Set('PCLX','');
        _ix.Set('PCXMLB',PCXMLB);
        _ix.Set('PCYZLB',PCYZLB);
        _ix.Set('TZMSLB','');
        _ix.Set('PCZBLB','');
        _ix.Set('CZLX',1);
        _ix.Set('CZR','');
        _ix.Set('CRFS',0);
        _ix.Set('PCRQ',getNowDate());
        _ix.Set('CZZD',''); // '##MAC##'  送入这个,长江总线会报超过最大缓冲长度
        _ix.Set('PCQD',2);

        g_ix = _ix;
        Win_CallTQL('OnProcAns', '306028', _ix );
        showLoading(1,"正在交卷...");
    }
    catch(e)
    {
        var strErr='交卷出现异常: '+e.message;
        resultsToMaster('0','-1',strErr,'','','');
    }
}