/*****************************************************************************************
 提示语模版
 *****************************************************************************************/
// 预提交测评返回语   ##risk_level##    ##advice_note## 为替换串
var g_strYJTConfirm="尊敬的先生/(女士):\r\n根据您的选择,您目前风险承受能力等级为:##risk_level##\r\n建议投资品种:##advice_note##";

// 投资者风险承受能力评估结果告知函   ##riskname##  ##tzpz## ##tzqx## 为替换串
var g_strJJGZH="投资者风险承受能力评估结果告知函\r\n\r\n\
根据您填写的《投资者风险承受能力问卷》，本公司对您的风险承受能力进行了综合评估，现得到评估结果如下：\r\n\
您的风险承受能力为：##riskname##（根据公司风险承受能力等级划分填写，□激进型 □积极型  □稳健型 □谨慎型  □保守型 □保守型[最低]）\r\n\
您选择的投资品种为：##tzpz## （1.债券、货币市场基金、债券基金等固定收益类投资品种；2、股票、混合型基金、偏股型基金、股票型基金等权益类投资品种；3、期货、融资融券；4、复杂金融产品；5、其他产品）\r\n\
您选择的投资期限为: ##tzqx## （1.0到1年；2.0到3年；3.0到5年；4.无特别要求）\r\n\
长江证券声明\r\n\
本公司在此郑重提醒，本公司向您销售的产品或提供的服务将以您的风险承受能力等级和投资品种、期限为基础，若您提供的信息发生任何重大变化，您都应当及时书面通知本公司。本公司建议您审慎评判自身风险承受能力、结合自身投资行为，认真填写您的投资品种、期限，作出审慎的投资判断。\r\n\
如您在审慎考虑后同意本公司的评估结果，请认真阅读下列内容，并签字以示同意。\r\n\
\r\n\
客户特别声明\r\n\
本人（机构）经贵公司提示，已充分知晓贵公司向本人（机构）销售的产品或提供的服务将以本人（机构）此次确认的风险承受能力等级和投资品种、期限为基础。若本人（机构）提供的信息发生任何重大变化，本人（机构）都会及时书面通知贵公司。本确认函系本人（机构）独立、自主、真实的意思表示。本人/本机构清楚凡使用正确密码进行的操作，均视为开户人本人/本机构行为；本人/本机构通过身份验证登录贵司业务系统确认并同意接受相关金融服务电子合同或文书的，均视为已签署电子合同，与在纸质合同上手写签名或盖章的具有同等法律效力，无需另行签署纸质合同或文书。本人/本机构同意办理结果以最终反馈信息为准。\r\n\
";

function resultsToMaster(flag,errCode,errInfo,score,level,sdxmsg)
{
    var _ix = new IXContent();
    _ix.Set('errcode',errCode);
    _ix.Set('errinfo',errInfo);
    _ix.Set('flag',flag);
    if(errCode=='0')
    {
        _ix.Set('score',score);
        _ix.Set('risk_level',level);
        _ix.Set('sdxmsg',sdxmsg);
    }
    Win_CallTQL('','EvaluationResult',_ix);
}

function operationHostWnd(param){
    var _ix = new IXContent();
    _ix.Set('jsonstr',param);
    Win_CallTQL('','OperationHostWnd',_ix);
}

function risklevelDataMap(level){ // 风险等级数据字典
    var levelname="";
    switch(level){
        case '4':
            levelname='保守型';
            break;
        case '5':
            levelname='谨慎型';
            break;
        case '6':
            levelname='稳健型';
            break;
        case '7':
            levelname='积极型';
            break;
        case '8':
            levelname='激进型';
            break;
    }
    return levelname;
}