var griddata;  // 存放申购数据
var khh;  // 原来User中的khh是资金账号
var gddm = {}; // 缓存股东代码  统一个市场下主股东

$(function() {
	XgsgCreateGrid();

	// 获得申购额度
	// getSged(2);
	getGddm();

	window.onresize = resize;

	var _ix = new IXContent();
	_ix.Set("keyid", "F298");
	Win_CallTQL("ret_khxx", "getuidxml", _ix, '');

	$("#sg").bind("click", sgBtnClick);
	// $(".unit-input").live("change", inputChange);
	// $(".unit-btn").live("click", btnMaxClick);
});

function resize() {
	try {
		// debugger;
		$("#xgsg_list").datagrid("resize", { width: $("body").width() });
		$("#iwin").window("vcenter");
	} catch(e) {}
}

function getGddm() {
	Win_CallTQL("ret_gddm", "JY:1122", new IXContent(), '');
}

function ret_gddm(_fromid, _funid, _flagtype, data) {
	data = FormatResult(data, 1);
	if (data.ErrorCode != 0) {
		Alert(data.ErrorInfo);
		return;
	}

	for (var i = 0; i < data.rows.length; i++) {
		var rowdata = data.rows[i];
		// debugger;
		if ( (rowdata["F125"] == 0  || rowdata["F125"] == 1) && rowdata["F1213"] == "主股东" ) {
			gddm[rowdata["F125"]] = rowdata["F123"];
		}
	}
}

function ret_khxx(_fromid, _funid, _flagtype, data) {
	// debugger;
	khh = data;
	getSged(1);
	GetGridData();
}

function sgBtnClick() {
	// debugger;
	var rows = $("#xgsg_list").datagrid("getChecked");
	var len = rows.length;
	if (len == 0 || rows[0]["buy_unit"] == "没有相应的查询信息!") {
		Alert("请选择新股代码。");
		return;
	};
	var htmlStr = "<div class='div-center'><p style='font-weight:bold;'><span class='span-sgxx'>证券名称</span><span class='span-sgxx'>申购代码</span>"
				+ "<span class='span-sgxx'>申购数量</span><span class='span-sgxx'>申购价格</span></p>";
	for(var i = 0; i < len; i++) {

		if (rows[i]["tdx_sgsl"] == 0) {
			Alert("请输入申购数量");
			return;
		};

		htmlStr += "<p>"
				+		"<span class='span-sgxx'>" + rows[i]["stock_name"] + "</span>"
				+		"<span class='span-sgxx'>" + rows[i]["stock_code"] + "</span>"
				+		"<span class='span-sgxx'>" + rows[i]["tdx_sgsl"] + "</span>"
				+		"<span class='span-sgxx'>" + parseFloat(rows[i]["last_price"]).toFixed(2) + "</span>"
				+  "</p>";
	}

	htmlStr += "</div><div class='div-footer'><p style='line-height:30px;color:red;'>请确认以上委托</p>"
			+  "<p>"
			+		"<input type='button' class='btn' value='确定' onclick='sgSure();'>"
			+		"<input type='button' class='btn' value='取消' onclick='sgCancel();'>"
			+  "</p></div>";

	$("#iwin").window({
		"title": "新股申购确认",
		"content": htmlStr,
		"width": 400,
		"height": 300,
		"modal": true,
		"collapsible": false,
		"minimizable": false,
		"maximizable": false
	});
	resize();
}

function sgSure() {
	
	sgCancel();
	// debugger;
	var rows = $("#xgsg_list").datagrid("getChecked");
	var len = rows.length;
	if (len == 0) {
		Alert("请选择新股代码。");
		return;
	};
	var count = 0;
	var retStr = "";
	for(var i = 0; i < len; i++) {
		(function() {
			var rowdata = rows[i];

			if (rowdata["tdx_sgsl"] == 0) {
				count++;
				return;
			};

			// callTql("7779", {
			callTql("335002", {
				"stock_code": rowdata["stock_code"],
				"entrust_price": rowdata["last_price"],
				"entrust_amount": rowdata["tdx_sgsl"],
				"entrust_prop": "3",
				"entrust_bs": "1",
				"exchange_type": rowdata["exchange_type"],
				"stock_account": rowdata["tdx_gddm"]
			}, function(_json) {
				count++;
				var data = FormatResult(_json, 1);
				if (data.ErrorCode != 0) {
					retStr += rowdata["stock_name"] + ": 委托失败, " + data.ErrorInfo + "<br>"; 
				} else {
					retStr += rowdata["stock_name"] + ": 委托已提交, 委托编号" + data.rows[0]["entrust_no"] + "<br>";
				}

				if (count == len) {
					Alert(retStr);
				}
			});
		})();
	}
}

function sgCancel() {
	$("#iwin").window("destroy");
	if ($("#iwin").length == 0) {
		$("body").append("<div id='iwin'></div>");
	};
}

var ColList = [[
	{field: 'ck', "checkbox": true},
	{field:"stock_name", title:"证券名称", halign:"center", align:"center", width: 100, formatter: initZqmc},
	{field:"stock_code", title:"申购代码", halign:"center", align:"center", width: 120},
	{field:"last_price", title:"发行价格(元)", halign:"center", align:"center", width: 120, formatter: fixed2},
	{field:"tdx_ksgsl", title:"可申购数量(股)", halign:"center", align:"center", width: 120},
	{field:"tdx_sgsl", title:"申购数量(股)", halign:"center", align:"center", width: 120, formatter: initSgsl},
	{field:"buy_unit", title:"申购单位(股)", halign:"center", align:"center", width: 120},
	{field:"tdx_unitmoney", title:"中一签需缴金额(元)", halign:"center", align:"center", width: 120, formatter: fixed2},
	{field:"tdx_gddm", title:"股东代码", hidden: true},
	{field:"high_amount", title:"申购上限(股)", halign:"center", align:"center", width: 120, formatter: fixed0}
]];

function fixed0(value, row, index) {
	return parseInt(value);
}

function fixed2(value, row, index) {
	return parseFloat(value).toFixed(2);
}

function initZqmc(value, row, index) {
	if (value == nullGridStr) return value;
	var sc = "";
	if (row["exchange_type"] == 1) sc=" (沪)";
	else if (row["exchange_type"] == 2) sc=" (深)";
	return "<a class='a-underline' href='#' onclick='zqmcClick(\""+row["stock_code"]+"\"); return false;'>"+value+sc+"</a>";
}

function zqmcClick(stockcode) {
	// debugger;
	callTql("431006", {
		"stock_code": stockcode
	}, function(_json) {
		// debugger;
		var data = FormatResult(_json, 1);
		if (data.ErrorCode != 0) {
			Alert(data.ErrorInfo);
			return;
		};
		data.rows = data.rows || [];
		var rowdata = data.rows[0] || {};
		var tplstr = document.getElementById("xgxx").text;
		tplstr = tplstr.replace("$zqmc", rowdata["stock_name"] || "")
			  		   .replace("$zqdm", rowdata["stock_code_real"] || "")
			    	   .replace("$sgdm", rowdata["stock_code"] || "")
			    	   .replace("$fxsj", fmtDate(rowdata["apply_date"], '-'))
			  		   .replace("$sssj", fmtDate(rowdata["listdate"], '-'))
			  		   .replace("$fxsl", (rowdata["issue_amount"] || "") + "股")
			  		   .replace("$wsfxsl", (rowdata["online_amount"] || "") + "股")
			  		   .replace("$wxfxsl", (rowdata["offline_issue_amount"] || "") + "股")
			  		   .replace("$fxjg", (rowdata["price"] || "") + "元")
			  		   .replace("$fxsyl", parseFloat(rowdata["pe_ratio"] || "0").toFixed(2) + "倍")
			  		   .replace("$xjljbjbs", parseFloat(rowdata["timesbb"] || "0").toFixed(2) + "倍")
			  		   .replace("$gsmc", rowdata["chiname"] || "")
			  		   .replace("$szhy", rowdata["stk_trade_type"] || "")
			  		   .replace("$gsjj", rowdata["briefintrotext"] || "");

		$("#iwin").window({
			"title": "新股发行信息",
			"content": tplstr,
			"width": 700,
			"height": 420,
			"modal": true,
			"collapsible": false,
			"minimizable": false,
			"maximizable": false
		});
		resize();
	});
}

function initSgsl(value, row, index) {
	// debugger;
	return "<input type='text' class='form-input unit-input input-"+index
				+"' onchange='inputChange(this);' onkeydown='return inputKeydown(this)' colindex='"+index
				+"' style='width:60px;' value='"+(row["tdx_ksgsl"] || 0)+"'>"
			+ "<input type='button' class='btn3 unit-btn btn-"+index+"' onclick='btnMaxClick(this);return false;' value='最大' colindex='"+index+"'>";

}

function inputKeydown(obj) {
	// debugger;
	var code = event.keyCode;
	if ( code == 37 
		|| code == 39 
		|| code == 8 
		|| code == 46 
		|| code == 13
		|| code == 9) return true;

	if(obj.value.length > 8) return false;

	// 忽略数字以外的输入
	if ( !( code >= 48 && code <= 57 || code >= 96 && code <= 105) ) return false
}

function inputChange(obj) {
	var index  = $(obj).attr("colindex");

	griddata.rows[index]["tdx_sgsl"] = obj.value;
	$("#xgsg_list").datagrid("unselectAll");  // 去掉所有选中
}

function btnMaxClick(obj) {
	// debugger;
	var index = $(obj).attr("colindex");
	var $input = $(obj).siblings()[0];
	$input.value = griddata.rows[index]["tdx_ksgsl"];
	griddata.rows[index]["tdx_sgsl"] = griddata.rows[index]["tdx_ksgsl"];
	$("#xgsg_list").datagrid("unselectAll");  // 去掉所有选中
}

function XgsgCreateGrid() {
	$("#xgsg_list").datagrid({
		columns:ColList,
		selectOneCheck: false,
		checkOnSelect: false,
		selectOnCheck: false,
		onUncheck: gridUncheck,
		onCheck: gridCheck,
		onClickRow: clickRow,
		onCheckAll: gridCheckAll,
		onUncheckAll: gridUncheckAll
	});
}

function gridCheckAll(rows) {
	for(var i = 0; i < rows.length; i++) {
		gridCheck(i, rows[i]);
	}
}

function gridUncheckAll(rows) {
	for(var i = 0; i < rows.length; i++) {
		gridUncheck(i, rows[i]);
	}
}

function clickRow(index, row) {
	$("#xgsg_list").datagrid("unselectAll");
}

function gridCheck(index, row) {
	$(".input-" + index).removeAttr("disabled");
	$(".btn-" + index).removeAttr("disabled");
	$(".input-" + index).val(griddata.rows[index]["tdx_ksgsl"]);
	griddata.rows[index]["tdx_sgsl"] = griddata.rows[index]["tdx_ksgsl"];
}

function gridUncheck(index, row) {
	$(".input-" + index).attr("disabled", true);
	$(".input-" + index).val("");
	griddata.rows[index]["tdx_sgsl"] = 0;
	$(".btn-" + index).attr("disabled", true);
}

function getSged(type) {
	// debugger;
	var pack = new CTPack();
	pack.Set("entrust_prop", "3");
	// pack.Set("exchange_type", type);
	pack.Set("exchange_type", "");
	pack.Set("stock_code", "");
	pack.Set("stock_account", "");
	pack.Set("sysnode_id", "3");
	pack.Set("asset_prop", "7");
	pack.Set("client_id", khh);
	// pack.CallTQL("ret_Sged", "300");
	pack.CallTQL("ret_Sged", "335039");
}

function ret_Sged(_fromid,_funid,_flagtype,data) {
	// debugger;
	data=FormatResult(data,1);
	$("#shksged").val(0);
	$("#szksged").val(0);
	if(data.ErrorCode != 0){
		$.messager.alert("提示",data.ErrorInfo,"error");
		var shed = $("#shksged").val();
		var szed = $("#szksged").val();
		if (shed <= 0) $("#shksged").val(0);
		if (szed <= 0) $("#szksged").val(0);
	} else {

		for(var i = 0; i < data.rows.length; i++) {
			var amount = parseInt(data.rows[i]["enable_amount"]);
			amount = fmtDataQfw(amount);
			if (data.rows[i]["exchange_type"] == 1) {
				$("#shksged").val(amount);
			} else if (data.rows[i]["exchange_type"] == 2) {
				$("#szksged").val(amount);
			};
		}
	} 
}

function GetGridData() {
	var pack = new CTPack();
	pack.Set("stock_code", "");
	pack.Set("sysnode_id", "3");
	pack.Set("asset_prop", "7");
	pack.Set("client_id", khh);
	// pack.CallTQL("ret_GridData", "107");
	pack.CallTQL("ret_GridData", "330303");
}

function ret_GridData(_fromid, _funid, _flagtype, data) {
	// debugger;
	data = FormatResult(data, 1);
	if(data.ErrorCode == "-1") {
		$.messager.alert("提示",data.ErrorInfo,"error");
		gridUpdateData("xgsg_list", 1, data);
	} else {
		// debugger;
		// $("#xgsg_list").datagrid("loadData", data);
		// 没有新股数据
		if (data.rows == undefined || data.rows.length == 0) {
			gridUpdateData("xgsg_list", 1, data);
			return;
		};

		griddata = data;
		var count = 0;

		// 获得可申购数量
		for(var i = 0; i < data.rows.length; i++) {

			if ( data.rows[i]["exchange_type"] == 1 ) {
				griddata.rows[i]["tdx_gddm"] = gddm[1];
			} else if ( data.rows[i]["exchange_type"] == 2 ) {
				griddata.rows[i]["tdx_gddm"] = gddm[0];
			};

			(function(index) {

				var rowdata = data.rows[index];
				// callTql("7799", {
				callTql("335001", {
					"stock_code": rowdata["stock_code"],
					"exchange_type": rowdata["exchange_type"],
					"entrust_price": rowdata["last_price"],
					"entrust_prop": "3"
				}, function(json) {
					// debugger;
					count++;
					var data = FormatResult(json, 1);
					if (data.ErrorCode != 0) {
						// Alert(data.ErrorInfo);
						doSgsl({rows: [{}]}, count, index);
					} else {
						doSgsl(data, count, index);
					}
				})

			})(i);
		}

	}
}

function doSgsl(data, count, i) {
	// debugger;
	griddata.rows[i]["tdx_ksgsl"] = parseInt(data.rows[0]["enable_amount"] || 0);
	griddata.rows[i]["tdx_sgsl"] = griddata.rows[i]["tdx_ksgsl"] || 0;
	griddata.rows[i]["tdx_unitmoney"] = parseFloat(griddata.rows[i]["buy_unit"]) * parseFloat(griddata.rows[i]["last_price"]);
	// griddata.rows[i]["tdx_gddm"] = data.rows[0]["stock_account"];
	if (count == griddata.rows.length) {
		// debugger;
		$("#xgsg_list").datagrid("loadData", griddata);
		// gridUpdateData("xgsg_list", 1, griddata);

		var rows = $("#xgsg_list").datagrid("getRows");
		$.each(rows, function(index, rowdata) {
			if (rowdata["tdx_ksgsl"] > 0) {
				$("#xgsg_list").datagrid("checkRow", index);
			} else {
				$(".input-" + index).attr("disabled", true);
				$(".input-" + index).val("");
				$(".btn-" + index).attr("disabled", true);
			}
		});
		resize();
	};
}


// 通讯包裹函数
var ret = 0;
var callTql = function(funcid, ixs, callback) {
	var retFunc = "retfunc_" + (ret++);
	window[retFunc] = function(_fromid, _funid, _flagtype, _json) {
		callback(_json);
		window[retFunc] = null;
	}

	var _ix = new IXContent();
	_ix.Set('funcid', funcid);//功能号
	_ix.Set('fund_account', User.khh);//客户代码
	_ix.Set('password', "##PWD##");//交易密码	
	_ix.Set('version', "1");//固定参数	
	_ix.Set('op_branch_no', User.yyb);//固定参数	 操作站点(营业部)
	_ix.Set('op_entrust_way', User.wtfs);//固定参数	 委托方式(操作方式)
	_ix.Set('branch_no', User.yyb);//固定参数	 操作站点(营业部)
	_ix.Set('@MAC', User.minfo);//固定参数	
	_ix.Set('srp_kind', "1");
	_ix.Set('identity_type', "");
	_ix.Set('sysnode_id', "3");
	_ix.Set('asset_prop', "7");
	_ix.Set('entrust_bs', '1');
	_ix.Set('client_id', khh);
	// _ix.Set('entrust_type', '0');
	
	// 长江总线
	var index = User.minfo.indexOf(";");
	_ix.Set('s_uid', User.khh);
	_ix.Set('s_ip', User.minfo.substr(0, index));
	_ix.Set('s_mac', User.minfo);
	

	$.each(ixs, function(key, value) {
		_ix.Set(key, value);
	});

	Win_CallTQL(retFunc, "5010:SIMPLE."+funcid, _ix, '');
}

var Alert = function(msg, callback) {
	$.messager.alert("提示", msg, "", callback);
}

var nullGridStr ='没有相应的查询信息!';
var gridUpdateData = function(gid, sCol, data, opts) {
	// debugger;
	var opt = $("#" + gid).datagrid("options");
	opts = opts || {};
	var field = $("#" + gid).datagrid("getColumnFields");
	for (var i = 0; i < sCol; i++) {
		field.shift();
	}
	if (data.rows == undefined || data.rows.length == 0) {
		var r = {};
		$.each(field, function(k, v) {
			if (k) r[v] = "";
			else r[v] = opts["info"] || nullGridStr;
		})
		data.rows = [r];
		var t = {};
		t["align"] = opt.columns[0][sCol].align;
		t["styler"] = opt.columns[0][sCol].styler;
		opt.columns[0][sCol].align = "left";
		opt.columns[0][sCol].styler = function() {
			return "color:red;"
		};
		for (var k = 0; k < field.length; k++) {
			opt.columns[0][k + sCol].sortable = false;
		}
		$("#" + gid).datagrid("loadData", data.rows);
		$("#" + gid).datagrid("mergeCells", {
			"index": 0,
			"field": field[0],
			"colspan": field.length
		});
		opt.columns[0][sCol].align = t["align"];
		opt.columns[0][sCol].styler = t["styler"];

	} else {
		$("#" + gid).datagrid("loadData", data);
	}
}

function fmtDate(d, s) {
	d = d || "";
	if (d.length <= 0) return d;
	return d.substr(0,4) + s + d.substr(4,2) + s + d.substr(6);
}	

function fmtDataQfw(data) {
	data = data.toString();
	var len = data.length;
	var s = len % 3;
	var v = data.substr(0, s);
	while(s < len) {
		if (s == 0) {
			v = data.substr(s, 3);
		} else {
			v += "," + data.substr(s, 3);
		}
		s += 3;
	}
	return v;
}