var multipleCdCount = 0;
var multipleCdCur = 0;
var multipleCdSelRows = {};

var reserveTypeDict = {
	"0":"保证金理财"
};
var drcjList = [
	[{
		checkbox: true,
		width: 18
	},{
		field: 'init_date',
		title: '申请日期',
		halign: 'center',
		align: 'center',
		sortable: true
	}, {
		field: 'curr_date',
		title: '发生日期',
		halign: 'center',
		align: 'center',
		sortable: true,
		hidden: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'money_name',
		title: '货币名称',
		halign: 'center',
		align: 'center',
		hidden: true,
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'fundreserve_type',
		title: '预留资金申请类型',
		halign: 'center',
		align: 'center',
		sortable: true,
		// hidden: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		},
		formatter: function(val, rowdata, rowindex) {
			return reserveTypeDict[val] || val;
		}
	}, {
		field: 'reserve_balance',
		title: '预留金额',
		halign: 'center',
		align: 'center',
		// hidden: true,
		sortable: true,
        formatter: sjcl,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'valid_date',
		title: '生效日期',
		halign: 'center',
		align: 'center',
		// hidden: true,
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'money_type',
		title: '币种类别',
		halign: 'center',
		align: 'center',
		hidden: true,
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'deal_flag',
		title: '处理标志',
		halign: 'center',
		align: 'center',
		sortable: true,
        formatter: clbz,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}]
];

$(function() {
	cj_dzjy_share.createGrid('cylc_cd_grid', 'tdx_center', null, drcjList, false, 'init_date', 'desc');
	$("#cylc_cd_grid").datagrid("options").onDblClickRow = onDblClickRow;

	get_wtcx();
})

/*
	基金预留申请查询
*/
function sjcl(value, row, index){
	var value = parseFloat(value).toFixed(2);
	return value;
}

function clbz(value, row, index){
	var  clbz_1= {
            "0": "未处理",
            "1": "已处理",
            "2": "处理失败",
            "3": "处理作废"
        } 
    return value = (clbz_1[value]);
}

function get_wtcx() {
	// var query_kind = (document.getElementById("mycheck").checked) ? 1 : 0;
	var wtcfg = {
		"funcid": "513", //当天委托查询
		// 'en_entrust_prop':'AFC,AFW',
		// "query_kind":query_kind,
		// "position_str":"",
		"funcname": 'ret_wtcx'
	};
	cj_dzjy_share.setIX(wtcfg);
}

function ret_wtcx(_fromid, _funid, _flagtype, data) {
	if (_funid == '5010:SIMPLE.513') {
		// alert(data);//资金预留查询
		var data = FormatResult(data, 1);
		if (data.ErrorCode == 0) {

			if (data.rows == undefined || data.rows == '') {
				// alert('message');
			}else{
				gridUpdateData('cylc_cd_grid', 1, data);
			}
		} else {
			$.messager.alert("提示", data.ErrorInfo, "error");
		}
	}
}

/*
	撤单操作
*/
function cdOperation(selrows) {
	if (selrows.length == 0) {
		$.messager.alert('提示', "<span style='font-size:16px;'>请至少选择一笔需要撤单的委托!</span>", 'info');
		return;
	} else if (selrows.length == 1) {
		singleCdOperation(selrows[0]);
	} else if (selrows.length > 1) {
		multiplCdOperation(selrows);
	}

}

/*
	单笔撤单请求
*/
function get_cd(selrow) {
	$.each(selrow, function(k, v) {
		if (selrow[k] == '' || selrow[k] == undefined)
			selrow[k] = '---';
	});
	var wtcfg = {
		"funcid": "512", //撤单
		'allot_date': selrow.init_date, //委托编号
		'allot_serial_no': selrow.serial_no, //基金代码
		"funcname": 'ret_cd'
	};
	cj_dzjy_share.setIX(wtcfg);
}

function ret_cd(_fromid, _funid, _flagtype, data) {
	if (_funid == '5010:SIMPLE.512') {
		try {
			var data = FormatResult(data, 1);
			if (data.ErrorCode == 0) {
				$.messager.alert("提示", "<p style = 'font-size:16px;'>您的货币管家临时保留金额撤销申请已成功提交。</p>", "info");
				get_wtcx();
			} else {
				alert(data.ErrorInfo.substr(5));
			}

		} catch (e) {
			var temp_list = data.split('"');
			var tslabel = temp_list[1].substr(5)
			alert(tslabel);
		}
	}
}

/*
	单笔撤单
*/
function singleCdOperation(selrow) {
	$.each(selrow, function(k, v) {
		if (selrow[k] == ' ' || selrow[k] == undefined || selrow[k] == '')
			selrow[k] = '---';
	});
	// alert("!!!::"+JSON.stringify(selrow));
	var wtbh = selrow.entrust_no;
	if (wtbh == nullGridStr) return;
	var s = '';
	s += '<div class="confirm_txt">';
	s += '<p>操作类别：货币管家临时保留金额撤销</p>';
	s += '<p>预留金额:' + selrow.reserve_balance + '</p>';
	s += '<p>发生日期:' + selrow.curr_date + '</p>';
	s += '<p>预留资金申请类型:' + reserveTypeDict[selrow.fundreserve_type] + '</p>';
	// s += '<p>买卖方向:' + formatMmfx(selrow.entrust_bs) + '</p>';
	s += '</div>';
	$.messager.defaults = {
		ok: "是",
		cancel: "否"
	};
	$.messager.confirm('委托确认', s, function(r) {
		if (r) {
			get_cd(selrow);
		}
	});
}

/*
	多笔撤单请求
*/
function get_multipleCd() {
	var wtcfg = {
		"funcid": "512",
		// 'entrust_no': multipleCdSelRows[multipleCdCur].entrust_no,
		"funcname": 'ret_multipleCd'
	};
	cj_dzjy_share.setIX(wtcfg);
}

function ret_multipleCd(_fromid, _funid, _flagtype, data) {
	if (_funid == '5010:SIMPLE.512') {
		multipleCdCur += 1;
		try {
			var data = FormatResult(data, 1);
			if (data.ErrorCode == 0) {
				multipleCdCount += 1;
			} else {}

		} catch (e) {}
		if (multipleCdCur > (multipleCdSelRows.length - 1)) {
			multipleCdSelRows = {};
			multipleCdCur = 0;
			$.messager.alert("提示", "共有" + multipleCdCount + "笔撤单成功！", "info");
			multipleCdCount = 0;
			get_wtcx();
		} else {
			get_multipleCd();
		}
	}
}

/*
	多笔撤单
*/
function multiplCdOperation(selrows) {
	var s = '';
	s += '<p>共有' + selrows.length + '笔委托需要撤单，请确认！</p>';
	$.messager.defaults = {
		ok: "是",
		cancel: "否"
	};
	$.messager.confirm('提示', s, function(r) {
		if (r) {
			multipleCdSelRows = selrows;
			get_multipleCd();
		}
	});
}

/*
	撤单按钮响应
*/
function cdClick() {
	var selrows = $("#cylc_cd_grid").datagrid("getChecked");
	cdOperation(selrows);
}

/*
	双击表格撤单
*/
function onDblClickRow(rowIndex, rowData) {
	singleCdOperation(rowData);
}


function setCheckSta() {
	get_wtcx();
}

function refreshClick() {
	get_wtcx();
}