/*
 * 打新宝-标的证券查询
 * 20140610 唐亮   创建
 */

var _columnBDZQ = [[
			{field:'exchange_type',title:'交易类别',halign:'center',align:'left',width:60, 'formatter':formatByConst("exchange_type")}
			,{field:'stock_code',title:'证券代码',halign:'center',align:'left',width:60}			
			,{field:'stock_name',title:'证券名称',halign:'center',align:'left',width:60}
			,{field:'assure_price',title:'协议价',halign:'center',align:'right',width:60}
			,{field:'srp_assure_ratio',title:'折算率%',halign:'center',align:'right',width:60, formatter:format_Percent}
			,{field:'margin_alert_ratio',title:'警戒线%',halign:'center',align:'right',width:60, formatter:format_Percent}
			,{field:'margin_treat_ratio',title:'处置线%',halign:'center',align:'right',width:60, formatter:format_Percent}
			,{field:'assure_status',title:'质押状态',halign:'center',align:'left',width:60, formatter: formatDbzt}
			
		]];

var dbzt = {
	"0":"正常",
	"1":"暂停",
	"2":"作废"
};

function formatDbzt(value, rowdata, rowindex) {
	return dbzt[value];
}

var _query;
function PageInit()
{
	
	_query = new QueryPort({
		"preBtn": "id_pre_btn",
		"nextBtn": "id_next_btn",
		"viewText": "id_view",
		"loadFunc": get_data   	
	})
	$("#id_query").click(function() {
		_query.queryData();	
	});	

	$("#id_next_btn").click(function() {
		_query.nextPage();	
	});
	$("#id_pre_btn").click(function() {
		_query.prePage();
	});	
	create_datagrid("bdzq",_columnBDZQ);
	resetSelect('id_jylb', 'exchange_select', 1);
	_query.queryData();

	// get_data();	
	// alert(format3(3.3333))
	// get_CCCX()
}
function get_data(curPos,pageSize)
{
	
	var pack = new CTPack();
	var jylb = $("#id_jylb").find('option:checked').attr('value');
	var zqdm = $("#id_zqdm").val()
	if (jylb != '-1') pack.Set('exchange_type', jylb);
	if (zqdm != '-1') pack.Set('stock_code', zqdm);
	// pack.Set('position_str', curPos)
	pack.Set('@COUNT', pageSize);
	pack.Set('@POS', curPos);
	pack.CallTQL("ret_data", "7781");	
	
}


function ret_data(_fromid,_funid,_flagtype,data)
{
	data=FormatResult(data,1)
	
	if(data.ErrorCode=="-1"){
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
			
		var dataSrc = convertData(data, _columnBDZQ);
		var pos = data.POS;
		_query.refresh(pos);
		// alert(dataSrc.length)
		$("#load_bdzq").datagrid("loadData",{"total":1,"rows":dataSrc});	

	}	
}


//创建表格函数
function create_datagrid(cxtype, column)
{	
	var tableid = "load_" +  cxtype;
	var centerid = "tdx_center_" + cxtype;
	if ($("#" + tableid).length > 0)
		return;
	var mygrid=$("<div id='" + tableid + "'  ></div>").appendTo($("#" + centerid));
	mygrid.datagrid({
		//fitColumns:true,
		fit:true,
		width:240,
		// scrollbarSize:0,
		border:false,
		// remoteSort: false,
		singleSelect:true,
		// sortName: 'mktval',
		// sortOrder: 'desc',
		// clirow:null,
		// selectOnCheck:true,
		// onDblClickRow:onDblClickRow,
		// formatter:formatter,
		columns:column
	});
}
