/*
 * 打新宝-初始交易
 * 20140606 唐亮   创建
 */


var _typeObj = {};
var _oldZYSL = ''; //原始的质押数量，如果有变更才查询
var _oldCSJE = ''; //原始的初始金额，如果有变更才查询
var _clockZYSL = undefined; // 质押数量的定时器
var _clockCSJE  = undefined; // 初始金额的定时器
var _curStock = ""; //当前查询的股票代码
var _todayDate = ""; // 今天的日期
var _rcfbh = "";//在7785中的融出方编号有问题，需要在7782中重新查询
var _typeList = [];//产品列表
var _cacheRcf = [];//融出方
var _curGrid = 0; // 当前的TAB选择
var _tabList=["持仓查询","合同查询","期限类型"];
var _queryCCCX;
var _queryHTCX;
var _queryQXLL;
var _tabCtrl = [["tdx_center_cccx", get_CCCX],["tdx_center_htcx", get_HTCX],["tdx_center_qxll", get_LLCX]]

// $(window).resize(function() {
// 	
// 
	// $('#right_panel').width($(window).width() - 500);	
	// $('#right_panel1').width($(window).width() - 500);	
	// $('#right_panel2').width($(window).width() - 500);	
	// $("#tdx_center_cccx").datagrid("resize");
	// $("#tdx_center_htcx").datagrid("resize");
	// $("#tdx_center_qxll").datagrid("resize");
// });


var paramObj = function()
{
	this.zqdm = '';  //证券代码
	this.hgll = ''; //回购利率
	this.hgts = ''; //回购天数
	this.zysl = ''; //质押数量
	this.csje = ''; //质押数量
	this.rcfbh = ''; //融出方编号
	this.sc = ''; //股票市场
	this.gddm = ''; //股东代码
	this.yjlx = ''; //利息
	this.hgje = ''; //回购金额
	this.zqmc = ''; //回购金额
	this.qxlx = ''; //期限类型
	this.zjyt = ""; // 资金用途
}


var _commitParam = new paramObj();
var _checkParam =  new paramObj();
var _stockMarket = {
	
};
var resizeTimer = null;
	window.onresize = function(){
	   	resizeTimer = resizeTimer ? null : setTimeout(doResize,300);
	}
	function doResize(){
		$('#right_panel').layout('resize');
		for (var key=0; key<_tabCtrl.length; key++)
		{
			var id = "#" +  _tabCtrl[key][0];
			if (key == _curGrid)
			{
				$(id).datagrid('resize');
			} 

		}		
		

	}


function PageInit()
{
	_queryCCCX = new QueryPort({
		"preBtn": "id_pre_btn",
		"nextBtn": "id_next_btn",
		"viewText": "id_view",
		"loadFunc": get_CCCX   	
	});	

	_queryHTCX = new QueryPort({
		"preBtn": "id_pre_btn",
		"nextBtn": "id_next_btn",
		"viewText": "id_view",
		"loadFunc": get_HTCX  	
	});		

	_queryQXLL = new QueryPort({
		"preBtn": "id_pre_btn",
		"nextBtn": "id_next_btn",
		"viewText": "id_view",
		"loadFunc": get_LLCX 	
	});		
		
	// get_LLCX()
	$("#tab").tabs({
		height:26,
		border:false
	});

	addTab('tab',_tabList,0);
	$("#tab").tabs("options").onSelect=function(title,index){
		_curGrid = index;
		showGrid(_curGrid);
		queryGrid(_curGrid, 0);
	};		
	$("#id_bnt_refresh").click(function() {
		clear("all");		
	});
	$("#id_bnt_commit").click(function() {
		commit();		
	});	

	$("#id_next_btn").click(function() {
		queryGrid(_curGrid, 1);
	});
	$("#id_pre_btn").click(function() {
		queryGrid(_curGrid, 2);
	});
	$("#id_bnt_qb").click(function() {
		allInto();
	});
	
	
 	create_datagrid("cccx", _columnCCCX);
 	$("#tdx_center_cccx").datagrid({
 		onDblClickRow:function(rowIndex, rowData)
 		{
 			var zqdm = rowData['stock_code'];
 			
 			$("#id_zqdm").val(zqdm);
 			onStockInfo($("#id_zqdm"));
 		}
 	})
 	create_datagrid("htcx", _columnHTCX)
	create_datagrid("qxll",_columnLLCX);	
	get_Date();
	get_rcfbh();
	
	showGrid(_curGrid);
	queryGrid(_curGrid, 0);

	// 获取授信额度
	getSxed();
}

function allInto()
{
	var text = $("#id_zdcsje").val();
	$("#id_csje").val(text);
	check();
}

function showGrid(index)
{

	
	for (var key=0; key<_tabCtrl.length; key++)
	{
		var id = "#" +  _tabCtrl[key][0];
		if (key == index)
		{
			$(id).datagrid("getPanel").show();
			$(id).datagrid('resize');
		} 
		else
		{
			$(id).datagrid("getPanel").hide();				
		}
	}		
}

function queryGrid(index, flag)
{
	flag = flag == undefined? 0:flag;
	if (index == 0)
	{
		if (flag == 0)
		{
			_queryCCCX.queryData();
		}
		else if (flag == 1)
		{
			_queryCCCX.nextPage();	
		}
		else if (flag == 2)
		{
			_queryCCCX.prePage();	
		}		
	}
	else if (index == 1)
	{
		
		if (flag == 0)
		{
			_queryHTCX.queryData();
		}
		else if (flag == 1)
		{
			_queryHTCX.nextPage();	
		}
		else if (flag == 2)
		{
			_queryHTCX.prePage();	
		}		
	}
	else if (index == 2)
	{
		if (flag == 0)
		{
			_queryQXLL.queryData();
		}
		else if (flag == 1)
		{
			_queryQXLL.nextPage();	
		}
		else if (flag == 2)
		{
			_queryQXLL.prePage();	
		}
	}	
}

function getSxed() {
	var pack = new CTPack();
	pack.Set('cbpacct_type', '102');
	pack.CallTQL("ret_sxed", "7731");
}

function ret_sxed(_fromid, _funid, _flagtype, data) {
	data = FormatResult(data, 1);
	if(data.ErrorCode == 0) {

		if(data.rows.length == 0) data.rows = [{}];
		$("#id_sxed_txt").val(data.rows[0]["arp_credit_quota"] || 0);
		$("#id_kyed_txt").val(data.rows[0]["enable_quota"] || 0);

	} else {	
		$.messager.alert("提示", data.ErrorInfo);
	}
}

function get_Date()  //获取系统日期
{
	var pack = new CTPack();
	pack.CallTQL("ret_Date", "100")	
}


function ret_Date(_fromid,_funid,_flagtype,data)
{
	
	data=FormatResult(data,1)
	if(data.ErrorCode=="-1"){

	}
	else
	{
		if (data.rows.length > 0)
		{
			_todayDate = data.rows[0]['init_date'];
		}
	}
	get_TypeList();		
}
function get_TypeList()
{
	var pack = new CTPack();
	pack.CallTQL("ret_TypeList", "7785")	
	// setIX({"funcid":"7785","funcname":"ret_TypeList", "srp_kind":"1"})
}


function ret_TypeList(_fromid,_funid,_flagtype,data)
{
	// alert(data)
	data=FormatResult(data,1)
	if(data.ErrorCode=="-1"){
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		
		for (var i=0; i < data.rows.length; i++)
		{	
			
			var rowData = data['rows'][i];
			
			// 交易类型，产品名称，利率， 产品天数
		
			_typeList.push(rowData);
			
		}
		
	}	
}



function resetType(sc)
{
	
	if ($("#id_qxlx").length > 0)
	{
		$("#id_qxlx").find("option").remove();
		var aHtml = new Array();
		for (var i = 0; i < _typeList.length; i++)
		{	
			var rowData = _typeList[i];
			var srp_kind_days = rowData["srp_kind_days"];
			var srp_kind_name = rowData["srp_kind_name"];
			var srp_interest_ratio = rowData["srp_interest_ratio"];
			var exchange_type = rowData["exchange_type"];
			var funder_no = rowData["funder_no"];
			
			if (exchange_type != sc)
			{
				continue;
			}
			var li = '<option rcfbh="' +funder_no +'" hgts="' + srp_kind_days + '" hgll="' + srp_interest_ratio + '" qxlx="' +srp_kind_name +'" >' + srp_kind_name +'</option>';	
			
			aHtml.push(li);
		}
		
		if (aHtml.length > 0)
		{
			
			$("#id_qxlx").append(aHtml.join(' '));
			
		}
		setTypeInfo()
				
	}
		
}


function get_rcfbh()
{
	var pack = new CTPack();
	pack.CallTQL("ret_rcfbh", "7782")		
}
function ret_rcfbh(_fromid,_funid,_flagtype,data)
{
	
	data=FormatResult(data,1)
	if(data.ErrorCode=="-1"){
	}
	else
	{
		var dataList = new Array();
		_cacheRcf = data.rows;
	}	
}

function resetRcf(fundno)
{
	if ($("#id_ghfs").length > 0)
	{
		$("#id_ghfs").empty()
		$("#id_ghfs").append("<option>到期自动购回</option>")
	}
	if ($("#id_rcf").length > 0)
	{
		if (fundno == undefined || fundno == '')
		{
			$("#id_rcf").empty();
			return;
		}
		
		$("#id_rcf").find("option").remove();
		var aHtml = new Array();
		for (var i = 0; i < _cacheRcf.length; i++)
		{	
			var rowData = _cacheRcf[i];
			var funder_no = rowData["funder_no"];
			var funder_name = rowData["funder_name"];
			var li = '<option rcfbh="' + funder_no + '">' + funder_name +'</option>';	
			if (fundno == funder_no || parseInt(fundno)== -1) //与市场对应的融出方
			{
				aHtml.push(li);	
			}
			
		}
		
		if (aHtml.length > 0)
		{
			$("#id_rcf").append(aHtml.join(' '));
			
		}
				
	}

	
		
}


function setTypeInfo()
{
	$("#id_hgll").val("");
	$("#id_ghrq").val("");	
	$("#id_rcf").empty();
	var hgll = $("#id_qxlx").find('option:checked').attr('hgll');
	var hgts = $("#id_qxlx").find('option:checked').attr('hgts');
	if (hgts == undefined) return;
	var date_back = addDay(_todayDate, parseInt(hgts), "-");  //根据当天获取结束日期
	//alert(date_back);
	$("#id_hgll").val(format_Percent(hgll));
	//$("#id_ghrq").val(date_back);
	
	
	var fundno  = $("#id_qxlx").find('option:checked').attr('rcfbh');
	
	resetRcf(fundno)
	check();
	get_date_back()
}



/*
 * 获取最新的输入值
 */
function getInput(obj)
{

	
	obj['hgll'] = $("#id_qxlx").find('option:checked').attr('hgll');
	obj['rcfbh'] = $("#id_rcf").find('option:checked').attr('rcfbh') == undefined?'':$("#id_rcf").find('option:checked').attr('rcfbh');
	obj['hgts'] = $("#id_qxlx").find('option:checked').attr('hgts')== undefined?'0':$("#id_qxlx").find('option:checked').attr('hgts');;
	obj['qxlx'] = $("#id_qxlx").find('option:checked').attr('qxlx') == undefined?'':$("#id_qxlx").find('option:checked').attr('qxlx');
	obj['zysl'] = $("#id_zysl").val();
	obj['csje'] = $("#id_csje").val();
	obj['zqdm'] = $("#id_zqdm").val();
	obj['zqmc'] = $("#id_zqmc").text();
	obj['yjlx'] = $("#id_yjlx").val();
	obj['hgje'] = $("#id_dqhgje").val();

	
	
}


/*
 * 只输入数字
 */


/*
 * 质押数量变更
 */
function onChangeZYSL(obj)
{
	var value = $(obj).val();
	if (_oldZYSL == value)
	{return;}
	_oldZYSL  = value;
	
	if (_clockZYSL != undefined)
	{
		clearTimeout(_clockZYSL);
	}

	// 增加提示，不修改原来的逻辑
	if(parseInt(value) > parseInt($("#id_kzysl").val())) {
		$.messager.alert("提示", "您输入的质押数量已超过最大可质押数量，请确认！");
	}

	_clockZYSL = setTimeout(function(){
		get_CSJE();
	},500)
}

function onChangeCSJE(obj)
{
	var value = $(obj).val();
	if (_oldCSJE == value)
	{return;}
	_oldCSJE  = value;
	
	if (_clockCSJE != undefined)
	{
		clearTimeout(_clockCSJE);
	}
	

	_clockCSJE = setTimeout(function(){
		check();
		
	},500)
	
}


function get_ZYSLInfo()
{
	var zqdm = $("#id_zqdm").val();
	var zysl = $("#id_zysl").val();
	var exeType = '';
	if (_stockMarket.hasOwnProperty(zqdm))
	{
		exeType = _stockMarket[zqdm];
	}
	
	var pack = new CTPack();
	pack.Set('stock_code', zqdm);
	// pack.Set('exchange_type', exeType);
	pack.CallTQL("ret_ZYSLInfo", "403")
	// setIX({"funcid":"7781","funcname":"ret_StockInfo", "srp_kind":"1", "stock_code":stockCode})
}

function ret_ZYSLInfo(_fromid,_funid,_flagtype,data)
{
	data=FormatResult(data,1)
	if(data.ErrorCode=="-1"){
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		if (data.rows.length > 0)
		{
			$("#id_kzysl").val(format0(data.rows[0]['enable_amount']));
			
		}
		
	}
}


function onStockInfo(obj)
{
	
	var value = $("#id_zqdm").val();
	
	clear('zqdm');
	
	if (value.length < 6)
	{
		// resetType('');
		return;
	}
	
	get_StockInfo(value);
}


function get_StockInfo(stockCode)
{
	
	var pack = new CTPack();
	pack.Set('stock_code', stockCode);
	pack.CallTQL("ret_StockInfo", "7781")
	// setIX({"funcid":"7781","funcname":"ret_StockInfo", "srp_kind":"1", "stock_code":stockCode})
}

function ret_StockInfo(_fromid,_funid,_flagtype,data)
{
	var exeType = '';
	data=FormatResult(data,1)
	if(data.ErrorCode=="-1"){
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		
		if (data.rows.length > 0)
		{
			var rowData = data['rows'][0];
			var stockCode = data['rows'][0]['stock_code'];  //录入当前股票的对应的市场
			exeType = data['rows'][0]['exchange_type'];
			
			_stockMarket[stockCode] = exeType;
			gotoF5(stockCode);
		}
		else
		{
			var rowData = {"stock_name":'',"assure_price":"", "srp_assure_ratio":''}
		}
		updateStockInfo(rowData);
		if (exeType.length < 1)
		{
			$.messager.alert("提示","该股票不属于标的证券!","error")
			return;
		}
		
		resetType(exeType);
		get_ZYSLInfo();

	}		
}


function updateStockInfo(rowData)
{
	var zqmc = rowData["stock_name"];
	var xyj = rowData["assure_price"];
	var zsl = rowData["srp_assure_ratio"];	
	var nzsl = format_Percent(zsl);
	$("#id_zqmc").text(zqmc);
	// $("#id_xyj").val(xyj);
	//$("#id_zsl").val(nzsl);
}

function get_CSJE()
{
	_checkParam = new paramObj();
	getInput(_checkParam);
	clear('zysl');	
	get_gd_csje()
}
function get_gd_csje()
{
	var pack = new CTPack();
	pack.Set('stock_code', _checkParam.zqdm);
	// pack.Set('exchange_type', exeType);
	pack.CallTQL("ret_gd_csje", "403")
}

function ret_gd_csje(_fromid,_funid,_flagtype,data)
{
	
	try{

		data=FormatResult(data,1)	
	}catch(e)
	{
	}
	
	
	if(data.ErrorCode=="-1"){
		
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		
		if (data.rows.length > 0)
		{
			_checkParam.sc = data.rows[0]['exchange_type'];
			_checkParam.gddm = data.rows[0]['stock_account'];			
		}
		else
		{
			_checkParam.sc = "";
			_checkParam.gddm = "";
		}
		get_CSJEInfo(); 

	}		
} 


function get_CSJEInfo()
{
	

	var pack = new CTPack();
	if (_checkParam.zysl.length < 1 || _checkParam.zqdm.length < 6 || _checkParam.qxlx.length < 1|| _checkParam.rcfbh.length < 1)
	{
		return 
	}
	var date_back = addDay(_todayDate, parseInt(_checkParam.hgts));  //根据当天获取结束日期
	pack.Set('stock_code', _checkParam.zqdm);
	pack.Set('funder_no',  _checkParam.rcfbh);
	pack.Set('entrust_amount', _checkParam.zysl);
	pack.Set('entrust_balance', '');

	
	pack.Set('entrust_date', _todayDate);
	pack.Set('date_back', date_back);
	pack.Set('exchange_type', _checkParam.sc);
	pack.Set('stock_account', _checkParam.gddm);
	pack.Set('join_contract_id', "");

	pack.Set('srp_kind_days', _checkParam.hgts);
	
	pack.CallTQL("ret_CSJEInfo", '7790')
}

function ret_CSJEInfo(_fromid,_funid,_flagtype,data)
{
	// alert(data)
	try{

		data=FormatResult(data,1)	
	}catch(e)
	{	
	}
		
	if(data.ErrorCode=="-1"){
		
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		
		$("#id_zdcsje").val(Math.floor(data['rows'][0]["entrust_balance"]))

	}		
}	



function check()
{
	_checkParam = new paramObj();
	getInput(_checkParam);
	clear('csje');
	if (_checkParam.zysl.length < 1 || _checkParam.zqdm.length < 6 || _checkParam.csje.length < 1 || _checkParam.qxlx.length < 1|| _checkParam.rcfbh.length < 1)
	{
		return 
	}	
	get_gd_check();	
}

function get_gd_check()
{
	var pack = new CTPack();
	pack.Set('stock_code', _checkParam.zqdm);
	// pack.Set('exchange_type', exeType);
	pack.CallTQL("ret_gd_check", "403")
}

function ret_gd_check(_fromid,_funid,_flagtype,data)
{
	
	try{

		data=FormatResult(data,1)	
	}catch(e)
	{
	}
	
	
	if(data.ErrorCode=="-1"){
		
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		
		if (data.rows.length > 0)
		{
			_checkParam.sc = data.rows[0]['exchange_type'];
			_checkParam.gddm = data.rows[0]['stock_account'];			
		}
		else
		{
			_checkParam.sc = "";
			_checkParam.gddm = "";
		}
		get_Check(); 

	}		
} 




function get_Check()
{

	var pack = new CTPack();
	
	var date_back = addDay(_todayDate, parseInt(_checkParam.hgts));  //根据当天获取结束日期
	pack.Set('stock_code', _checkParam.zqdm);
	pack.Set('funder_no', _checkParam.rcfbh);
	pack.Set('entrust_amount', _checkParam.zysl);
	pack.Set('entrust_balance', _checkParam.csje);
	pack.Set('entrust_date', "");
	pack.Set('date_back', date_back);
	pack.Set('exchange_type', _checkParam.sc);
	pack.Set('stock_account', _checkParam.gddm);
	pack.Set('join_contract_id', "");
	
	pack.CallTQL("ret_Check", '7790')
}

function ret_Check(_fromid,_funid,_flagtype,data)
{
	
	try{

		data=FormatResult(data,1)	
	}catch(e)
	{
		// alert(e.description)
		// alert(e.number)
		
	}
	
	
	if(data.ErrorCode=="-1"){
		
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		// alert(data['rows'][0]["entrust_balance"])
		
		$("#id_yjfy").val(data['rows'][0]["sell_farex"])
		$("#id_ysje").val(data['rows'][0]["in_balance"])
		$("#id_yjlx").val(data['rows'][0]["profit"])
		$("#id_lybzbl").val(format_Percent(data['rows'][0]["av_margin_ratio"]))
		$("#id_dqhgje").val(data['rows'][0]["back_balance"])
		// $("#id_dqnll_txt").val(format_Percent(data['rows'][0]["expire_year_rate"]))
		

	}		
}

function commit()
{
	_commitParam = new paramObj();
	getInput(_commitParam);
	if (!check_Stock(_commitParam.zqdm))
	{
		$.messager.alert("提示","请输入完整证券号码!","error")
		return;
	}
	
	if (_commitParam.qxlx.length<1)
	{
		$.messager.alert("提示","请选择期限类型!","error")
		return;
	}	
		
	if (!check_Num(_commitParam.zysl))
	{
		$.messager.alert("提示","请输入质押数量!","error")
		return;
	}	
	if (!check_Float(_commitParam.csje))
	{
		$.messager.alert("提示","请输入初始金额!","error")
		return;
	}
	if (!check_Num(_commitParam.rcfbh))
	{
		$.messager.alert("提示","请选择融出方!","error")
		return;
	}
	
			

	strInfo="操作类别："+"初始交易"
	+"<br>期限类型："+_commitParam.qxlx
	+"<br>初始金额："+_commitParam.csje
	+"<br>证券代码："+_commitParam.zqdm
	+"<br>证券名称："+_commitParam.zqmc
	+"<br>质押数量："+_commitParam.zysl + "股"
	+"<br>利息："+_commitParam.yjlx
	+"<br>到期购回金额："+_commitParam.hgje
	+"<br>"
	+"<br>";

	if("2" == _stockMarket[_commitParam.zqdm]) { // 上海
		strInfo += "<span class='warning_text'>请注意！该业务下单后，不允许撤单。 </span>";
	}
	
	$.dialog({
	    id: 'xys',
	    title: '初始交易确认',
	    content: strInfo,
	    ok: function ()
	    {
			get_gd_commit()	
	    },
	    okValue: '确 定',
	    cancelValue: '取 消',
	    cancel: function () 
	    {
	    	$.messager.alert('提示','操作已取消',"info");
			
	    }
	});		
	
	

	
	
}

function get_gd_commit()
{
	var pack = new CTPack();
	pack.Set('stock_code', _commitParam.zqdm);
	// pack.Set('exchange_type', exeType);
	pack.CallTQL("ret_gd_commit", "403")
}

function ret_gd_commit(_fromid,_funid,_flagtype,data)
{
	
	try{

		data=FormatResult(data,1)	
	}catch(e)
	{
	}
	
	
	if(data.ErrorCode=="-1"){
		
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		
		if (data.rows.length > 0)
		{
			_commitParam.sc = data.rows[0]['exchange_type'];
			_commitParam.gddm = data.rows[0]['stock_account'];			
		}
		else
		{
			_commitParam.sc = "";
			_commitParam.gddm = "";
		}
		get_commit(); 

	}		
} 

function get_commit()
{
	var pack = new CTPack()
	
	
	var date_back = addDay(_todayDate, parseInt(_commitParam.hgts));  //根据当天获取结束日期
	//var cur_date = getDate(0);  //根据当天获取结束日期
	
	pack.Set('stock_code', _commitParam.zqdm);
	pack.Set('funder_no', _commitParam.rcfbh);	
	pack.Set('entrust_amount', _commitParam.zysl);
	pack.Set('entrust_balance', _commitParam.csje);

	pack.Set('entrust_date', "");
	pack.Set('date_back', $("#id_ghrq").val());//$("#id_zqdm").val()
	//pack.Set('date_back', date_back);
	//pack.Set('exchange_type', "2");
	pack.Set('exchange_type', _commitParam.sc);
	pack.Set('stock_account', _commitParam.gddm);
	// pack.Set('fund_usage', "1");
	// pack.Set('fund_usage', "新股申购");
	pack.Set("fund_usage_type", $("#id_zjyt").val());
	pack.Set("fund_usage",$("#id_zjyt option:selected").text());
//	pack.Set('fund_usage', $("input[name='zjyt']:checked").val());
	pack.Set('join_contract_id', "");
	
	pack.CallTQL("ret_commit", '7797')	
}

function ret_commit(_fromid,_funid,_flagtype,data)
{
	
	try{

		data=FormatResult(data,1)	
	}catch(e)
	{
		// alert(e.description)
		// alert(e.number)
	}
	
	
	if(data.ErrorCode=="-1"){
		
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		
		var text = "下单成功，委托编号为:" + data.rows[0]['entrust_no'];
		$.messager.alert("提示",text,"info")
		clear('all');
		return;
	}		
}



/*
 * 持仓查询
 */

function get_CCCX(curPos,pageSize){
	// var _ix = new IXContent();
	// Win_CallTQL('ret_CCCX', 'JY:1114', _ix, '');
	var pack = new CTPack();
	pack.Set('query_direction', '1');
	pack.Set('@COUNT', pageSize);
	pack.Set('@POS', curPos);		
	pack.Set('@COND',"SELECT position_str,exchange_type, stock_code, stock_name, enable_amount FROM 403 ");
	pack.CallTQL("ret_CCCX", "403");	
	
}
function ret_CCCX(_fromid,_funid,_flagtype,data){
	 // alert(data)
	var data = FormatResult(data, 1);
	if (data.ErrorCode == 0) {
		var pos = data.POS;
		
		_queryCCCX.refresh(pos);	
	 	$("#tdx_center_cccx").datagrid("loadData",{"total":1,"rows":data.rows});	
	 	$("#tdx_center_cccx").datagrid("resize")
	} else {
		_queryCCCX.refresh('');
		$.messager.alert('提示',data.ErrorInfo,"error");
	}		 
}

/*
 * 合同查询
 */

function get_HTCX(curPos,pageSize){
	var pack = new CTPack();
	// pack.Set('stock_code', stockCode);

	pack.Set('@COND',"SELECT position_str,init_date,srp_contract_status,"
		+ " contract_id, join_contract_id, status_name,"
		+ " stock_code, stock_name, entrust_amount, entrust_balance,"
		+ " back_balance, surplus_term, contract_term, date_back,"
		+ " real_date_back, real_year_rate, real_back_balance,"
		+ " bonus_amount, bonus_balance, stock_account, exchange_type,"
		+ " av_margin_ratio, margin_alert_ratio, margin_treat_ratio  FROM 7786 ");
	pack.Set('@COUNT', pageSize);
	pack.Set('@POS', curPos);	
	pack.CallTQL("ret_HTCX", "7786")
	// setIX({"funcid":"7781","funcname":"ret_StockInfo", "srp_kind":"1", "stock_code":stockCode})
}

function ret_HTCX(_fromid,_funid,_flagtype,data){
	 // alert(data)
	var data = FormatResult(data, 1);
	if (data.ErrorCode == 0) {
		var pos = data.POS;
		
		_queryHTCX.refresh(pos);	 	
	 	$("#tdx_center_htcx").datagrid("loadData",{"total":1,"rows":data.rows});	
	} else {
		_queryHTCX.refresh('');
		$.messager.alert('提示',data.ErrorInfo,"error");
	}
	// create_datagrid("htcx", _columnHTCX)
		 
}




function get_LLCX(curPos,pageSize)
{
	var pack = new CTPack();
	pack.Set('@COUNT', pageSize);
	pack.Set('@POS', curPos);		
	pack.CallTQL("ret_LLCX", "7785")	
	// setIX({"funcid":"7785","funcname":"ret_TypeList", "srp_kind":"1"})
}


function ret_LLCX(_fromid,_funid,_flagtype,data)
{
	
	data=FormatResult(data,1)
	if(data.ErrorCode=="-1"){
		_queryQXLL.refresh('');
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		
		var pos = data.POS;
		_queryQXLL.refresh(pos);		
		var dataSrc = convertData(data, _columnLLCX);
		
		$("#tdx_center_qxll").datagrid("loadData",{"total":1,"rows":data.rows});	
		

	}	
}

function clear(type)
{
	
	type = type == undefined? "all":type;
	
	if (type == "csje" || type == "zysl" || type == "zqdm" || type == "all")
	{
		$("#id_yjfy").val("");
		$("#id_ysje").val("");
		$("#id_yjlx").val("");
		$("#id_lybzbl").val("");
		$("#id_dqhgje").val("");		
	}
	if (type == "zysl" || type == "zqdm" || type == "all")
	{
		$("#id_csje").val("");
		$("#id_zdcsje").val("");	
		
	}	
	if (type == "zqdm" || type == "all")
	{
		$("#id_zqmc").text("");
		$("#id_kzysl").val("");
		// $("#id_xyj").val("");
		//$("#id_zsl").val("");	
		$("#id_zysl").val("");	
		resetType('');		
	} 
		
	if (type == "all")
	{
		$("#id_zqdm").val("");
	}

	
}


//创建表格函数
function create_datagrid(cxtype, column)
{	
	var centerid = "#tdx_center_" + cxtype;
	if ($(centerid).attr('iscreat') == '1') return;
	
	$(centerid).attr('iscreat', 1) 
		
	// var mygrid=$("<div id='" + tableid + "'></div>").appendTo($("#" + centerid));
	$(centerid).datagrid({
		fitColumns:false,
		fit:true,
		// fit:true,
		width:240,
		// scrollbarSize:0,
		border:false,
		// remoteSort: false,
		singleSelect:true,
		// sortName: 'mktval',
		// sortOrder: 'desc',
		// clirow:null,
		// selectOnCheck:true,
		// onDblClickRow:onDblClickRow,
		// formatter:formatter,
		columns:column
	});
}

function get_date_back()
{
	

	var pack = new CTPack();
	//var date_back = addDay(_todayDate, parseInt(_checkParam.hgts));  //根据当天获取结束日期
	pack.Set('stock_code', _checkParam.zqdm);
	pack.Set('funder_no',  _checkParam.rcfbh);
	//pack.Set('entrust_amount', _checkParam.zysl);
	//pack.Set('entrust_balance', '');

	
	//pack.Set('entrust_date', _todayDate);
	pack.Set('srp_kind', '2');
	pack.Set('exchange_type', _checkParam.sc);
	pack.Set('stock_account', _checkParam.gddm);
	pack.Set('join_contract_id', "");

	pack.Set('srp_kind_days', _checkParam.hgts);
	
	pack.CallTQL("ret_date_back", '7790')
}

function ret_date_back(_fromid,_funid,_flagtype,data)
{
	// alert(data)
	try{

		data=FormatResult(data,1)	
	}catch(e)
	{	
	}
		
	if(data.ErrorCode=="-1"){
		
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		
		//$("#id_zdcsje").val(Math.floor(data['rows'][0]["date_back"]))
		$("#id_ghrq").val(data['rows'][0]["date_back"]);
	}		
}	
