/*
	当日成交展示字段
*/
var drcjList =	[
				[
				{field:'curr_time',title:'委托时间',width:100,rowspan:1,align:'center',sortable:true,formatter:formatTimeStr},
				{field:'stock_code',title:'证券代码',width:100,rowspan:1,align:'center',sortable:true},
				{field:'stock_name',title:'证券名称',width:100,rowspan:1,align:'center',sortable:true},
				{field:'entrust_bs',title:'买卖标志',width:100,rowspan:1,align:'center',sortable:true,formatter:formatMmbz},
				{field:'entrust_prop',title:'委托属性',width:120,rowspan:1,align:'center',sortable:true,formatter:formatWtsx},
				
				{field:'real_status',title:'成交状态',width:100,rowspan:1,align:'center',sortable:true,formatter:formatCjzt},
				{field:'business_amount',title:'成交数量',width:100,rowspan:1,align:'center',sortable:true,sorter:sortNumber,formatter:formatSx0},
				{field:'business_balance',title:'成交金额',width:100,rowspan:1,align:'center',sortable:true,sorter:sortNumber,formatter:formatSx3},
				
				{field:'prop_seat_no',title:'对方席位号',width:100,rowspan:1,align:'center',sortable:true,sorter:sortNumber},
				
				{field:'report_no',title:'成交编号',width:100,rowspan:1,align:'center',sortable:true},
				{field:'entrust_no',title:'委托编号',width:100,rowspan:1,align:'center',sortable:true,sorter:sortNumber},
				{field:'stock_account',title:'股东代码',width:100,rowspan:1,align:'center',sortable:true}
				]
			    ];

$(function(){
	cj_dzjy_share.createGrid('dzjy_drcj_grid','tdx_center',null,drcjList,false,'curr_time','desc');
	get_drcj();
})


function get_drcj(){

	var cjcfg ={
		"funcid":"7725",
		"funcname":'ret_drcj'
	};

	cj_dzjy_share.setIX(cjcfg);
}

function ret_drcj(_fromid,_funid,_flagtype,data){

	if (_funid == '5010:SIMPLE.7725'){
		var data = FormatResult(data, 1);
		gridUpdateData('dzjy_drcj_grid',1,data);
		if (data.ErrorCode == 0){
			if(data.total>0){
				$('#count').text(data.total);
			}
			else{
				$('#count').text('0');
			}
			// gridUpdateData('dzjy_drcj_grid',1,data);
		}
		else{
			$.messager.alert("提示",data.ErrorInfo,"error");
		}
	}
}

function refreshdrcj(){
	get_drcj();
}
