/*
	当日委托展示字段
*/
var drwtList =	[
				[
				{field:'curr_time',title:'委托时间',width:80,rowspan:1,align:'center',sortable:true,formatter:formatTimeStr},
				{field:'stock_code',title:'证券代码',width:80,rowspan:1,align:'center',sortable:true},
				{field:'stock_name',title:'证券名称',width:80,rowspan:1,align:'center',sortable:true},
				{field:'entrust_bs',title:'买卖标志',width:80,rowspan:1,align:'center',sortable:true, formatter:formatMmbz},
				{field:'entrust_prop',title:'委托属性',width:120,rowspan:1,align:'center',sortable:true, formatter:formatWtsx},
				
				{field:'entrust_status',title:'委托状态',width:80,rowspan:1,align:'center',sortable:true, formatter: formatWtzt},
				{field:'entrust_price',title:'委托价格',width:80,rowspan:1,align:'center',sortable:true,sorter:sortNumber,formatter:formatSx3},
				{field:'entrust_amount',title:'委托数量',width:80,rowspan:1,align:'center',sortable:true,sorter:sortNumber,formatter:formatSx0},
				{field:'business_amount',title:'成交数量',width:80,rowspan:1,align:'center',sortable:true,sorter:sortNumber,formatter:formatSx0},
				
				{field:'cbpconfer_id',title:'双方约定号',width:80,rowspan:1,align:'center',sortable:true},
				{field:'prop_seat_no',title:'对方席位号',width:80,rowspan:1,align:'center',sortable:true},
				{field:'reduction_type',title:'受限股份类别',width:105,rowspan:1,align:'center',sortable:true,formatter:formatSxgflb},
				{field:'entrust_type',title:'委托类别',width:80,rowspan:1,align:'center',sortable:true,formatter:formatWtlb},
				{field:'stock_account',title:'股东账户',width:80,rowspan:1,align:'center',sortable:true},
				{field:'entrust_no',title:'委托编号',width:80,rowspan:1,align:'center',sortable:true,sorter:sortNumber}
				]
			    ];

$(function(){
	cj_dzjy_share.createGrid('dzjy_drwt_grid','tdx_center',null,drwtList,false,'curr_time','desc');
	get_drwt();
})


function get_drwt(){

	var wtcfg ={
		"funcid":"7724",
		// 'en_entrust_prop':'AFC,AFW',
		"funcname":'ret_drwt',
		"query_kind":'0',
		"query_type":'0'
	};

	cj_dzjy_share.setIX(wtcfg);
}

function ret_drwt(_fromid,_funid,_flagtype,data){
	if (_funid == '5010:SIMPLE.7724'){
		var data = FormatResult(data, 1);
		
		gridUpdateData('dzjy_drwt_grid',1,data);
		if (data.ErrorCode == 0){
			if(data.total>0){
				$('#count').text(data.total);
			}
			else{
				$('#count').text('0');
			}
			// gridUpdateData('dzjy_drwt_grid',1,data);
		}
		else{
			$.messager.alert("提示",data.ErrorInfo,"error");
		}
	}
}

function refreshdrwt(){
	get_drwt();
}
