/*
	历史委托展示字段
*/
var lswtList =	[
				[
				//{field:'init_date',title:'委托日期',width:100,rowspan:1,align:'center',sortable:true},
				{field:'curr_date',title:'委托日期',width:100,rowspan:1,align:'center',sortable:true},
				{field:'curr_time',title:'委托时间',width:100,rowspan:1,align:'center',sortable:true,formatter:formatTimeStr},
				{field:'stock_code',title:'证券代码',width:100,rowspan:1,align:'center',sortable:true},
				{field:'stock_name',title:'证券名称',width:100,rowspan:1,align:'center',sortable:true},
				{field:'entrust_bs',title:'买卖方向',width:100,rowspan:1,align:'center',sortable:true,formatter:formatMmbz},
				{field:'entrust_prop',title:'委托属性',width:120,rowspan:1,align:'center',sortable:true, formatter:formatWtsx},
				{field:'entrust_status',title:'委托状态',width:100,rowspan:1,align:'center',sortable:true,formatter:formatWtzt},
				{field:'entrust_amount',title:'委托数量',width:100,rowspan:1,align:'center',sortable:true,sorter:sortNumber,formatter:formatSx0},
				{field:'entrust_no',title:'委托编号',width:100,rowspan:1,align:'center',sortable:true,sorter:sortNumber},
				// {field:'entrust_way_name',title:'委托方式',width:100,rowspan:1,align:'center',sortable:true},
				{field:'stock_account',title:'股东账户',width:100,rowspan:1,align:'center',sortable:true},
				{field:'entrust_type',title:'委托类别',width:100,rowspan:1,align:'center',sortable:true,formatter:formatWtlb}
				]
			    ];

$(function(){
	$("#sdate").val(setTim(-7));
	$("#edate").val(setTim(-1));
	cj_dzjy_share.createGrid('dzjy_lswt_grid','tdx_center',null,lswtList,false,'curr_date','desc');
	get_lswt();
})

function get_lswt(){
	var sdate = $('#sdate').val();
	var edate = $('#edate').val();

	sdate = sdate.replace(/-/g, "");
	edate = edate.replace(/-/g, "");
	if(sdate > edate)
	{
		$.messager.alert("提示","起始日期不能大于终止日期！","error");
		return ;
	}

	var wtcfg ={
		"funcid":"7753",
		// 'en_entrust_prop':'AFC,AFW',
		"funcname":'ret_lswt',
		"begin_date":sdate,
		"end_date":edate
	};

	cj_dzjy_share.setIX(wtcfg);
}

function ret_lswt(_fromid,_funid,_flagtype,data){

	if (_funid == '5010:SIMPLE.7753'){
		var data = FormatResult(data, 1);
		gridUpdateData('dzjy_lswt_grid',1,data);
		if (data.ErrorCode == 0){
			if(data.total>0){
				$('#count').text(data.total);
			}
			else{
				$('#count').text('0');
			}
			// gridUpdateData('dzjy_lswt_grid',1,'');
		}
		else{
			$.messager.alert("提示",data.ErrorInfo,"error");
		}
	}
}

function refreshlswt(){
	get_lswt();
}
