var sdxGlob = {};
var featureid = "PC.js.webforjs69";
var msgtitle = "";

// 差异配置，不同后台调用功能号，修改这里
var conf = {

  // 答案前面是否要加 0, 1 - 添加，中信，0 - 不加
  ansAddZero: 0,
  questionGet: "138",
  ansSubmit: "198",  // 试题提交功能号

  /*

    流程：

    点击提交，

    sdxBefore -> hasQuestionShow -> hasConfirmSubmit -> sdxAfter
  
  */

  // 新的标准版逻辑
  sdxBefore: 0,             // 提交前适当性
  sdxAfter: 1,              // 提交后适当性
  hasQuestionShow: 1,       // 结果是否需要借助模板显示
  hasConfirmSubmit: 1       // 是否有一个确认提交
}

$(function() {

  getState();
})

function getState() {

  jyCallTql.send("GetGallery", {
    "key": "F1227"
  }, function(data) {
    // debugger;
    if(data) {
      data = data.split("|");
      sdxGlob["TDX_ID_XT_REMARK"] = data[0];
      sdxGlob["TDX_ID_XT_MESSAGETITLE"] = data[1];
      sdxGlob["TDX_ID_PAGEID"] = data[2];
      sdxGlob["TDX_ID_CPGSDM"] = data[3];
      sdxGlob["TDX_ID_CPDM"] = data[4];
      sdxGlob["TDX_ID_XT_PARAM"] = data[5];
    }

    // 清空内容
    jyCallTql.send("InitGallery", { "F1227": "" }, function() {});

    getQ();
  })
}

function getQ() {

  jyCallTql.send("JY:" + conf.questionGet, {
    "F1217": sdxGlob["TDX_ID_XT_REMARK"] || "SDX.QUESTION.SHOW,",
    "F1284": sdxGlob["TDX_ID_XT_MESSAGETITLE"] || "",
    "F362": featureid, 
    "F393": sdxGlob["TDX_ID_CPGSDM"] || "",
    "F391": sdxGlob["TDX_ID_CPDM"] || "",
    "F1227": sdxGlob["TDX_ID_XT_PARAM"] || "",
    "F1299": "100",
  }, function(data) {

    data = FormatResult(data, 1);
    if(data.ErrorCode != 0) {
      tdxAlert(data.ErrorInfo);
      return;
    }

    var hasinfo = data.rows[0]["F197"] > 0 ? 0 : 1;

    var tmw = new TdxModWjcp("#app", {
      hasinfo: hasinfo,
      qinfo: {
        field: "F149"
      },
      hastail: 1,
      qtail: {
        field: "F250"
      },
      qtitle: {
        field: "F149"
      },
      qtype: {
        field: "F1228"
      },
      qans: {
        fields: [
          "F340", "F341", "F342", 
          "F343", "F344", "F345", 
          "F346", "F347", "F348", 
          "F349"
        ]
      },
      qdata: data.rows,
      qsubmit: qSubmit
    });
  })
}

function qSubmit(ans) {

  if(conf.ansAddZero) {
    ans = "0;" + ans.join(";") + ";";
  }
  else {
    ans = ans.join(";") + ";";
  }

  sdxBefore(ans);
}


// 新逻辑，提交前适当性
function sdxBefore(ans) {

  if(conf.sdxBefore) {

    jyCallTql.send("CheckSdx", {
      "F149": [
        sdxGlob["TDX_ID_CPDM"] || "",
        sdxGlob["TDX_ID_CPGSDM"] || "",
        "SDX.CHECK_RISK_QUESTION.BEFORE,",         // 这个标示和接口约定
        featureid
      ].join("{T}")
    }, function(r) {

      if(r == 0) {

        nAnsSubmit(ans);
      }
    })
  }
  else {

    // 新逻辑，结果提交
    nAnsSubmit(ans);
  }
}

// 新逻辑，结果提交
function nAnsSubmit(ans) {

  if(conf.hasQuestionShow) {

    jyCallTql.send("CheckSdxQuestion", {
      "F149": [
        conf.ansSubmit,
        "SDX.CHECK_RISK_QUESTION,",
        featureid,
        sdxGlob["TDX_ID_CPGSDM"] || "",
        sdxGlob["TDX_ID_CPDM"] || "",
        sdxGlob["TDX_ID_XT_PARAM"] || "",
        ans,
        "2",
        "1",
        "1"
      ].join("{T}")
    }, function(r) {

      r = r.split("{T}");
      msgtitle = r[3];
      // 点击确定
      if(r[0] == 0) {

        confirmSubmit(ans);
      }
    })
  }
  else {

    confirmSubmit(ans);
  }

}

// 确认提交
function confirmSubmit(ans) {

  if(conf.hasConfirmSubmit) {

    jyCallTql.send("JY:136", {
      "F1217": "SDX.CHECK_RISK_QUESTION,", // 参数中逗号是必须的
      "F362": featureid,
      "F393": sdxGlob["TDX_ID_CPGSDM"] || "",
      "F391": sdxGlob["TDX_ID_CPDM"] || "",
      "F1227": sdxGlob["TDX_ID_XT_PARAM"] || "",
      "F149": ans,
      "F113": "0",
      "F1299": "1"
    }, function(data) {

      data = FormatResult(data, 1);
      if(data.ErrorCode != 0) {
        tdxAlert(data.ErrorInfo);
        return;
      }

      if(data.rows[0]["F149"]) {

        tdxAlert(data.rows[0]["F149"], function() {

          sdxAfter();
        })
      }
      else {

        sdxAfter();
      }
    })
  }
  else {
    sdxAfter();
  }
}

// 新逻辑，提交后适当性
function sdxAfter() {

  if(conf.sdxAfter) {

    jyCallTql.send("CheckSdx", {
      "F149": [
        sdxGlob["TDX_ID_CPDM"] || "",
        sdxGlob["TDX_ID_CPGSDM"] || "",
        "SDX.CHECK_RISK_QUESTION.AFTER,",         // 这个标示和接口约定
        featureid,
        "",
        "",
        "",
        "",
        msgtitle
      ].join("{T}")
    }, function(r) {

      if(r) {

        // nAnsSubmit(ans);
        nSubmitDone();
      }
    })
  }
  else {
    nSubmitDone();
  }
}

// 新逻辑收尾处理
function nSubmitDone() {
  
  
}

// 清空答案
function clearQ() {

  $("input[type='radio']").attr("checked", false);
  $("input[type='checkbox']").attr("checked", false);
}