
	
var _dict = {
	//	交易类别_恒生
 'exchange_type':
 {
	"0":'前台未知交易所',	
	"1":'上海',	
	"2":'深圳',	
	"9":'特转A',	
	"A":'特转B',
	"D":'上海B',	
	"H":'深圳B' 	
 },
 //交易类别  用于select索引
 'exchange_select': 
 {
	
	"1":'上海',	
	"2":'深圳'
 },
 
  //交易类别  用于select索引
 'exchange_tdx': 
 {
	
	"0":"深A",
	"1":"沪A",
	"2":"深B",
	"3":"沪B",
	"12":"三板A",
	"13":"三板B"
 },
 'fair_price_flag': //是否启用公允
 {
 	'0':"否",
 	'1':"是"
 },
 'htzt':
 {
 	"0":"已委托",
	"1":"生效",
	"2":"变更",
	"3":"购回申报",
	"4":"已处理",
	"5":"已作废",
	"6":"部分购回申请"
 },
 'wtsx':
 {
	"0":"买卖",
	"1":"配股",
	"2":"转托",
	"3":"申购",
	"4":"回购",
	"5":"配售",
	"6":"指定",
	"SPN":"股票质押初始交易",
	"SPS":"股票质押补充质押",
	"SPR":"股票质押购回交易",
	"SPB":"股票质押违约处置",
	"SPD":"股票质押部分解押",
	"SPT":"股票质押终止购回",
	"TRS":"资管份额转让"
 },
 'wtzt':
 {
	"0":"未报",
	"1":"待报",
	"2":"已报",
	"3":"已报待撤",
	"4":"部成待撤",
	"5":"部撤",
	"6":"已撤",
	"7":"部成",
	"8":"已成",
	"9":"废单",
	"A":"已报待改(港股)",
	"B":"预埋单撤单(港股)",
	"C":"正报",
	"D":"撤废",
	"E":"部成待改(港股)",
	"F":"预埋单废单(港股)",
	"G":"单腿成交",
	"H":"待审核(港股)",
	"J":"复核未通过(港股)",
	"U":"已确认待撤",
	"V":"已确认",
	"W":"待确认",
	"X":"预成交",
	"Y":"购回待确认",
	"Z":"已购回"
 }

}

function formatWtzt(value, rowdata, rowindex) {
	return _dict.wtzt[value];
}

function formatWtsx(value, rowdata, rowindex) {
	return _dict.wtsx[value] || value;
}

function formatHtzt(value, rowdata, rowindex) {
	return _dict.htzt[value];
}

//合同查询列表  
//长江要求去掉部分字段
var _columnHTCX = 
[[
			{field:'init_date',title:'初始交易日期',halign:'center',align:'left',width:70},

			// {field:'status_name',title:'合同状态',halign:'center',align:'left',width:60},
			{field:'srp_contract_status',title:'合同状态',halign:'center',align:'left',width:60, formatter: formatHtzt},
			{field:'exchange_type',title:'交易类别',halign:'center',align:'left',width:60, 'formatter':formatByConst("exchange_type")},
			{field:'stock_code',title:'证券代码',halign:'center',align:'left',width:60},
			{field:'stock_name',title:'证券名称',halign:'center',align:'left',width:60},
			//{field:'entrust_amount',title:'质押数量',halign:'center',align:'right',width:60,'formatter':format2},
			{field:'entrust_balance',title:'借款金额',halign:'center',align:'right',width:60,'formatter':format2},
			//{field:'real_back_balance',title:'当前还款金额',halign:'center',align:'right',width:60,'formatter':format2},
			{field:'surplus_term',title:'剩余购回期限(天)',halign:'center',align:'left',width:100},
			//{field:'contract_term',title:'购回期限(天)',halign:'center',align:'left',width:70},
			{field:'date_back',title:'初始购回交易日',halign:'center',align:'left',width:60},
			//{field:'real_date_back',title:'购回交易日',halign:'center',align:'left',width:60},
			//{field:'real_year_rate',title:'购回利率(%)',halign:'center',align:'right',width:70,'formatter':format_Percent},
			{field:'back_balance',title:'到期还款金额',halign:'center',align:'right',width:60,'formatter':format2},
			//{field:'bonus_amount',title:'红股数量',halign:'center',align:'right',width:60,'formatter':format2},
			//{field:'bonus_balance',title:'红利金额',halign:'center',align:'right',width:60,'formatter':format2},
			//{field:'stock_account',title:'证券账号',halign:'center',align:'left',width:60},
			{field:'av_margin_ratio',title:'履约保障比(%)',halign:'center',align:'right',width:80,'formatter':format_Percent},
			//{field:'margin_alert_ratio',title:'警戒线(%)',halign:'center',align:'right',width:60,'formatter':format_Percent},
			//{field:'margin_treat_ratio',title:'处置线(%)',halign:'center',align:'right',width:60,'formatter':format_Percent},
			{field:'contract_id',title:'合同号',halign:'center',align:'left',width:105},
			{field:'join_contract_id',title:'关联合同号',halign:'center',align:'left',width:105}			
				
]];

//历史合同查询列表
var _columnHTCX_LS = 
[[
			{field:'init_date',title:'初始交易日期',halign:'center',align:'left',width:70},

			// {field:'status_name',title:'合同状态',halign:'center',align:'left',width:60},
			{field:'srp_contract_status',title:'合同状态',halign:'center',align:'left',width:60, formatter: formatHtzt},
			//{field:'exchange_type',title:'交易类别',halign:'center',align:'left',width:60, 'formatter':formatByConst("exchange_type")},
			{field:'stock_code',title:'证券代码',halign:'center',align:'left',width:60},
			{field:'stock_name',title:'证券名称',halign:'center',align:'left',width:60},
			{field:'entrust_amount',title:'质押数量',halign:'center',align:'right',width:60,'formatter':format0},
			{field:'entrust_balance',title:'借款金额',halign:'center',align:'right',width:60,'formatter':format2},
			{field:'real_back_balance',title:'实际还款金额',halign:'center',align:'right',width:60,'formatter':format2},
			//{field:'surplus_term',title:'剩余购回期限(天)',halign:'center',align:'left',width:100},
			{field:'contract_term',title:'实际融资期限(天)',halign:'center',align:'left',width:70},
			//{field:'date_back',title:'初始购回交易日',halign:'center',align:'left',width:60},
			{field:'real_date_back',title:'实际购回交易日',halign:'center',align:'left',width:60},
			{field:'real_year_rate',title:'融资利率(%)',halign:'center',align:'right',width:70,'formatter':format_Percent},
			//{field:'back_balance',title:'到期还款金额',halign:'center',align:'right',width:60,'formatter':format2},
			//{field:'bonus_amount',title:'红股数量',halign:'center',align:'right',width:60,'formatter':format2},
			//{field:'bonus_balance',title:'红利金额',halign:'center',align:'right',width:60,'formatter':format2},
			{field:'stock_account',title:'证券账号',halign:'center',align:'left',width:60},
			{field:'margin_alert_ratio',title:'警戒线(%)',halign:'center',align:'right',width:60,'formatter':format_Percent},
			{field:'margin_treat_ratio',title:'处置线(%)',halign:'center',align:'right',width:60,'formatter':format_Percent},
			{field:'contract_id',title:'合同号',halign:'center',align:'left',width:105},
			{field:'join_contract_id',title:'关联合同号',halign:'center',align:'left',width:105},
				
]];




//持仓查询列表
var _columnCCCX = [[
			//{field:'exchange_type',title:'交易市场',halign:'center',align:'left',width:80 , 'formatter':formatByConst("exchange_type")},
			{field:'stock_code',title:'证券代码',halign:'center',align:'left',width:80},
			
			{field:'stock_name',title:'证券名称',halign:'center',align:'left',width:80},
			{field:'enable_amount',title:'可用数量',halign:'center',align:'right',width:80, formatter:format0}

			
		]];

//利率查询李彪
var _columnLLCX = [[
			{field:'exchange_type',title:'交易市场',halign:'center',align:'left',width:60, 'formatter':formatByConst("exchange_type")},
			{field:'srp_kind_days',title:'期限天数',halign:'center',align:'left',width:60},
			{field:'srp_kind_name',title:'期限名称',halign:'center',align:'left',width:60},
			{field:'srp_interest_ratio',title:'购回年利率(%)',halign:'center',align:'right',width:80,'formatter':format_Percent},
			{field:'funder_name',title:'融出方',halign:'center',align:'left',width:80}

			
		]];

//委托查询列表
var _columnWTCX= [[
			{field:'init_date',title:'委托日期',halign:'center',align:'left',width:60},
			// {field:'prop_name',title:'委托属性',halign:'center',align:'left',width:100},
			{field:'entrust_prop',title:'委托属性',halign:'center',align:'left',width:100, formatter: formatWtsx},
			{field:'stock_code',title:'证券代码',halign:'center',align:'left',width:60},
			{field:'stock_name',title:'证券名称',halign:'center',align:'left',width:60},
			{field:'entrust_amount',title:'委托数量',halign:'center',align:'right',width:60,'formatter':format0},
			{field:'entrust_balance',title:'委托金额',halign:'center',align:'right',width:60,'formatter':format2},
			// {field:'status_name',title:'委托状态',halign:'center',align:'left',width:60},
			{field:'entrust_status',title:'委托状态',halign:'center',align:'left',width:60, formatter: formatWtzt},
			{field:'contract_id',title:'合同号',halign:'center',align:'left',width:105},
			{field:'exchange_type',title:'交易类别',halign:'center',align:'left',width:60, 'formatter':formatByConst("exchange_type")},
			{field:'stock_account',title:'证券账号',halign:'center',align:'left',width:70},
			{field:'entrust_no',title:'委托编号',halign:'center',align:'left',width:60},
			{field:'curr_time',title:'发生时间',halign:'center',align:'left',width:60, formatter: formatTimeStr},
			{field:'report_time',title:'申报时间',halign:'center',align:'left',width:60, formatter: formatTimeStr}

	
		]];		
		
//历史委托查询列表， 发生时间 与委托查询的 委托时间不一样
var _columnWTCX_LS= [[
			{field:'init_date',title:'委托日期',halign:'center',align:'left',width:60},
			// {field:'prop_name',title:'委托属性',halign:'center',align:'left',width:100},
			{field:'entrust_prop',title:'委托属性',halign:'center',align:'left',width:100, formatter: formatWtsx},
			{field:'stock_code',title:'证券代码',halign:'center',align:'left',width:60},
			{field:'stock_name',title:'证券名称',halign:'center',align:'left',width:60},
			{field:'entrust_amount',title:'委托数量',halign:'center',align:'right',width:60,'formatter':format2},
			{field:'entrust_balance',title:'委托金额',halign:'center',align:'right',width:60,'formatter':format2},
			// {field:'status_name',title:'委托状态',halign:'center',align:'left',width:60},
			{field:'entrust_status',title:'委托状态',halign:'center',align:'left',width:60, formatter: formatWtzt},
			{field:'contract_id',title:'合同号',halign:'center',align:'left',width:105},
			{field:'exchange_type',title:'交易类别',halign:'center',align:'left',width:60, 'formatter':formatByConst("exchange_type")},
			{field:'stock_account',title:'证券账号',halign:'center',align:'left',width:70},
			{field:'entrust_no',title:'委托号',halign:'center',align:'left',width:60},
			{field:'curr_time',title:'发生时间',halign:'center',align:'left',width:60, formatter: formatTimeStr},
			{field:'report_time',title:'申报时间',halign:'center',align:'left',width:60, formatter: formatTimeStr}

	
		]];			
		
		

/*
 * 供表格格式化
 */
function formatByConst(constid)
{
	var dictk = {};
	if (_dict.hasOwnProperty(constid))
	{
		dictk = _dict[constid];
	}
	function getKey(key)  //表格格式化回调
	{
		if (dictk.hasOwnProperty(key))
		{
			return dictk[key];
			
		}
		else
		{
			return '';
		}
	}
	return getKey;
}

// 获取常量字典，如果key 不为空的话 则获取对应的常量值
function GetConstDict(constid, key)
{
	if (_dict.hasOwnProperty(constid))
	{
		if (key == undefined)
		{
			return _dict[constid];
		}
		if (_dict[constid].hasOwnProperty(key))
		{
			return _dict[constid][key];
		}
		else
		{
			return "";
		}
	}
}


// 通过常量值回去对应的key
function GetKeyFormValue(constid, value)
{	var key = '';
	if (_dict.hasOwnProperty(constid))
	{
		for(var i in _dict[constid])
		{
			if (_dict[constid][i]==value)
			{
				key=i;
				break;
			}
			
		}
	}
	return key;
}

/*
	格式化时间
*/
function formatTimeStr(time){
	var timeStr= '';
	if(time==null||time==undefined||time=='') return timeStr;
	if(isNaN(time)) return time;	// 是汉字或其它
	if(time.length<6) time='0'+time;
	for(var i=0;i<time.length;i++){
		if(i%2==0){
			timeStr +=(i==0)?'':':';
			timeStr+=time.substr(i,2);
		}
	}
	return timeStr.substr(0, 8);
}