
/* table change */

var g_height = 0;
var g_update = true;

function SetSelect(_index)
{
	for(var i = 1; i <= 4; i++)
	{
		$("Tab" + i).className = "tab_nor";
		$("Table" + i).style.display = "none";
	}
	$("Tab" + _index).className = "tab_down";
	$("Table" + _index).style.display = "block";
}

function SetFocusOn(_index)
{
	if($("Tab" + _index).className == "tab_down")
		return false;
	$("Tab" + _index).className = "tab_over";
}

function SetFocusOut(_index)
{
	for(var i = 1; i <= 4; i++)
	{
		if($("Tab" + i).className != "tab_down")
			$("Tab" + i).className = "tab_nor";
	}
}

/* my stock table */

function CallBackMsg(_msg, _param)
{
	switch(_msg)
	{
		case 100:
		{
			g_update = false;
			InitStockTable(true);
			g_update = true;
		}
		break;
		case 101:
		{
			UpdateInfo(_param);
		}
		break;
		case 102:
		{
			UpdateIndex(_param);
		}
		break;
		case 103:
		{
			UpdateIndex(_param);
		}
		break;
		case 104:
		{
			FillSuperIndex(_param);
		}
		break;
		case 105:
		{
			AddStock(_param);
		}
		break;
		case 106:
		{
			DeleteStock(_param);
		}
		break;
	}
}

function OnLoad()
{
	try{window.external.SetCallbackEntry(CallBackMsg);}catch(e){};
	InitStockTable(false);
	InitFutureTable();
	InitGlobalTable();
	InitSuperTable();
}

function CreateHeader(_index)
{
	var header1 = ["Ʊ", "  ", "г", "  "];
	var header2 = ["¼", "¼", "¼", "  ֵ"];
	var header3 = ["ǵ", "ǵ", "ǵ", "ӯ  "];
	var tr = document.createElement("TR");
	tr.setAttribute("id", "tabHeader" + _index);
	tr.setAttribute("valign", "left");
	tr.setAttribute("width", 257);
	
	td = document.createElement("TD");
	td.setAttribute("width", 18);
	tr.appendChild(td);
	
	var td = document.createElement("TD");
	td.setAttribute("width", 90);
	td.setAttribute("height", 18);
	td.innerText = header1[_index - 1];
	tr.appendChild(td);
	
	td = document.createElement("TD");
	td.setAttribute("width", 60);
	td.setAttribute("id", "header2")
	td.innerText = header2[_index - 1];
	tr.appendChild(td);
	
	td = document.createElement("TD");
	td.setAttribute("width", 60);
	td.setAttribute("id", "header3")
	td.innerText = header3[_index - 1];
	tr.appendChild(td);
	
	td = document.createElement("TD");
	td.setAttribute("width", 25);
	tr.appendChild(td);
	
	var table = "table" + _index;
	$(table).appendChild(tr);
	if(_index == 1)
		g_height = 121;
}

function CreateSeparator(_objId, _table)
{
	var tr = document.createElement("TR");
	tr.setAttribute("id", _objId);
	
	var td = document.createElement("TD");
	td.setAttribute("height", 1);
	td.setAttribute("colSpan", 5);
	td.setAttribute("align", "middle");
	td.setAttribute("className", "td_line");
	td.innerHTML = "<img src=\"images/stock_line.gif\"></img>";
	tr.appendChild(td);
	
	$(_table).appendChild(tr);
	if(_table == "table1")
		g_height += 7;
}

function ClearSeparator()
{
	var nPos1, nPos2;
	nPos1 = nPos2 = 0;
	var len = Table1.rows.length;
	for(var i=0; i<len; i++)
	{
		if(Table1.rows[i].id.toString() == "line2")
		{
			nPos1 = i;
		}
		else if(Table1.rows[i].id.toString() == "line3")
		{
			nPos2 = i;
		}
	}
	
	if(nPos1 + 1 == len ||
	   Table1.rows[nPos1 + 1].id == "line3")
		DeleteRow("line2");
		
	if(nPos2 + 1 == len)
		DeleteRow("line3");
}

function DeleteRow(_objId)
{
	var bFound = false;
	var nCount = 0;
	var len = Table1.rows.length;
	for(var i=0; i<len; i++)
	{ 
		if(Table1.rows[i].id != null &&
			Table1.rows[i].id == _objId)
		{
			bFound = true;
			break
		}
		nCount ++;	
	} 
	
	if(_objId.toString().indexOf("line") == -1)
	{
		g_height -= 17;
	}
	else
	{
		g_height -= 7;
	}
	
	if(bFound)
	{
		$("Table1").deleteRow(nCount);
	}
}

function SetRowFocus(_type, _objId, _focus)
{
	var optBtnId = _objId + "_4";
	if(_focus)
	{
		$(_objId).bgColor = "#cee9fb";
		if(_type != "0")
			$(optBtnId).setAttribute("className", "btn_disp");
	}
	else
	{
		$(_objId).bgColor = "#F9FCFF";
		if(_type != "0")
			$(optBtnId).setAttribute("className", "btn_hide");
	}
}

function FillIndexItem(_indexInfo, _table)
{
	if(_indexInfo.length < 4)
		return false;
		
	var name = _indexInfo[0];
	var code = "index" + _indexInfo[1];
	var rise = _indexInfo[2];
	var price = _indexInfo[3];
	var scale = _indexInfo[4];
	
	if(CheckObj(code))
		return;
	
	var tr = document.createElement("TR");
	tr.setAttribute("id", code);
	tr.setAttribute("align", "left");
	var objId = tr.id;
	tr.attachEvent("onmouseover", function(){SetRowFocus(0, objId, true);});
	tr.attachEvent("onmouseout", function(){SetRowFocus(0, objId, false);});

	var td = document.createElement("TD");
	td.setAttribute("width", 22);
	tr.appendChild(td);
	
	if(rise == '1')
	{
		td = document.createElement("TD");
		td.setAttribute("height", 17);
		var a = document.createElement("A");
		a.setAttribute("id", code + "_1");
		if(name.length > 7)
		{
			var title = name;
			name = name.substr(0, 7);
			td.setAttribute("title", title);
		}
		td.innerText = name;
		td.appendChild(a);
		tr.appendChild(td);

		td = document.createElement("TD");
		td.setAttribute("className", "td_red");
		td.setAttribute("id", code + "_2");
		td.innerText = price;
		tr.appendChild(td);
	
		td = document.createElement("TD");
		td.setAttribute("className", "td_red");
		td.setAttribute("id", code + "_3");
		td.innerText = scale;
		tr.appendChild(td);
	}
	else
	{
		td = document.createElement("TD");
		td.setAttribute("height", 17);
		var a = document.createElement("A");
		a.setAttribute("id", code + "_1");
		if(name.length > 7)
		{
			var title = name;
			name = name.substr(0, 7);
			td.setAttribute("title", title);
		}
		a.innerText = name;
		td.appendChild(a);
		tr.appendChild(td);
		
		td = document.createElement("TD");
		td.setAttribute("className", "td_green");
		td.setAttribute("id", code + "_2");
		td.innerText = price;
		tr.appendChild(td);
	

		td = document.createElement("TD");
		td.setAttribute("className", "td_green");
		td.setAttribute("id", code + "_3");
		td.innerText = scale;
		tr.appendChild(td);
	}

	td = document.createElement("TD");
	td.setAttribute("align", "left");
	td.setAttribute("height", 17);
	tr.appendChild(td);
	
	$(_table).appendChild(tr);
	if(_table == "table1")
		g_height += 17;
}

function FillSuperIndex(_fundInfo)
{
	var infoList = _fundInfo.split(SPLITTER_FIELD);
	if(infoList.length < 5)
		return;
	
	var superItem = new Array();
	superItem[0] = infoList[0].toString();
	superItem[1] = infoList[1].toString();
	superItem[2] = infoList[2].toString();
	superItem[3] = infoList[3].toString();
	superItem[4] = infoList[4].toString();
	
	var objId = "index_818" + superItem[1];
	if(!CheckObj(objId))
	{
		FillIndexItem(superItem, "table4");
	}
}

function FillStockItem(_stockInfo, _type)
{
	if(_stockInfo.length < 4)
		return false;
	
	var infoList = _stockInfo.split(SPLITTER_FIELD);
	if(infoList.length < 21)
		return false;
	
	var name = infoList[0].toString();
	var code = "818" + infoList[1].toString();
	var rise = infoList[2].toString();
	var price = infoList[3].toString();
	var scale = infoList[4].toString();
	var floatNum = infoList[5].toString();
	var turnover =  infoList[6].toString();
	var balance = infoList[7].toString();
	var profit = infoList[8].toString();
	var stype = infoList[9].toString();
	
	if(CheckObj(code))
		return;

	var ystdClose =  "գ" + infoList[10].toString();
	var todayOpen = "񿪣" + infoList[11].toString();
	var todayMax = "ߣ" + infoList[12].toString();
	var todayMin = "ͣ" + infoList[13].toString();
	floatNum = "ǵ" + floatNum;
	var todaySwing = "" + infoList[14].toString();
	var energyRatio = "ȣ" + infoList[15].toString();
	var turnoverRatio = "֣" + infoList[16].toString();
	var comeOut = "̣" + infoList[17].toString();
	var comeIn = "̣" + infoList[18].toString();
	var tranCapital = "ͨ" + infoList[19].toString();
	var stockPE = "ӯ" + infoList[20].toString();
	var stockBalance = "ǰֵ" + balance + "Ԫ";
	var stockProfit	= "οӯ" + profit + "Ԫ";
	
	var title = ystdClose + "  " +  todayOpen + "\r" + 
				todayMax + "  " + todayMin + "\r" + 
				floatNum + "  " + todaySwing + "\r" + 
				energyRatio + "  " + turnoverRatio  + "\r" + 
				comeOut + "  " + comeIn  + "\r" + 
				tranCapital + "  " + stockPE;
				
	if(stype == "1")
	{
		title = title + "\r" + stockBalance;
		title = title + "\r" + stockProfit;
	}
			
	var tr = document.createElement("TR");
	tr.setAttribute("id", code);
	tr.setAttribute("align", "left");
	tr.setAttribute("title", title);
	var objId = tr.id;
	tr.attachEvent("onmouseover", function(){SetRowFocus(_type, objId, true);});
	tr.attachEvent("onmouseout", function(){SetRowFocus(_type, objId, false);});

	var td = document.createElement("TD");
	td.setAttribute("width", 22);
	tr.appendChild(td);
	
	if(rise == '1')
	{
		td = document.createElement("TD");
		td.setAttribute("height", 17);
		var a = document.createElement("A");
		if(_type == 1)
			a.setAttribute("className", "buy");
		a.setAttribute("id", code + "_1");
		a.setAttribute("href", "javascript:external.ViewStock("+ code +");");
		a.innerText = name;
		td.appendChild(a);
		tr.appendChild(td);
	
		td = document.createElement("TD");
		td.setAttribute("className", "td_red");
		td.setAttribute("id", code + "_2");
		td.innerText = price;
		tr.appendChild(td);
	
		td = document.createElement("TD");
		td.setAttribute("className", "td_red");
		td.setAttribute("id", code + "_3");
		td.innerText = scale;
		tr.appendChild(td);
	}
	else
	{
		td = document.createElement("TD");
		td.setAttribute("height", 17);
		var a = document.createElement("A");
		if(_type == 1)
			a.setAttribute("className", "buy");
		a.setAttribute("id", code + "_1");
		a.setAttribute("href", "javascript:external.ViewStock("+ code +");");
		a.innerText = name;
		td.appendChild(a);
		tr.appendChild(td);
		
		td = document.createElement("TD");
		td.setAttribute("className", "td_green");
		td.setAttribute("id", code + "_2");
		td.innerText = price;
		tr.appendChild(td);
	
		td = document.createElement("TD");
		td.setAttribute("className", "td_green");
		td.setAttribute("id", code + "_3");
		td.innerText = scale;
		tr.appendChild(td);
	}

	td = document.createElement("TD");
	td.setAttribute("align", "left");
	td.setAttribute("height", 17);
	var a = document.createElement("A");
	a.setAttribute("id", code + "_4")
	a.setAttribute("className", "btn_hide");
	if(_type == "1")
	{
		a.setAttribute("href", "javascript:external.SetStopOpt("+ code +");");
		a.innerHTML = "<img border=0 src=\"images/stock_config.gif\" width=\"14\" title=\"ֹӯֹ\"></img>";
	}
	else
	{
		a.setAttribute("href", "javascript:HideStock("+ code +");");
		a.innerHTML = "<img border=0 src=\"images/stock_hide.gif\" width=\"14\" title=\"ѡ\"></img>";
	}
	td.appendChild(a);
	tr.appendChild(td);
	
	$('Table1').appendChild(tr);
	g_height += 17;
}


function InitStockTable(_refresh)
{
	if(_refresh)
	{
		var len = Table1.rows.length;
		for(var i = len - 1; i > 3; i--)
		{
			$("Table1").deleteRow(i);	
		}
		g_height = 162;
	}
	else
	{
		CreateHeader(1);
	}
	
	if(!_refresh)
	{
		var indexShInfo = ["ָ֤", "000001", "1", "0", "0.0%"];
		var indexSzInfo = ["ڳָ", "399001", "1", "0", "0.0%"];
		CreateSeparator("line0", "table1");
		FillIndexItem(indexShInfo, "table1");
		FillIndexItem(indexSzInfo, "table1");
	}
	
	for(var i = 1; i <= 2; i++)
	{
		var nCount = window.external.GetStockCount(i);
		if(nCount > 0)
			CreateSeparator("line" + i, "table1");
		for(var j=0; j<nCount; j++)
		{
			var stockInfo = window.external.GetStockInfo(i, j);
			FillStockItem(stockInfo, i);
		}
	}
	window.external.SetBrowserHeight(g_height);
}

function UpdateInfo(_param)
{
	if(!g_update)
		return false;
		
	var infoList = _param.split(SPLITTER_FIELD);
	if(infoList.length < 21)
		return false;
	
	var name = infoList[0].toString();
	var code = infoList[1].toString();
	var rise = infoList[2].toString();
	var price = infoList[3].toString();
	var scale = infoList[4].toString();
	var floatNum = infoList[5].toString();
	var turnover =  infoList[6].toString();
	var balance = infoList[7].toString();
	var profit = infoList[8].toString();
	var stype = infoList[9].toString();
	
	if(CheckObj(code))
		return;

	var ystdClose =  "գ" + infoList[10].toString();
	var todayOpen = "񿪣" + infoList[11].toString();
	var todayMax = "ߣ" + infoList[12].toString();
	var todayMin = "ͣ" + infoList[13].toString();
	floatNum = "ǵ" + floatNum;
	var todaySwing = "" + infoList[14].toString();
	var energyRatio = "ȣ" + infoList[15].toString();
	var turnoverRatio = "֣" + infoList[16].toString();
	var comeOut = "̣" + infoList[17].toString();
	var comeIn = "̣" + infoList[18].toString();
	var tranCapital = "ͨ" + infoList[19].toString();
	var stockPE = "ӯ" + infoList[20].toString();
	var stockBalance = "ǰֵ" + balance  + "Ԫ";
	var stockProfit	= "οӯ" + profit  + "Ԫ";
	
	var title = ystdClose + "  " +  todayOpen + "\r" + 
				todayMax + "  " + todayMin + "\r" + 
				floatNum + "  " + todaySwing + "\r" + 
				energyRatio + "  " + turnoverRatio  + "\r" + 
				comeOut + "  " + comeIn  + "\r" + 
				tranCapital + "  " + stockPE;
				
	if(stype == "1")
	{
		title = title + "\r" + stockBalance;
		title = title + "\r" + stockProfit;
	}
			
	var id0 = "818" + code;
	var id1 = "818" + code + "_1";
	var id2 = "818" + code + "_2";
	var id3 = "818" + code + "_3";

	if(!CheckObj(id1))
		return false;
	
	if(rise == "1")
	{
		$(id0).setAttribute("title", title);
		$(id2).setAttribute("className", "td_red");
		$(id2).innerText = price;
		$(id3).setAttribute("className", "td_red");
		$(id3).innerText = scale;
	}
	else
	{
		$(id0).setAttribute("title", title);
		$(id2).setAttribute("className", "td_green");
		$(id2).innerText = price;
		$(id3).setAttribute("className", "td_green");
		$(id3).innerText = scale;
	}
}

function AddStock(_stockInfo)
{
	if(!CheckObj("line2"))
	{
		CreateSeparator("line2", "table1");
	}
	FillStockItem(_stockInfo, 2);
	window.external.SetBrowserHeight(g_height);
}

function DeleteStock(_code)
{
	var objId = "818" + _code;
	if(!CheckObj(objId))
		return false;
		
	DeleteRow(objId);
	ClearSeparator();
	window.external.SetBrowserHeight(g_height);
}

function HideStock(_objId)
{
	DeleteRow(_objId);
	ClearSeparator();
	window.external.SetBrowserHeight(g_height);
	window.external.HideStock(_objId);
}

function UpdateIndex(_param)
{ 
	var infoList = _param.split(SPLITTER_FIELD);
	if(infoList.lenght < 7)
		return false;
	
	var name = infoList[0].toString();
	var code = infoList[1].toString();
	var rise = infoList[2].toString();
	var price = infoList[3].toString();
	var scale = infoList[4].toString();
	var floatNum = infoList[5].toString();
	var turnover =  infoList[6].toString();
	
	var title = "";
	if(turnover.length > 1)
	{	
		title = "ǵ" + floatNum + " ɽ" + turnover;
	}

	var id1 = "index" + code;
	var id2 = "index" + code + "_2";
	var id3 = "index" + code + "_3";
	
	if(!CheckObj(id2))
		return false;
		
	if(rise == "1")
	{
		$(id1).setAttribute("title", title);
		$(id2).setAttribute("className", "td_red");
		$(id2).innerText = price;
		$(id3).setAttribute("className", "td_red");
		$(id3).innerText = scale;
	}
	else
	{
		$(id1).setAttribute("title", title);
		$(id2).setAttribute("className", "td_green");
		$(id2).innerText = price;
		$(id3).setAttribute("className", "td_green");
		$(id3).innerText = scale;
	}
}

/* stock future  table */

function InitFutureTable()
{
	CreateHeader(2);
	CreateSeparator("line20", "table2");
	var index300Info = ["300", "399300", "1", "0", "0.0%"];
	var indexSmallInfo = ["С", "399101", "1", "0", "0.0%"];
	var indexGrouthInfo = ["ҵ", "399006", "1", "0", "0.0%"];
	FillIndexItem(index300Info, "table2");
	FillIndexItem(indexSmallInfo, "table2");
	FillIndexItem(indexGrouthInfo, "table2");
}

/* global index  table */

function InitGlobalTable()
{
	CreateHeader(3);
	CreateSeparator("line30", "table3");
	
	var DJIA = ["˹ҵ", "200001", "1", "0", "0.0%"];
	var NASDAQ = ["˹", "200003", "1", "0", "0.0%"];
	var SP500 = ["׼ն500", "200002", "1", "0", "0.0%"];
	var HONGKONG = ["ָ", "200019", "1", "0", "0.0%"];
	var NIKKEI = ["վ225", "200004", "1", "0", "0.0%"];
	var GERMANY = ["¹DAX", "200011", "1", "0", "0.0%"];
	var FRANCE = ["CAC40", "200012", "1", "0", "0.0%"];
	var FTSE = ["Ӣʱ", "200005", "1", "0", "0.0%"];
	var AOIIDX = ["ȫ", "2000007029", "1", "0", "0.0%"];
	var KOREA = ["KOSPI", "200010", "1", "0", "0.0%"];
	var SINGAPORE = ["¼", "200007", "1", "0", "0.0%"];
	var TAIWAN = ["̨", "200006", "1", "0", "0.0%"];
	
	FillIndexItem(DJIA, "table3");
	FillIndexItem(NASDAQ, "table3");
	FillIndexItem(SP500, "table3");
	CreateSeparator("line31", "table3");
	FillIndexItem(GERMANY, "table3");
	FillIndexItem(FRANCE, "table3");
	FillIndexItem(FTSE, "table3");
	FillIndexItem(AOIIDX, "table3");
	CreateSeparator("line32", "table3");
	FillIndexItem(HONGKONG, "table3");
	FillIndexItem(NIKKEI, "table3");
	FillIndexItem(KOREA, "table3");
	FillIndexItem(SINGAPORE, "table3");
	FillIndexItem(TAIWAN, "table3");
}

/* beyond index  table */

function InitSuperTable()
{
	CreateHeader(4);
	CreateSeparator("line40", "table4");
}

