var mygrid=false;
var pageNav=null;

function PageInit(){

	pageNav=new PageNav("pagebox");
	pageNav.Request=function(pos){
		get_orderlist(pos);
	}
	pageNav.LoadData=function(data){
		$("#mygrid").datagrid("loadData",data);
	}

	//查询
	$('#query_btn').bind('click', function() {
		pageNav.Clear();
		get_orderlist();
	});

	//初始化时间
	var now=new Date();
	var eday=formatDate(now,'-');
	var sday=formatDate(addDate('d',-2,now),'-');
	$('#sdate').val(sday);
	$('#edate').val(eday);//默认查询最近3天的数据
	
	//初始化查询
	get_orderlist();
}

//查询请求
function get_orderlist(pos) {

	if(pos==undefined){
		pos="";
	}

	var _time1 = $('#sdate').val();
	var _time2 = $('#edate').val();

	_time1 = _time1.replace(/-/g, "");
	_time2 = _time2.replace(/-/g, "");

	if(_time2*1-_time1*1<0){
		alert("结束日期不能小于开始日期");
		return;
	}

	var _ix = new IXContent();
	
	_ix.Set('@COUNT', '20');
	_ix.Set('@POS', pos);
	_ix.Set('op_entrust_way', '7');
	_ix.Set('@MAC', '##MAC##');
	_ix.Set('op_branch_no', User.yyb);
	_ix.Set('branch_no', User.yyb);
	_ix.Set('client_id', User.khh);
	_ix.Set('fund_account', User.zjzh);
	_ix.Set('password', '##PWD##');
	_ix.Set('start_date', _time1);
	_ix.Set('end_date', _time2);

	if(mygrid)
		$("#mygrid").datagrid("loading");
	$("#tdx_center p.empty").remove();

	Win_CallTQL('ret_orderlist', '339800', _ix );
}

function ret_orderlist(_fromid,_funid,_flagtype,_json) {

	$("#mygrid").datagrid("loaded");
	$(".tdx_loading").remove();
	if(_funid == '339800'){
		var data = FormatResult(_json,1);
		if (data.ErrorCode == 0) {
			if(data.Num==0 && pageNav.pageIndex==0){
				create_datagrid(data);
				$("#mygrid").datagrid("loadData",{rows:[]});
				$("<p class='empty' style='text-align:center;margin-top:15%;'>暂无记录</p>").appendTo($("#tdx_center .datagrid-body"));
			}
			else{
					create_datagrid(data);
					fill_datagrid(data);				
			}
		} else {
			if(data.ErrorInfo.indexOf("没有查询数据")==-1){
				alert(data.ErrorInfo);
			}
			else{
				if(mygrid)
					$("#mygrid").datagrid("loadData",{rows:[]});
				else
					$("#tdx_center").html("<p class='empty'style='text-align:center;margin-top:15%;'>暂无记录</p>");
			}
		}
	}
}

/*
* 创建数据表格函数
*/
function create_datagrid(data)
{	
	
	var config=data.config;
	var cols=[];
	var keys=config.FieldKey;
	for(var key in keys){
		var _title=config.FieldName[key];
		var _align=config.Align[key];
		var _width=config.Width[key];
		var _hide=config.HideFlag[key];
		if(_hide==1){continue;}
		cols[cols.length]={field:key,title:(_title==undefined?key:_title),halign:'center',align:(_align==undefined?'right':_align),sortable:true,width:(_width==undefined?80:_width)};
	}
	//请在这里配置返回的字段
	cols= [{
			title: '委托日期',
			field: 'entrust_date',
			align: 'center',
			sortable: true,
			width: 80
		}, {
			title: '委托时间',
			field: 'entrust_time',
			align: 'center',
			sortable: true,
			width: 80,
			formatter: function(val) {
				if(val.length <=1)
					return val;
				else if(val.length == 5)
					return (('0'+val).substring(0,2)+':'+('0'+val).substring(2,4)+':'+('0'+val).substring(4,6));
				else
					return (val.substring(0,2)+':'+val.substring(2,4)+':'+val.substring(4,6));
			}
		}, {
			title: '合约代码',
			field: 'option_code',
			align: 'center',
			sortable: true,
			width: 80
		}, { 
			title: '证券代码',
			field: 'stock_code',
			align: 'center',
			sortable: true,
			width: 70
		},{
			title: '期权名称',
			field: 'option_name',
			align: 'center',
			sortable: true,
			width: 120
		}, {
			title: '买卖',
			field: 'entrust_bs',
			align: 'center',
			sortable: true,
			width: 60,
			formatter: function(val) {
				return sjzd_hs_mmbz[val];
			}
		}, {
			title: '开平',
			field: 'entrust_oc',
			align: 'center',
			sortable: true,
			width: 60,
			formatter: function(val) {
				return sjzd_hs_kpbz[val];
			}
		},{
			title: '备兑标志',
			field: 'covered_flag',
			align: 'center',
			sortable: true,
			width: 80,
			formatter: function(val) {
				if(val==1)
					return sjzd_hs_bdbz[1];
				else
					return sjzd_hs_bdbz[0];
			}
		}, {
			title: '委托价格',
			field: 'opt_entrust_price',
			align: 'center',
			sortable: true,
			width: 80,
			formatter: function(val){
				return parseFloat(val).toFixed(4);
			}
		}, {
			title: '委托数量',
			field: 'entrust_amount',
			align: 'center',
			sortable: true,
			width: 80
		}, {
			title: '成交数量',
			field: 'business_amount',
			align: 'center',
			sortable: true,
			width: 80
		},  {
			title: '委托属性',
			field: 'entrust_prop',
			align: 'center',
			sortable: true,
			width: 80,
			formatter: function(val) {
				return sjzd_hs_wtsx[val];
			}
		}, {
			title: '委托状态',
			field: 'entrust_status',
			align: 'center',
			sortable: true,
			width: 80,
			formatter: function(val) {
				return sjzd_hs_wtzt[val];
			}
		}];

	$("<div id='mygrid'></div>").appendTo($("#tdx_center"));

	$("#mygrid").datagrid({
		fit:true,
		scrollbarSize:0,
		border:false,
		rownumbers:false,
		singleSelect:true,
		remoteSort: false,
		loadMsg:'正在请求数据，请稍后...',
		columns:[cols],
  	    onLoadSuccess: function(data){
  	    	
    	},
		onBeforeLoad:function ()
		{
			return false;
		}
	});
	mygrid=true;
}

//填充数据表格
function fill_datagrid(data){
	try{
		$("#mygrid").datagrid("loadData",data);
		pageNav.SetData(data);
	}
	catch(e)
	{
		alert("name: " + e.name + "message: " + e.message + "lineNumber: " + e.lineNumber + "fileName: " + e.fileName + "stack: " + e.stack); 
	}

}

