﻿var mygrid=false;
var pageNav=null;

function PageInit(){

	pageNav=new PageNav("pagebox");
	pageNav.Request=function(pos){
		get_orderlist(pos);
	}
	pageNav.LoadData=function(data){
		$("#mygrid").datagrid("loadData",data);
	}

	//查询
	$('#query_btn').bind('click', function() {
		pageNav.Clear();
		get_orderlist();
	});

	//初始化时间
	var now=new Date();
	var eday=formatDate(now,'-');
	var sday=formatDate(addDate('d',-2,now),'-');
	$('#sdate').val(sday);
	$('#edate').val(eday);//默认查询最近3天的数据
	
	//初始化查询
	get_orderlist();
}

//查询请求
function get_orderlist(pos) {

	if(pos==undefined){
		pos="";
	}

	var _time1 = $('#sdate').val();
	var _time2 = $('#edate').val();

	_time1 = _time1.replace(/-/g, "");
	_time2 = _time2.replace(/-/g, "");

	if(_time2*1-_time1*1<0){
		alert("结束日期不能小于开始日期");
		return;
	}

	var _ix = new IXContent();
	
	_ix.Set('@COUNT', '20');
	_ix.Set('@POS', pos);
	_ix.Set('op_entrust_way','7');
	_ix.Set('@MAC', '##MAC##');
	_ix.Set('branch_no', User.yyb);
	_ix.Set('client_id', User.khh);
	_ix.Set('fund_account',User.zjzh);
	_ix.Set('op_branch_no',User.yyb);
	_ix.Set('password', '##PWD##');
	_ix.Set('start_date', _time1);
	_ix.Set('end_date', _time2);

	if(mygrid)
		$("#mygrid").datagrid("loading");
	else
		$("#tdx_center").addClass("loading");
	$("#tdx_center p.empty").remove();

	Win_CallTQL('ret_orderlist', '339810', _ix );
}

function ret_orderlist(_fromid,_funid,_flagtype,_json) {

	$("#mygrid").datagrid("loaded");
	$("#tdx_center").removeClass("loading");
	
	if(_funid == '339810'){
		var data = FormatResult(_json,1);
			if (data.ErrorCode == 0) {
				if(data.Num==0 && pageNav.pageIndex==0){
					create_datagrid(data);
					$("#mygrid").datagrid("loadData",{rows:[]});
					$("<p class='empty' style='text-align:center;margin-top:15%;'>暂无记录</p>").appendTo($("#tdx_center .datagrid-body"));
				}
				else{
						create_datagrid(data);
						fill_datagrid(data);				
				}
		
		} else {
			if(data.ErrorInfo.indexOf("没有查询数据")==-1){
				alert(data.ErrorInfo);
			}
			else{
				if(mygrid)
					$("#mygrid").datagrid("loadData",{rows:[]});
				else
					$("#tdx_center").html("<p class='empty' style='text-align:center;margin-top:15%;'>暂无记录</p>");
			}
		}
	}
}

/*
* 创建数据表格函数
*/
function create_datagrid(data)
{	

	var config=data.config;
	var cols=[];
	var keys=config.FieldKey;
	for(var key in keys){
		var _title=config.FieldName[key];
		var _align=config.Align[key];
		var _width=config.Width[key];
		var _hide=config.HideFlag[key];
		if(_hide==1){continue;}
		cols[cols.length]={field:key,title:(_title==undefined?key:_title),halign:'center',align:(_align==undefined?'right':_align),sortable:true,width:(_width==undefined?80:_width)};
	}
	//请在这里配置返回的字段
	cols= [{
			title: '发生日期',
			field: 'init_date',
			align: 'center',
			sortable: true,
			width: 80
		}, {
			title: '证券代码',
			field: 'stock_code',
			align: 'center',
			sortable: true,
			width: 70
		},{
			title: '交易类别',
			field: 'exchange_type',
			align: 'center',
			sortable: true,
			width: 80,
			formatter: function(val) {
				return sjzd_hs_sclb[val];
			}
		}, {
			title: '标的证券类别',
			field: 'stock_type',
			align: 'center',
			sortable: true,
			width: 90,
			formatter: function(val) {
				return sjzd_hs_zqlb[val];
			}
		}, {
			title: '期初余额',
			field: 'begin_balance',
			align: 'center',
			sortable: true,
			width: 80
		}, {
			title: '当前余额',
			field: 'current_balance',
			align: 'center',
			sortable: true,
			width: 80
		},{
			title: '期初数量',
			field: 'begin_amount',
			align: 'center',
			sortable: true,
			width: 90
		}, {
			title: '当前数量',
			field: 'current_amount',
			align: 'center',
			sortable: true,
			width: 80
		}, {
			title: '资券合约类型',
			field: 'loan_compact_type',
			align: 'center',
			sortable: true,
			width: 90,
			formatter: function(val) {
				return sjzd_hs_zqhylx[val];
			}
		}, {
			title: '资券合约状态',
			field: 'loan_compact_status',
			align: 'center',
			sortable: true,
			width: 90,
			formatter: function(val) {
				return sjzd_hs_zqhyzt[val];
			}
		}, {
			title: '实时已还金额',
			field: 'real_repaid_balance',
			align: 'center',
			sortable: true,
			width: 90
		}, {
			title: '实时已还数量',
			field: 'real_repaid_amount',
			align: 'center',
			sortable: true,
			width: 90
		}, {
			title: '实时已还罚息',
			field: 'real_repaid_fine',
			align: 'center',
			sortable: true,
			width: 90
		}, {
			title: '实时已还费用',
			field: 'real_repaid_fare',
			align: 'center',
			sortable: true,
			width: 90
		}, {
			title: '实时已还利息',
			field: 'real_repaid_interest',
			align: 'center',
			sortable: true,
			width: 90
		}, {
			title: '期权合约已还资金',
			field: 'repaid_compact_balance',
			align: 'center',
			sortable: true,
			width: 100
		}, {
			title: '期权合约已还数量',
			field: 'repaid_compact_amount',
			align: 'center',
			sortable: true,
			width: 100
		}, {
			title: '期权合约已还罚息',
			field: 'repaid_compact_fine',
			align: 'center',
			sortable: true,
			width: 100
		}, {
			title: '期权合约已还费用',
			field: 'repaid_compact_fare',
			align: 'center',
			sortable: true,
			width: 100
		}, {
			title: '期权合约已还利息',
			field: 'repaid_compact_interest',
			align: 'center',
			sortable: true,
			width: 100
		}, {
			title: '利息积数',
			field: 'integral_balance',
			align: 'center',
			sortable: true,
			width: 80
		}, {
			title: '罚息积数',
			field: 'fine_integral',
			align: 'center',
			sortable: true,
			width: 80
		}, {
			title: '已结利息',
			field: 'settle_interest',
			align: 'center',
			sortable: true,
			width: 80
		}, {
			title: '已结罚息',
			field: 'settle_fine',
			align: 'center',
			sortable: true,
			width: 80
		}, {
			title: '总费用',
			field: 'fare',
			align: 'center',
			sortable: true,
			width: 70
		}, {
			title: '总利息',
			field: 'interest',
			align: 'center',
			sortable: true,
			width: 70
		}, {
			title: '总罚息',
			field: 'fine',
			align: 'center',
			sortable: true,
			width: 70
		}];

	$("<div id='mygrid'></div>").appendTo($("#tdx_center"));

	$("#mygrid").datagrid({
		fit:true,
		scrollbarSize:0,
		border:false,
		rownumbers:false,
		singleSelect:true,
		remoteSort: false,
		loadMsg:'正在请求数据，请稍后...',
		columns:[cols],
  	    onLoadSuccess: function(data){
  	    	
    	},
		onBeforeLoad:function ()
		{
			return false;
		}
	});
	mygrid=true;
}

//填充数据表格
function fill_datagrid(data){
	try{
		$("#mygrid").datagrid("loadData",data);
		pageNav.SetData(data);
	}
	catch(e)
	{
		alert("name: " + e.name + "message: " + e.message + "lineNumber: " + e.lineNumber + "fileName: " + e.fileName + "stack: " + e.stack); 
	}

}

