"use strict";

(function e(t, n, r) {
  function s(o, u) {
    if (!n[o]) {
      if (!t[o]) {
        var a = typeof require == "function" && require;if (!u && a) return a(o, !0);if (i) return i(o, !0);throw new Error("Cannot find module '" + o + "'");
      }var f = n[o] = { exports: {} };t[o][0].call(f.exports, function (e) {
        var n = t[o][1][e];return s(n ? n : e);
      }, f, f.exports, e, t, n, r);
    }return n[o].exports;
  }var i = typeof require == "function" && require;for (var o = 0; o < r.length; o++) {
    s(r[o]);
  }return s;
})({ 1: [function (require, module, exports) {
    // require("es5-shim");
    require("../src/connect");
    require("../src/tdx-mod-wjcp");
    require("../src/tdx-mod-msgbox");
    require("../src/tdx-mod-xys");
  }, { "../src/connect": 2, "../src/tdx-mod-msgbox": 3, "../src/tdx-mod-wjcp": 4, "../src/tdx-mod-xys": 5 }], 2: [function (require, module, exports) {
    /**
     *  通讯封装
     */
    var CallTQL = function CallTQL(ixs) {
      this.ixs = $.extend({}, ixs);
    };

    var __funcnum = 0;

    /**
     * 发送请求封装函数
     * @params {String} funcid 请求功能号
     * @params {Json} ixs 输入参数
     * @params {Function} callback 回调函数 入参为返回原数据或者处理后的数据
     */
    CallTQL.prototype.send = function (funcid, ixs, callback) {

      ixs = ixs || {};
      funcid = funcid || "";
      var retfunc = "retfunc" + __funcnum++;

      window[retfunc] = function (_fromid, _funid, _flagtype, json) {
        try {

          json = json.replace(/\r\n/g, "<br>");
          json = json.replace(/\s/g, "");

          callback(json);
        } catch (e) {
          $.messager.alert("提示", e, "error");
        }

        window[retfunc] = null;
      };

      // debugger;
      var ii = {};
      $.extend(ii, this.ixs, ixs);
      var _ix = new IXContent();
      $.each(ii, function (key, value) {
        _ix.Set(key, value || "");
      });

      // 这里区分协议种类
      // 客户端读trade.ccf的协议  ftype = "" 如  Win_CallTQL("callback", "gettradeccf", ixs, "")
      // tc的交易协议  ftype = "JY"  如  Win_CallTQL("callback", "JY:1122", ixs, "")
      // ts的5010协议  ftype = "5010" 如 Win_CallTQL("5010:CITICS.585450")

      if (ii.ftype && ii.ftype != "") {

        if (ii.ftypemid && ii.ftypemid != "") {
          funcid = ii.ftype + ":" + ii.ftypemid + "." + funcid;
        } else {
          funcid = ii.ftype + ":" + funcid;
        }
      }

      Win_CallTQL(retfunc, funcid, _ix, "");
    };

    if (window) {
      window["CallTQL"] = CallTQL;
      window["jyCallTql"] = new CallTQL();
    }
  }, {}], 3: [function (require, module, exports) {

    /*
      ie 判断版本
    */
    var isIE = function isIE(ver) {
      var b = document.createElement('b');
      b.innerHTML = '<!--[if IE ' + ver + ']><i></i><![endif]-->';
      return b.getElementsByTagName('i').length === 1;
    };

    var TdxMsgBox = function TdxMsgBox(props) {
      var type = props.type;

      this.type = type;
    };

    TdxMsgBox.prototype.operateParam = function (args) {

      if (args.length == 1) {
        return {
          title: "提示",
          msg: args[0],
          callback: function callback() {}
        };
      }

      if (args.length == 2) {

        if (typeof args[1] == "function") {
          return {
            title: "提示",
            msg: args[0],
            callback: args[1]
          };
        } else {
          return {
            title: args[0],
            msg: args[1],
            callback: function callback() {}
          };
        }
      }

      if (args.length == 3) {
        return {
          title: args[0],
          msg: args[1],
          callback: args[2]
        };
      }
    };

    TdxMsgBox.prototype.run = function () {
      var _this = this;

      this.prefix = parseInt(Math.random() * 10000).toString(16);

      var _operateParam = this.operateParam(arguments),
          title = _operateParam.title,
          msg = _operateParam.msg,
          callback = _operateParam.callback;

      if (!msg) return;

      /*
        判断 IE 版本，如果是 IE8，直接使用 easyui
      */
      if (isIE(8)) {
        if (this.type == "alert") {
          $.messager.alert(title, msg, "", callback);
        } else if (this.type == "confirm") {
          $.messager.confirm(title, msg, callback);
        }
        return;
      }

      $("body").append("\n    <div id=\"" + this.prefix + "-msgbox\" class=\"tdx-msgbox-wrapper\">\n      <div class=\"tdx-msgbox\">\n        <div class=\"tdx-msgbox-title\">" + title + "</div>\n        <div class=\"tdx-msgbox-msg\">" + msg + "</div>\n      </div>\n    </div>\n  ");
      this.$el = $("#" + this.prefix + "-msgbox .tdx-msgbox");

      if (this.type == "alert") {
        this.$el.append("\n      <div class=\"tdx-msgbox-btn-wrapper\">\n        <button class=\"tdx-btn-default tdx-btn-ok\">\u786E\u5B9A</button>\n      </div>\n    ");

        this.$el.find(".tdx-btn-ok").bind("click", function () {
          $("#" + _this.prefix + "-msgbox").remove();
          setTimeout(callback, 0);
        });
      } else if (this.type == "confirm") {
        this.$el.append("\n      <div class=\"tdx-msgbox-btn-wrapper\">\n        <button class=\"tdx-btn-default tdx-btn-ok\">\u786E\u5B9A</button>\n        <button class=\"tdx-btn-default tdx-btn-cancel\">\u53D6\u6D88</button>\n      </div>\n    ");

        this.$el.find(".tdx-btn-ok").bind("click", function () {
          $("#" + _this.prefix + "-msgbox").remove();
          setTimeout(function () {
            callback(1);
          }, 0);
        });

        this.$el.find(".tdx-btn-cancel").bind("click", function () {
          $("#" + _this.prefix + "-msgbox").remove();
          setTimeout(function () {
            callback(0);
          }, 0);
        });
      }
    };

    var alertBox = new TdxMsgBox({
      type: "alert"
    });

    var confirmBox = new TdxMsgBox({
      type: "confirm"
    });

    var tdxAlert = function tdxAlert() {
      alertBox.run.apply(alertBox, arguments);
    };

    var tdxConfirm = function tdxConfirm() {
      confirmBox.run.apply(confirmBox, arguments);
    };

    if (window) {
      window["tdxAlert"] = tdxAlert;
      window["tdxConfirm"] = tdxConfirm;
    }
  }, {}], 4: [function (require, module, exports) {
    var TdxModWjcp = function TdxModWjcp(el, conf) {

      this.$el = $(el);
      this.conf = conf || {};
      this.prefix = parseInt(Math.random() * 1000).toString(16);

      // 问卷唯一标示
      this.id = this.prefix + "-wjcp";
      this.issending = false; // 是否在发送测评请求
    };

    TdxModWjcp.prototype.run = function () {

      var that = this;

      // 清空原来的内容，绑定入口div
      this.$el.empty();
      this.$el.append("<div id=\"" + that.id + "\" class=\"tdx-wjcp\"></div>");
      var $wjcp = this.$el.find(".tdx-wjcp");

      // 添加提示信息
      $wjcp.append(this.fmtInfoHtml());

      // 添加题目信息
      $wjcp.append(this.fmtQHtml());

      // 添加按钮
      $wjcp.append(this.fmtBtnHtml());

      // 绑定事件函数
      var id = "#" + this.prefix + "-btn";
      $(id).unbind().bind("click", function () {
        // if(!that.issending) {
        // that.issending = true;
        that.btnClick();
        // }
      });
    };

    TdxModWjcp.prototype.fmtInfoHtml = function () {
      var _conf = this.conf,
          hasinfo = _conf.hasinfo,
          qinfo = _conf.qinfo,
          qdata = _conf.qdata;


      if (!hasinfo) {
        return "";
      }

      var info = void 0;
      info = qdata.slice(0, 1)[0] || {};
      return "\n    <div class=\"tdx-wjcp-info\">\n      " + (info[qinfo.field] || qinfo.txt) + "\n    </div>\n  ";
    };

    TdxModWjcp.prototype.fmtQHtml = function () {

      var that = this;
      var _that$conf = that.conf,
          qdata = _that$conf.qdata,
          qinfo = _that$conf.qinfo,
          hasinfo = _that$conf.hasinfo;

      var rows = qdata;

      if (rows.length == 0) {
        return "";
      }

      if (hasinfo && rows[0][qinfo.field]) {
        rows = rows.slice(1);
      }

      var qHtmlArr = [];
      rows.map(function (row, index) {

        qHtmlArr.push(that.fmtSingleQHtml(row, index));
      });

      return qHtmlArr.join("");
    };

    TdxModWjcp.prototype.fmtSingleQHtml = function (row, index) {
      var qtype = this.conf.qtype;

      if (row[qtype.field] == (qtype.value || 0)) {
        return this.fmtRadioQHtml(row, index);
      } else {
        return this.fmtCheckQHtml(row, index);
      }
    };

    TdxModWjcp.prototype.fmtRadioQHtml = function (row, index) {

      var that = this;
      var _conf2 = this.conf,
          qtitle = _conf2.qtitle,
          qans = _conf2.qans;


      var title = "<div class=\"tdx-wjcp-q-title\">" + row[qtitle.field] + "</div>";
      var ans = [];
      qans.fields.map(function (field, findex) {

        if (!row[field]) return;

        var name = that.prefix + "-" + index;
        var id = that.prefix + "-" + index + "-" + findex;

        ans.push("\n      <div class=\"tdx-wjcp-q-ans\">\n        <input id=\"" + id + "\" type=\"radio\" name=\"" + name + "\">\n        <label for=\"" + id + "\">" + row[field] + "</label>\n      </div>\n    ");
      });

      return "\n    <div class=\"tdx-wjcp-q\">\n      " + title + "\n      " + ans.join("") + "\n    </div>\n  ";
    };

    TdxModWjcp.prototype.fmtCheckQHtml = function (row, index) {

      var that = this;
      var _conf3 = this.conf,
          qtitle = _conf3.qtitle,
          qans = _conf3.qans;


      var title = "<div class=\"tdx-wjcp-q-title\">" + row[qtitle.field] + "</div>";
      var ans = [];
      qans.fields.map(function (field, findex) {

        if (!row[field]) return;

        var id = that.prefix + "-" + index + "-" + findex;

        ans.push("\n      <div class=\"tdx-wjcp-q-ans\">\n        <input id=\"" + id + "\" type=\"checkbox\">\n        <label for=\"" + id + "\">" + row[field] + "</label>\n      </div>\n    ");
      });

      return "\n    <div class=\"tdx-wjcp-q\">\n      " + title + "\n      " + ans.join("") + "\n    </div>\n  ";
    };

    TdxModWjcp.prototype.fmtBtnHtml = function () {

      var id = this.prefix + "-btn";

      return "\n    <div class=\"tdx-wjcp-submit\" id=\"" + id + "\">\n      \u63D0\u4EA4\n    </div>\n  ";
    };

    TdxModWjcp.prototype.btnClick = function () {
      var _conf4 = this.conf,
          hasinfo = _conf4.hasinfo,
          qinfo = _conf4.qinfo,
          qdata = _conf4.qdata,
          qsubmit = _conf4.qsubmit;

      var rows = qdata;
      if (hasinfo && rows[0][qinfo.field]) {
        rows = rows.slice(1);
      }

      // 搜集答案
      var ans = new Array(rows.length);
      var ras = $("#" + this.id + " input[type=\"radio\"]:checked");
      var cks = $("#" + this.id + " input[type=\"checkbox\"]:checked");

      var i = 0;
      for (i = 0; i < ras.length; i++) {
        var id = ras[i].id;

        var qarr = id.split("-");
        var qno = qarr[1],
            qans = qarr[2];
        //ans[qno] = qans;
        if (!ans[qno]) {
          ans[qno] = [];
        }
        ans[qno].push(qans);
      }

      for (i = 0; i < cks.length; i++) {
        var id = cks[i].id;

        var _qarr = id.split('-');
        var _qno = _qarr[1],
            _qans = _qarr[2];
        if (!ans[_qno]) {
          ans[_qno] = [];
        }
        ans[_qno].push(_qans);
      }

      // 规则答案，并检查哪些题目没有选择
      var uans = [];
      for (i = 0; i < ans.length; i++) {
        var aa = ans[i];
        if (!aa) {
          uans.push(i + 1);
        }
        /*
        else if (typeof aa != "string") {
          ans[i] = aa.join("");
        }
        */
      }

      if (uans.length > 0) {

        tdxAlert("\u9898\u76EE\uFF1A" + uans.join(",") + " \u672A\u9009\u62E9\uFF0C\u8BF7\u9009\u62E9\u518D\u63D0\u4EA4");
        return;
      }

      // 调用注册函数
      qsubmit(ans);
    };

    if (window) {
      window["TdxModWjcp"] = TdxModWjcp;
    }
  }, {}], 5: [function (require, module, exports) {
    var TdxModXys = function TdxModXys(conf) {

      this.conf = conf;
      this.prefix = parseInt(Math.random() * 10000).toString(16);

      // this.run();
    };

    TdxModXys.prototype.run = function () {
      var _conf5 = this.conf,
          type = _conf5.type,
          url = _conf5.url,
          height = _conf5.height;

      // 计算 iframe 高度

      var wht = $(window).height();
      var xysht = height || wht - 60;
      var ifmht = xysht - 100;

      $("body").append("\n    <div class=\"tdx-xys-wrapper\" id=\"" + this.prefix + "_xys\">\n      <div class=\"tdx-xys\" style=\"margin-top: " + (wht - xysht) / 2 + "px;\">\n        <iframe class=\"tdx-xys-iframe\" style=\"height: " + ifmht + "px\" src=\"" + url + "\"></iframe>\n      </div>\n    </div>\n  ");

      this.$el = $("#" + this.prefix + "_xys");
      this.$xys = $("#" + this.prefix + "_xys").find(".tdx-xys");
      if (type == "ckxys") {
        this.$xys.append(this.getCkXys());
      } else {
        this.$xys.append(this.getXys());
      }

      // 绑定事件操作
      this.initEvent();
    };

    TdxModXys.prototype.initEvent = function () {

      var that = this;
      var _conf6 = this.conf,
          btnClick = _conf6.btnClick,
          sec = _conf6.sec,
          type = _conf6.type;

      btnClick = btnClick || function () {};

      var $btn = this.$xys.find(".tdx-xys-btn-ok");
      var $ckbox = this.$xys.find("input");
      var $label = this.$xys.find("label");

      // 如果有读秒配置
      if (type == "ckxys" && sec && parseInt(sec) > 0) {

        sec = parseInt(sec);

        // 灰掉确定按钮
        $btn.attr("disabled", true);
        $ckbox.attr("disabled", true);
        $label.attr("disabled", true);

        // 设置定时器
        var timer = setInterval(function () {
          sec--;
          $("#" + that.prefix + "_sec").html(sec + " \u79D2");
          if (sec <= 0) {
            clearTimeout(timer);
            $ckbox.attr("disabled", false);
            $label.attr("disabled", false);
          }
        }, 1000);
      }

      // 如果有 checkbox 
      if (type == "ckxys") {
        $btn.attr("disabled", true);
        $ckbox.on("change", function () {
          // debugger;
          if ($ckbox[0].checked) {
            $btn.attr("disabled", false);
          } else {
            $btn.attr("disabled", true);
          }
        });
      }

      // 按钮点击函数响应
      this.$xys.find(".tdx-xys-btn-ok").bind("click", function () {
        that.$el.remove();
        setTimeout(function () {
          btnClick.call(that, 1);
        }, 0);
      });
      this.$xys.find(".tdx-xys-btn-cancel").bind("click", function () {
        that.$el.remove();
        setTimeout(function () {
          btnClick.call(that, 0);
        }, 0);
      });
    };

    TdxModXys.prototype.getCkXys = function () {
      var _conf7 = this.conf,
          sec = _conf7.sec,
          ckts = _conf7.ckts,
          oktext = _conf7.oktext,
          catext = _conf7.catext;

      ckts = ckts || "我已阅读并同意上述内容";
      var secStr = "";

      if (sec && parseInt(sec) > 0) {
        secStr = "\n      <label id=\"" + this.prefix + "_sec\">" + sec + " \u79D2</label>\n    ";
      }

      return "\n    <div class=\"tdx-xys-ck\">\n      <input type=\"checkbox\" id=\"" + this.prefix + "_ck\" >\n      <label for=\"" + this.prefix + "_ck\">" + ckts + "</label>\n      \uFF08" + secStr + "\uFF09\n    </div>\n    <div class=\"tdx-xys-btn\">\n      <button class=\"tdx-btn-default tdx-xys-btn-ok\">" + (oktext || "确定") + "</button>\n      <button class=\"tdx-btn-default tdx-xys-btn-cancel\">" + (catext || "取消") + "</button>\n    </div>\n  ";
    };

    TdxModXys.prototype.getXys = function () {
      var _conf8 = this.conf,
          oktext = _conf8.oktext,
          catext = _conf8.catext;


      return "\n    <div class=\"tdx-xys-btn\">\n      <button class=\"tdx-btn-default tdx-xys-btn-ok\">" + (oktext || "确定") + "</button>\n      <button class=\"tdx-btn-default tdx-xys-btn-cancel\">" + (catext || "取消") + "</button>\n    </div>\n  ";
    };

    if (window) {
      window["TdxModXys"] = TdxModXys;
    }
  }, {}] }, {}, [1]);