/*
	意向卖行情展示字段
*/
var yxhqList =	[
				[
				{field:'stock_code',title:'证券代码',width:100,rowspan:1,align:'center',sortable:true},
				{field:'stock_name',title:'证券名称',width:100,rowspan:1,align:'center',sortable:true},
				{field:'type_name',title:'申报类型',width:100,rowspan:1,align:'center',sortable:true},
				{field:'entrust_price',title:'委托价格',width:100,rowspan:1,align:'center',sortable:true,sorter:sortNumber,formatter:formatSx3},
				{field:'entrust_amount',title:'委托数量',width:100,rowspan:1,align:'center',sortable:true,sorter:sortNumber,formatter:formatSx0},
				{field:'relation_name',title:'联系人',width:100,rowspan:1,align:'center',sortable:true},
				{field:'relation_tel',title:'联系方式',width:100,rowspan:1,align:'center',sortable:true},
			//	{field:'remark',title:'联系方式',width:100,rowspan:1,align:'center',sortable:true},
				
				{field:'cbpconfer_id',title:'约定号',width:100,rowspan:1,align:'center',sortable:true},
				{field:'seat_no',title:'席位号',width:100,rowspan:1,align:'center',sortable:true},
				{field:'report_time',title:'申报时间',width:100,rowspan:1,align:'center',sortable:true,formatter:formatTimeStr}
				]
			    ];



var MMZD = {
	"B": "买入",
	"S": "卖出"
};
var SBZD = {
	"H": "意向",
	"O": "定价"
}

var temp_zqdm1 = '';

function onSxdmUp(node,e){

	if($(node).val().length==6){
		temp_zqdm1 = $(node).val();
		//gridUpdateData('yxhq_grid',1,{});
		get_yxhq(temp_zqdm1);
		
		getinfo(temp_zqdm1);		//存储市场信息
		
		TurnHq(temp_zqdm1);
		// sxhq();

		//联动效果
		$('#zqdm').val(temp_zqdm1);
		get_codexs(temp_zqdm1);  //设置委托价格小数位
		$('#kyzj').val('');
		$('#kmm').val('');
		// $('#wtjg').numberspinner('setValue','');
		//$('#wtsl').numberspinner('setValue','');
		$('#wtjg').val('');
		$('#wtsl').val('');
		get_gpinfo(temp_zqdm1);
		
		zqxx.dw = DwInfo(zqxx.gzbs,zqdm,zqxx.scid);//存储当前交易单位
		$('#dwpan').text(zqxx.dw);
		$('#mmdw').text(zqxx.dw);
		$('#zddw').text(zqxx.dw);
	}
}

function onSxdmPress(node,e){
	var k = window.event ? e.keyCode:e.which;
	if (((k >= 48) && (k <= 57)) ||k==8|| k==0){
		if($(node).attr('value').length==6){
			var txt=getSelectedText($(node)[0])
			if(txt.length==0){
				if(window.event) window.event.returnValue = false;
				else e.preventDefault();
				return
			}
		}
	}
	else{
		if(window.event) window.event.returnValue = false;
		else e.preventDefault();
	}
}

function cxsx() {
	if($.trim($("#zqdmhq").val())=='') {
		$.messager.alert('提示',"请输入证券代码！","info");
	} else {
		get_yxhq($.trim($("#zqdmhq").val()));
	}

}

/*
	本地筛选全部行情
*/
function sxhq() {
	temp_zqdm1 = $.trim($("#zqdmhq").val());
	var mmfx = '';
	for(var i=0; i<mmradio.length;i++) {
		if(mmradio[i].checked) {
			mmfx=mmfx+mmradio[i].value;
		}
	}
	var sblx = '';
	for(var i=0; i<lxradio.length;i++) {
		if(lxradio[i].checked) {
			sblx=sblx+lxradio[i].value;
		}
	}

	var newHQ = [];
	
	if(sxCache.rows.length==0) {
		gridUpdateData('yxhq_grid',1,sxCache);
		return false;
	} else {
		if (isNum(temp_zqdm1) && temp_zqdm1.length == 6){
			if(mmfx.length == 1 && sblx.length == 1) {
				var cxtp = sblx+mmfx;
				newHQ = [];
				for(var i = 0; i < sxCache.rows.length; i++) {
					if(sxCache.rows[i]["cbptrans_type"] == cxtp && sxCache.rows[i]["stock_code"] == temp_zqdm1) {
						newHQ.push(sxCache.rows[i]);
					}
				}

				$("#yxhq_grid").datagrid("loadData", newHQ);
			}
			else if((mmfx.length == 0 && sblx.length == 1) || (mmfx.length == 2 && sblx.length == 1)) {
				var cxtp1 = sblx+'B';
				var cxtp2 = sblx+'S';

				newHQ = [];
				for(var i = 0; i < sxCache.rows.length; i++) {
					if(sxCache.rows[i]["stock_code"] == temp_zqdm1 && (sxCache.rows[i]["cbptrans_type"] == cxtp1 ||sxCache.rows[i]["cbptrans_type"] == cxtp2)) {
						newHQ.push(sxCache.rows[i]);
					}
				}
				$("#yxhq_grid").datagrid("loadData", newHQ);
			}
			else if((mmfx.length == 1 && sblx.length == 0) || (mmfx.length == 1 && sblx.length == 2)) {
				var cxtp1 = 'H'+mmfx;
				var cxtp2 = 'O'+mmfx;

				newHQ = [];
				for(var i = 0; i < sxCache.rows.length; i++) {
					if(sxCache.rows[i]["stock_code"] == temp_zqdm1 && (sxCache.rows[i]["cbptrans_type"] == cxtp1 ||sxCache.rows[i]["cbptrans_type"] == cxtp2)) {
						newHQ.push(sxCache.rows[i]);
					}
				}
				$("#yxhq_grid").datagrid("loadData", newHQ);
			} else {
				newHQ = [];
				for(var i = 0; i < sxCache.rows.length; i++) {
					if(sxCache.rows[i]["stock_code"] == temp_zqdm1 && (sxCache.rows[i]["cbptrans_type"] == 'HB' ||sxCache.rows[i]["cbptrans_type"] == 'HS' || sxCache.rows[i]["cbptrans_type"] == 'OB' ||sxCache.rows[i]["cbptrans_type"] == 'OS')) {
						newHQ.push(sxCache.rows[i]);
					}
				}
				$("#yxhq_grid").datagrid("loadData", newHQ);
			}
		}
		else if (temp_zqdm1 == "" || temp_zqdm1 == null || temp_zqdm1 == undefined) {
			$.messager.alert("警告", '请填写证券代码!', "warning");
		} else{
			$.messager.alert("警告", '证券代码有误!', "warning");
		}

	}

}
