/*
 * 打新宝-新股申购
 * 20140610 唐亮   创建
 */
var stock_sc;
var stock_gddm;

var _allParam = {
	'zqmc':'',   //证券名称
	'sgjg':'',   //证券代码
	'ksgsl':'',  //可申购数量
	'sgsl':'',   // 申购数量
	'shksged':'',    //上证可申购额度
	'szksged':'',    //深证可申购额度
	'kyzj':''    //可用资金
	

}



var paramObj = function()
{

	this.zqdm = ""; //证券代码
	this.zqmc = ""; //证券名称
	this.sgsl = ""; // 申购数量
	this.sgjg = ""; //申购价格
	this.sc = ""; //申购价格
	this.gddm = ""; //申购价格
}

var _commitParam = new paramObj();


var _gddm = {
	"1":"", //上海
	"2":"" //深圳
}

function PageInit()
{
	// debugger;
	// get_SGED_SH();
	$("#id_bnt_refresh").click(function() {
		clear("all");		
	});
	$("#id_bnt_commit").click(function() {
		commit();		
	});	
	// 创建表格
	XgsgCreateGrid();
	GetGridData();

	get_GddmInfo();
}

var ColList = [[
	{field:"stock_name", title:"证券名称", halign:"center", align:"left", widht: 100},
	{field:"stock_code", title:"申购代码", halign:"center", align:"left", widht: 120},
	{field:"last_price", title:"申购价格", halign:"center", align:"left", widht: 120},
	{field:"buy_unit", title:"申购单位(股)", halign:"center", align:"left", widht: 120},
	{field:"high_amount", title:"最高申购数量", halign:"center", align:"left", widht: 120},
	{field:"low_amount", title:"最低申购数量", halign:"center", align:"left", widht: 120}
]];

function XgsgCreateGrid() {
	$("#xgsg_list").datagrid({
		columns:ColList,
		onDblClickRow: function(rowindex, rowdata) {
			var stockcode = rowdata["stock_code"];
			var $zqdm = $("#id_zqdm");
			$zqdm.val(stockcode);
			onStockInfo($zqdm[0]);
			$("#xgsg_list").datagrid("unselectAll");
		}
	});
}

function GetGridData() {
	var pack = new CTPack();
	pack.Set("stock_code", "");
	pack.CallTQL("ret_GridData", "107");
}

function ret_GridData(_fromid, _funid, _flagtype, data) {
	data = FormatResult(data, 1);
	if(data.ErrorCode == "-1") {
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	} else {
		$("#xgsg_list").datagrid("loadData", data);
	}
}

function get_GddmInfo()
{
	var pack = new CTPack();
	pack.CallTQL("ret_GddmInfo", "407") 
}


function ret_GddmInfo(_fromid,_funid,_flagtype,data){
	// alert(data)
	data=FormatResult(data,1)
	if(data.ErrorCode=="-1"){
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		for (var i=0; i < data.rows.length; i ++)
		{
			var rowData = data.rows[i];
			var exeType = rowData['exchange_type'];
			// alert(exeType)
			var gddm = rowData['stock_account'];
			if (exeType == 1)
			{
				_gddm['1'] = gddm;
				get_SGED_SH();
			}
			if (exeType == 2)
			{
				_gddm['2'] = gddm;
				get_SGED_SZ();
			}			
		}
			
	}	
}

/*
 * 查询上证和深证的可申购额度
 */

function get_SGED_SH()
{
	$("#id_shksged").val("");
	$("#id_szksged").val("");	

	var pack = new CTPack();
	
	pack.Set('entrust_prop', '3');
	pack.Set('exchange_type', '1');
	pack.Set('stock_code', '');
	pack.Set('stock_account', '');
	// pack.Set('stock_account', _gddm['1']);
	// pack.Set('stock_code', '');
	pack.CallTQL("ret_SGED_SH", "300") 		

}

function ret_SGED_SH(_fromid,_funid,_flagtype,data)
{
	// alert(data)
	data=FormatResult(data,1)
	if(data.ErrorCode=="-1"){
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		if (data.rows.length > 0)
		{
			$("#id_shksged").val(format0(data.rows[0]['enable_amount']));
			

		}
	}		
}

function get_SGED_SZ()
{
	

	var pack = new CTPack();
	pack.Set('exchange_type', '2');
	pack.Set('entrust_prop', '3');
	pack.Set('stock_code', '');
	pack.Set('stock_account', '');		
	// pack.Set('stock_account', _gddm['2']);
	pack.CallTQL("ret_SGED_SZ", "300") 		

}

function ret_SGED_SZ(_fromid,_funid,_flagtype,data)
{
	// alert(data)
	data=FormatResult(data,1)
	if(data.ErrorCode=="-1"){
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		if (data.rows.length > 0)
		{			
			$("#id_szksged").val(format0(data.rows[0]['enable_amount']));		
				
		}
	}		
}

/*
 * 输入证券代码 获取证券信息
 */
function onStockInfo(obj)
{
	var value = $(obj).val();
	clear('zqdm');
	if (value.length < 6)
	{
		return;
	}
	// alert(value)
	$("#id_zqmc").val("");
	$("#id_sgjg").val("");
	$("#id_ksgsl").val("");	
	get_StockInfo(value);	
}

function get_StockInfo(stockCode)
{
	var pack = new CTPack();
	pack.Set('stock_code', stockCode);
	pack.CallTQL("ret_StockInfo", "107")
	// setIX({"funcid":"7781","funcname":"ret_StockInfo", "srp_kind":"1", "stock_code":stockCode})
}

function ret_StockInfo(_fromid,_funid,_flagtype,data)
{
	
	data=FormatResult(data,1)
	if(data.ErrorCode=="-1"){
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		
		if (data.rows.length > 0)
		{
			stockCode = data.rows[0]['stock_code'];
			if (stockCode.length > 0)
			{
				$("#id_zqmc").val(data.rows[0]['stock_name']);
				$("#id_sgjg").val(data.rows[0]['last_price']);	
				stock_sc = data.rows[0]['exchange_type'];

				get_StockNum(stockCode, data.rows[0]['last_price']);		
				setFocus("id_sgsl");
			}
			else
			{
				$.messager.alert("提示","该股票不是新股，请重新输入!","error");
				clear('all');
				return;				
			}

		}
		
	}		
}

function get_StockNum(stockCode, sgjg)
{
	var pack = new CTPack();
	pack.Set('stock_code', stockCode);
	pack.Set('entrust_price', sgjg);
	pack.Set('entrust_prop', '3');
	pack.Set('exchange_type', stock_sc);
	// pack.CallTQL("ret_StockNum", "301")
	pack.CallTQL("ret_StockNum", "7799");
}

function ret_StockNum(_fromid,_funid,_flagtype,data)
{
	
	data=FormatResult(data,1)
	if(data.ErrorCode=="-1"){
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		
		if (data.rows.length > 0)
		{

			
			$("#id_ksgsl").val(format0(data.rows[0]['enable_amount']));	
			stock_sc = data.rows[0]['exchange_type'];
			stock_gddm = data.rows[0]['stock_account'];
			
		}
		
	}		
}


function commit()
{
	_commitParam = new paramObj()
	_commitParam.zqdm = $("#id_zqdm").val();
	_commitParam.zqmc = $("#id_zqmc").val();
	_commitParam.sgjg = $("#id_sgjg").val();
	_commitParam.sgsl = $("#id_sgsl").val();
	_commitParam.sc = stock_sc;
	_commitParam.gddm = stock_gddm;
	
	if (!check_Stock(_commitParam.zqdm))
	{
		$.messager.alert("提示","请输入完整证券代码!","error")
		return;
	}

	if (!check_Num(_commitParam.sgsl))
	{
		$.messager.alert("提示","请输入申购数量!","error")
		return;
	}
	
	strInfo="操作类别："+"新股申购"
	+"<br>证券代码："+_commitParam.zqdm
	+"<br>证券名称："+_commitParam.zqmc
	+"<br>申购数量："+_commitParam.sgsl + "股"
	+"<br>申购价格："+_commitParam.sgjg + "元";	
	
	$.dialog({
	    id: 'xys',
	    title: '新股申购确认',
	    content: strInfo,
	    ok: function ()
	    {
			// get_gd_commit()
			get_commit();
	    },
	    okValue: '确 定',
	    cancelValue: '取 消',
	    cancel: function () 
	    {
	    	$.messager.alert('提示','操作已取消',"info");
			
	    }
	});				
	
	
}



// function get_gd_commit()
// {
// 	var pack = new CTPack();
// 	pack.Set('stock_code', _commitParam.zqdm);
// 	// pack.Set('exchange_type', exeType);
// 	pack.CallTQL("ret_gd_commit", "300")
// }

// function ret_gd_commit(_fromid,_funid,_flagtype,data)
// {
// 	try{

// 		data=FormatResult(data,1)	
// 	}catch(e)
// 	{
// 	}
	
	
// 	if(data.ErrorCode=="-1"){
// 		$.messager.alert("提示",data.ErrorInfo,"error")
// 		return
// 	}
// 	else
// 	{		
// 		if (data.rows.length > 0)
// 		{
// 			_commitParam.sc = data.rows[0]['exchange_type'];
// 			_commitParam.gddm = data.rows[0]['stock_account'];
// 		}
// 		get_commit(); 

// 	}		
// }


function get_commit()
{	
	var pack = new CTPack();
	pack.Set('stock_code', _commitParam.zqdm);
	pack.Set('entrust_amount', _commitParam.sgsl);
	pack.Set('entrust_price', _commitParam.sgjg);
	pack.Set('entrust_prop', '3');
	pack.Set('entrust_bs', '1');
	// pack.Set('entrust_type', '0');
	pack.Set('exchange_type',  _commitParam.sc);
	pack.Set('stock_account',  _commitParam.gddm);
	// pack.CallTQL("ret_commit", "302")	
	pack.CallTQL("ret_commit", "7779");		
}

function ret_commit(_fromid,_funid,_flagtype,data)
{
	data=FormatResult(data,1)
	if(data.ErrorCode=="-1"){
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{	
		var text = "委托已提交，委托编号为:" + data.rows[0].entrust_no;
		$.messager.alert("提示",text,"info")
		clear('all');	
	}	
}

function clear(type)
{
	type = type == undefined? 'all':type;
	if (type == 'all' || type == 'zqdm')
	{
		$("#id_zqmc").val('');
		
		$("#id_sgjg").val('');
		$("#id_ksgsl").val('');
		$("#id_sgsl").val('');					
	}
	if (type == 'all' )
	{
		$("#id_zqdm").val('');
	}

}
