//缓存所有数据
var CookieData = '';

// 产品类型模板标识
var _TEMPLATE_TYPE_Flag = '';

//个人基金账户查询2126的缓存变量
var My_Accounts = [];

//当前所点击的产品对应的基金公司所注册的基金账户
var Current_Jjzh = '';

//接收传来的当前行
var Cylc_rows = [];

//点击详情的时候传递的当前行
var Rowscylc = [];

//申购产品时可用金额
var Enable_balance_money = '';

//货币管家的基金公司和基金代码
var _Cookie_Ed_fund_company;
var _Cookie_Ed_fund_code;


var flag_state_1 = '-1';
var flag_state_2 = '-1';
var flag_state_3 = '-1';
//筛选状态初始化

var cylc_List = [
    [{
            field: 'fund_code',
            title: '产品代码',
            width: 100,
            rowspan: 1,
            align: 'center',
            resizable: false,
            sortable: true,
            styler: function(value, row, index) {
                return 'color:#666;';
            }
        }, {
            field: 'fund_abbr',
            title: '产品简称',
            width: 200,
            rowspan: 1,
            align: 'center',
            resizable: false,
            sortable: true,
            formatter: cp_detail
        }, {
            field: 'fund_type',
            title: '产品类型',
            width: 100,
            rowspan: 1,
            align: 'center',
            resizable: false,
            sortable: true,
            formatter: cp_change_1,
            styler: function(value, row, index) {
                return 'color:#666;';
            }
        }, {
            field: 'fund_term',
            title: '产品期限',
            width: 100,
            rowspan: 1,
            align: 'center',
            resizable: false,
            sortable: true,
            formatter: cp_change_2,
            styler: function(value, row, index) {
                return 'color:#666;';
            }
        }, {
            field: 'nav',
            title: '产品净值(元)',
            width: 100,
            rowspan: 1,
            align: 'center',
            resizable: false,
            sortable: true,
            sorter: sortNumber,
            formatter: cp_change_xhx,

            styler: function(value, row, index) {
                return 'color:#666;';
            }
        }, {
            field: 'mfund_year_rate',
            title: '年化收益率(%)',
            width: 110,
            rowspan: 1,
            align: 'center',
            resizable: false,
            sortable: true,
            sorter: sortNumber,
            formatter: cp_change_4,

            styler: function(value, row, index) {
                return 'color:#666;';
            }
        }, {
            field: 'income_unit',
            title: '万份收益(元)',
            width: 100,
            rowspan: 1,
            align: 'center',
            resizable: false,
            sortable: true,
            sorter: sortNumber,
            formatter: cp_change_xhx,

            styler: function(value, row, index) {
                return 'color:#666;';
            }
        }, {
            field: 'fund_status',
            title: '当前状态',
            width: 200,
            rowspan: 1,
            align: 'center',
            resizable: false,
            sortable: true,
            formatter: cp_change_3,
            styler: function(value, row, index) {
                return 'color:#666;';
            }
        },

        {
            field: 'ta_no',
            title: '托管TA代码',
            width: 100,
            rowspan: 1,
            align: 'center',
            resizable: false,
            sortable: true,
            hidden: true
        }, {
            field: 'template_type',
            title: '模板类型',
            width: 100,
            rowspan: 1,
            align: 'center',
            resizable: false,
            sortable: true,
            hidden: true
        }, {
            field: 'first_min_amount',
            title: '首次最低参与金额',
            width: 120,
            rowspan: 1,
            align: 'center',
            resizable: false,
            hidden: true,
            sortable: true
        }, {
            field: 'app_min_amount',
            title: '追加最低参与金额',
            width: 120,
            rowspan: 1,
            align: 'center',
            hidden: true,
            resizable: false,
            sortable: true
        }
    ]
];
$(function() {
    
    // var _ix = new IXContent();
    // Win_CallTQL('ret_123', 'framemaxsize', _ix, '');

    $(window).resize(function(){
        window.location.reload();
    });


    $.messager.defaults = { ok: "确定", cancel: "取消" };
    // cj_dzjy_share.createGrid('cylc_rx_grid', 'tdx_center', null, cylc_List, false);
    cj_dzjy_share.createGrid('cylc_all_grid', 'tdx_center', null, cylc_List, false);
    get_cylc_rx(); //获取热销产品
    choose(); //全部产品

});

// 获取电子签名权限  200
function check_rights() {

    var _ix = new IXContent();
    _ix.Set('version', User.ver); //客户端版本号
    _ix.Set('identity_type', '');
    _ix.Set('op_branch_no', User.yyb); //操作分支机构
    _ix.Set('op_entrust_way', User.wtfs); //委托方式
    //_ix.Set('op_station',User.minfo);//站点地址
    _ix.Set('branch_no', '10'); //分支机构
    _ix.Set('function_id', '200'); //客户号
    _ix.Set('input_content', '1');
    _ix.Set('password', '##PWD##'); //密码
    _ix.Set('content_type', '0');
    _ix.Set('account_content', User.zjzh); //资金账户

    Win_CallTQL('ret_rights', '5010:SIMPLE.200', _ix, '');

}

function ret_rights(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.200') {
        // alert('获取电子签名权限  200'+data)
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            var client_rights = data.rows[0].client_rights;
            Enable_balance_money = data.rows[0].enable_balance;
            check_accounts_rights(client_rights);

        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    }
}



// 获取基金行情信息查询  7413
function find_hq() {

    var _ix = new IXContent();
    _ix.Set('version', User.ver); //客户端版本号
    _ix.Set('identity_type', '');
    _ix.Set('op_branch_no', User.yyb); //操作分支机构
    _ix.Set('op_entrust_way', User.wtfs); //委托方式
    _ix.Set('op_station',User.minfo);//站点地址
    _ix.Set('branch_no', '10'); //分支机构
    _ix.Set('function_id', '7413'); //客户号
    _ix.Set('password', '##PWD##'); //密码
    _ix.Set('fund_company', Cylc_rows.ta_no); //基金公司
    _ix.Set('fund_code', Cylc_rows.fund_code); //基金代码

    Win_CallTQL('ret_find_hq', '5010:SIMPLE.7413', _ix, '');

}

var t1nav = '';
var open_share2 = '';
var open_share = '';
var person_pace2 = '';

function ret_find_hq(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.7413') {
        // alert('获取基金行情信息查询  7413'+data)
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {

            if (data.rows != undefined && data.rows != '') {

                open_share2 = parseFloat(data.rows[0].min_perfapp_balance).toFixed(2);     //首次最低申购金额
                person_pace2 = parseFloat(data.rows[0].min_share2).toFixed(2);    //追加最低申购金额
                open_share = parseFloat(data.rows[0].open_share).toFixed(2);    //首次认购金额
                t1nav = parseFloat(data.rows[0].nav).toFixed(2);    //首次认购金额
                // alert(open_share2+"."+person_pace2+'.'+open_share);
            }
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    }
}



// 验证权限
function check_accounts_rights(a) {

    if (a.indexOf("e") == -1) {
        // $.messager.alert("提示", "您尚未开通电子签名权限，请前往所在营业部开通该权限。详询95579", "warning");
        // alert("您尚未开通电子签名权限，请前往所在营业部开通该权限。详询95579");
        // alert("对不起，您尚未开通电子签名权限，请点击在线开通，进入电子签名权限在线视频鉴证开通页面，或前往所在营业部开通，谢谢！详询95579");
        $("#eqx").window("open");
        return;
    } else {
        // alert("您已经开通了电子签名权限！");
         get_accounts();//开户验证
    }
}

function eqd(){
    $("#eqx").window("close");

}
// 开放式基金帐号查询 2126 
function get_accounts() {

    var _ix = new IXContent();
    Win_CallTQL('ret_accounts', 'JY:2126', _ix, '');

}

function ret_accounts(_fromid, _funid, _flagtype, data) {
    if (_funid == 'JY:2126') {
        // alert('开放式基金帐号查询 2126 '+data);//此处获得的是账户的全部的账户信息
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            My_Accounts = data.rows;
            fund_accounts();
        } else {
            $.messager.alert('提示', data.ErrorInfo, "error");
        }
    }
}

//判断是否开户   首先查账户  在根据查到的账户对比TA_NO  如果有  则跳到签署协议 
function fund_accounts() {
    var flagnum = false;
    for (var i = 0, j = My_Accounts.length; i < j; i++) {
        if (My_Accounts[i]["F426"] == Cylc_rows.ta_no) {
            flagnum = true;
            Current_Jjzh = My_Accounts[i]["F417"]; //取得的是基金账户
            var Current_mc = My_Accounts[i]["F401"]; //取得的是基金公司
        }
    }
    if (flagnum) {

        check_pages(); // 判断是否签署电子合同

    } else {

        alert('您尚未开立对应的基金账户，请在点击确定并完成开户后继续操作。');
        // $.messager.alert("提示", "您尚未开立对应的基金账户，请在点击确定并完成开户后继续操作。", "warning");
        get_jjinfo(); //开户基本信息获取

    }
}
// 基金公司信息查询   7417  
function get_jjinfo() {
    
    var _ix = new IXContent();
    _ix.Set('version', User.ver); //客户端版本号
    _ix.Set('op_branch_no', User.yyb); //操作分支机构
    _ix.Set('op_entrust_way', User.wtfs); //委托方式
    _ix.Set('identity_type', '');
    _ix.Set('op_station',User.minfo);//站点地址
    _ix.Set('function_id', '7417'); //
    _ix.Set('fund_company', Cylc_rows.ta_no); //基金公司代码  基金公司ta帐号
    _ix.Set('request_num', ''); 
    _ix.Set('position_str', ''); 


    Win_CallTQL('ret_jjinfo', '5010:SIMPLE.7417', _ix, '');
}

function ret_jjinfo(_fromid, _funid, _flagtype, data) {

    if (_funid == '5010:SIMPLE.7417') {
        // alert(data);
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            // alert(data.rows[0].exchange_name)
            // return;
            // fund_company_name = data.rows[0].exchange_name;
            
            $("#jjkh_id").val(data.rows[0].exchange_name); // 填充开户的基金公司名称

            $("#jjkh").window("open"); // 填充完成后打开开户遮罩层

        } else {
            $.messager.alert('提示', data.ErrorCode, 'error');
        }
    }
}

//开户操作
function kh() {

     var _ix = new IXContent();
    _ix.Set('version', User.ver); //客户端版本号
    _ix.Set('op_branch_no', User.yyb); //操作分支机构
    _ix.Set('op_entrust_way', User.wtfs); //委托方式
    _ix.Set('identity_type', '');
    _ix.Set('op_station', ''); //操作分支机构
    _ix.Set('function_id', '7418'); //客户号
    _ix.Set('password', '##PWD##'); //密码
    _ix.Set('branch_no', User.yyb); //分支机构
    _ix.Set('action_in', '0'); //分支机构
    _ix.Set('fund_account', User.zjzh); //资金账户
    _ix.Set('fund_company', Cylc_rows.ta_no); //基金公司代码  基金公司ta帐号

    Win_CallTQL('ret_jjinfo1', '5010:SIMPLE.7418', _ix, '');

}

function ret_jjinfo1(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.7418') {
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            // alert("您的基金开户申请已成功提交，申请流水号为：" + data.rows[0].serial_no+"。");
            // // $.messager.alert('提示', "您的基金开户申请已成功提交，申请流水号为：" + data.rows[0].serial_no, 'warning')
            // $("#jjkh").window("close");
            // check_pages(); // 判断是否签署电子合同
            $.messager.alert("提示", "您的基金开户申请已成功提交。", "", function() {
                $("#jjkh").window("close");
                check_pages();
            });
        } else {
            $.messager.alert('提示', data.ErrorCode, 'error');
        }
    }
}
//查询电子合同7439 
function check_pages() {

    var _ix = new IXContent();
    // _ix.Set('identity_type','');
    _ix.Set('op_branch_no', User.yyb); //操作分支机构
    _ix.Set('op_entrust_way', User.wtfs); //委托方式
    _ix.Set('branch_no', User.yyb); //分支机构
    _ix.Set('function_id', '7439'); //客户号
    _ix.Set('fund_account', User.zjzh); //资金账户
    _ix.Set('password', '##PWD##'); //密码
    _ix.Set('fund_company', Cylc_rows.ta_no); //基金公司代码  基金公司ta帐号
    _ix.Set('fund_code', Cylc_rows.fund_code); //产品代码

    Win_CallTQL('ret_cylc_pages', '5010:SIMPLE.7439', _ix, '');

}
//查询电子合同  有数据则返回已经签署
function ret_cylc_pages(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.7439') {
        // alert("查询电子合同  7439"+data);//打印出电子合同的明细
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            if (data.rows == undefined || data.rows == '') {
                // query_current_balance() //查询当前余额
                var _ix2 = new IXContent();
                _ix2.Set('i_ta_no', Cylc_rows.ta_no);
                _ix2.Set('i_fund_code', Cylc_rows.fund_code);
                _ix2.Set('i_attchment_type', '-1'); //附件类型：为-1查询全部，1产品说明书，2其他

                Win_CallTQL('ret_cylc_pages', '5010:SIMPLE.431038', _ix2, '');

            } else {

                // 这里遍历回来的结果集，匹配对应的基金公司代码和产品代码，如果结果集中有匹配，则电子合同已签署
                // 如果结果集没有匹配，则电子合同没有被签署
                for(var i = 0; i < data.rows.length; i ++) {
                    var rowdata = data.rows[i];
                    if(rowdata["fund_company"] == Cylc_rows.ta_no && rowdata["fund_code"] == Cylc_rows.fund_code) {
                        query_current_balance();
                        return;
                    }
                }

                var _ix2 = new IXContent();
                _ix2.Set('i_ta_no', Cylc_rows.ta_no);
                _ix2.Set('i_fund_code', Cylc_rows.fund_code);
                _ix2.Set('i_attchment_type', '-1'); //附件类型：为-1查询全部，1产品说明书，2其他

                Win_CallTQL('ret_cylc_pages', '5010:SIMPLE.431038', _ix2, '');

                // query_current_balance() //查询当前余额

            }
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    } else if (_funid == '5010:SIMPLE.431038') {
        // alert('431038::'+data); //超越理财产品附件查询  附件查询
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            var temp_html = '';
            var temp_html1 = '';
            if (data.rows == undefined || data.rows == '') {

                temp_html = '暂无需要签署的合同';
                temp_html1 = '<input type="button" class="kh_but2" value="我同意以上合同内容" disabled="disabled"/>'

            } else {

                for (var i = 0, j = data.rows.length; i < j; i++) {
                    temp_html += '<a href="' + data.rows[i].attachment_url + '"  target="_blank" style="text-decoration:underline;color:#666;">' +(i+1)+'、'+ data.rows[i].attachment_name + '</a>'+'<br>';
                    temp_html1 = '<input type="checkbox" name="checkbox"  style="width:20px;height:20px;" id="id_checkbox"/>&nbsp;&nbsp;我已经阅读以上的电子合同，并同意签署。<br><input  type="button" onclick="sign_paper()" id="hbgj_xyqx" disabled class="kh_but1" svalue="1" value="我同意以上合同内容"/>'
                }
            }
            $("#dzht").empty().append(temp_html);
            $("#dzhtqx").empty().append(temp_html1);
            $("#qsht").window("open"); //弹出签署合同的遮罩层
            $('#id_checkbox').change(function(){
                if($("#hbgj_xyqx").attr("svalue")=='1'){
                    $("#hbgj_xyqx").removeAttr("disabled");
                    $("#hbgj_xyqx").attr("svalue","2");
                }else if($("#hbgj_xyqx").attr("svalue")=='2'){
                    $("#hbgj_xyqx").attr("disabled","disabled");
                    $("#hbgj_xyqx").attr("svalue","1");
                }            
            })

        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    } else {
        $.messager.alert("提示", "框架ID不同", "error");
    }
}
//可用金额的获取
function query_current_balance() {
    $("#kyje_txt").val(Enable_balance_money); //货币管家的可用金额
    $("#kyzj_txt").val(Enable_balance_money); //其他产品的可用金额
    cylc_business(); //根据理财产品的类型转换
}

//根据理财产品的类型转换  判断不同的产品类型出来不同的申购界面
function cylc_business() {
    if (Cylc_rows.template_type == '1') //模板类型1.货币管家类，2.乐享1天类，3.乐享n天类，4.普通基金类
    {
        new_ed_check();

    } else {
         var cylc_dqzt1 = {
                    "1": "申购",
                    "2": "预约申购",
                    "3": "暂停交易",
                    "4": "认购"
                }
        if(Cylc_rows.fund_status==1){
                //申购
                $("#wtlb_txt1").val(cylc_dqzt1[Cylc_rows.fund_status]); //简称
                $("#cpmc_txt1").val(Cylc_rows.fund_abbr); //简称
                $("#cpdm_txt2").val(Cylc_rows.fund_code); //代码
                $("#sczd_txt").val(open_share2); //首次
                $("#zjzd_txt").val(person_pace2); //追加
                $("#t1rjz_txt").val(t1nav); //t-1日净值

                $("#yyrq33").attr("style", "display:none");
                $("#yyrq22").attr("style", "display:none");
                $("#yyrq44").attr("style", "display:block");
                $("#yyrq55").attr("style", "display:block");
                $("#yyrq66").attr("style", "display:block");

                $("#cpsg").window("open"); //其他产品申购遮罩层
                $("#sgje_txt").val("");
                $("#sgje_txt").focus();
                $("#sg_btn").unbind();
                $("#sg_btn").bind("click", function() {
                    var b = $("#sgje_txt").val();
                    // var k = parseInt($("#kyzj_txt").val());
                    if (b != "" && !isNaN(b) && b > 0) {
                        apply_gain(); //基金申购
                    } else {
                        // alert("请填写正确的申购金额！");
                        $.messager.alert("提示", "<span style='font-size:16px;'>请填写正确的申购金额！</span>", "error");
                        // $("#sgje_txt").focus();
                    }
                });
        }

         if(Cylc_rows.fund_status==2){
                //预约申购
                $("#wtlb_txt1").val(cylc_dqzt1[Cylc_rows.fund_status]); //简称
                $("#cpmc_txt1").val(Cylc_rows.fund_abbr); //简称
                $("#cpdm_txt2").val(Cylc_rows.fund_code); //代码
                $("#sczd_txt").val(open_share2); //首次
                $("#zjzd_txt").val(person_pace2); //追加
                var buy_date = Cylc_rows.advance_buy_date;
                var buy_date_1 = buy_date.substr(0,4)+"-"+buy_date.substr(4,2)+"-"+buy_date.substr(6,2);
                $("#yyrq1").val(buy_date_1); //预约日期
                $("#yyrq22").attr("style", "display:block");
                $("#yyrq33").attr("style", "display:none");
                $("#yyrq44").attr("style", "display:block");
                $("#yyrq55").attr("style", "display:block");
                $("#yyrq66").attr("style", "display:none");

                $("#cpsg").window("open"); //其他产品申购遮罩层
                $("#sgje_txt").val("");
                $("#sgje_txt").focus();
                $("#sg_btn").unbind();
                $("#sg_btn").bind("click", function() {
                    var b = $("#sgje_txt").val();
                    // var k = parseInt($("#kyzj_txt").val());
                    if (b != "" && !isNaN(b) && b > 0) {
                        apply_gain1(); //基金预约申购
                    } else {
                        // alert("请填写正确的申购金额！");
                        $.messager.alert("提示", "<span style='font-size:16px;'>请填写正确的预约申购金额！</span>", "error");
                        // $("#sgje_txt").focus();
                    }
                });
        }

         if(Cylc_rows.fund_status==4){
                //认购
                $("#wtlb_txt1").val(cylc_dqzt1[Cylc_rows.fund_status]); //简称
                $("#cpmc_txt1").val(Cylc_rows.fund_abbr); //简称
                $("#cpdm_txt2").val(Cylc_rows.fund_code); //代码
                $("#yyrq44").attr("style", "display:none");
                $("#yyrq55").attr("style", "display:none");
                $("#yyrq33").attr("style", "display:block");
                $("#yyrq22").attr("style", "display:none");
                $("#yyrq66").attr("style", "display:none");

                $("#zdrg_txt").val(Cylc_rows.open_share); //追加

                $("#cpsg").window("open"); //其他产品申购遮罩层
                $("#sgje_txt").val("");
                $("#sgje_txt").focus();
                $("#sg_btn").unbind();
                $("#sg_btn").bind("click", function() {
                    var b = $("#sgje_txt").val();
                    // var k = parseInt($("#kyzj_txt").val());
                    if (b != "" && !isNaN(b) && b > 0) {
                        apply_gain2(); //认购
                    } else {
                        // alert("请填写正确的申购金额！");
                        $.messager.alert("提示", "<span style='font-size:16px;'>请填写正确的认购金额！</span>", "error");
                        // $("#sgje_txt").focus();
                    }
                });
        }
        
    }
}

//货币管家类的产品申购功能 7475
function new_ed() {
    var value = $("#bled_txt").val();
    var edcfg = {
        "fund_company": Cylc_rows.ta_no, //托管公司
        "fund_code": Cylc_rows.fund_code, //货币管家  890017
        "ofcash_balance": value, // 保留额度  就是触发金额
        "funcid": "7475",
        "ofcash_status": "0",
        "funcname": 'ret_new_ed'
    };
    cj_dzjy_share.setIX(edcfg);
}

function ret_new_ed(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.7475') {
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            // $.messager.alert("提示", "您的开始理财申请已成功提交，额度已成功设置。流水号为：" + data.rows[0].serial_no, "message");
            alert("您的开始理财申请已成功提交，额度已成功设置。流水号为：" + data.rows[0].serial_no+"。");
            $("#kted").window("close");
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    }
}
//货币管家类  现金产品登记查询7470
function new_ed_check() {
    var edcfg = {
        // "fund_company": Cylc_rows.ta_no, //托管公司
        // "fund_code": Cylc_rows.fund_code, //货币管家  890017
        // "ofcash_balance": value, // 保留额度  就是触发金额
        'fund_account': User.zjzh,
        "funcid": "7470",
        "funcname": 'ret_new_ed_check'
    };
    cj_dzjy_share.setIX(edcfg);
}

function ret_new_ed_check(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.7470') {
        // alert("货币管家类  现金产品登记查询7470:"+data);//打印数据
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {

            if (data.rows == undefined || data.rows == '') {

                $("#kted").window("open");
                $("#bled_txt").val("10");
                // $("#bled_txt").focus();
                $("#kslc_btn").unbind();
                $("#kslc_btn").bind("click", function() {
                    var b = $("#bled_txt").val();
                    if (b != "" && !isNaN(b) && b > 0) {

                        $.messager.confirm("操作提示", "<span style='font-size:14px;'>请确认您已同意《集合计划签约申请书》内容，并点击确认后开始进行货币管家理财。</span>", function (r) {
                            if (r) {
                                        new_ed(); //货币管家单独出来
                                 }
                                else {
                                    return;
                                }
                            });

                        // new_ed(); //货币管家单独出来
                    } else {
                        // alert("请填写正确的保留额度！");
                        $.messager.alert("提示","<span style='font-size:16px;'>请填写正确的保留额度！</span>","error");
                        // $("#bled_txt").focus();
                        return false;
                    }
                });

            }else if(data.rows[0].fund_code=='890017'){
                    _Cookie_Ed_fund_company = data.rows[0].fund_company;
                    _Cookie_Ed_fund_code = data.rows[0].fund_code;

                    get_ed('890017');

                }
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    }
}

//根据修改额度的类型决定日期控件是否可用
function check(a) {
    if (a == 1){
        $("#ls_date").removeAttr("disabled");
        $("#edxgrq").css("color","red");
        $("#lsxgrq").attr("style","display:block");
    }else{
        $("#ls_date").attr("disabled", "disabled");
        $("#edxgrq").css("color","#ccc");
        $("#lsxgrq").attr("style","display:none");

    }
}
//7470-货币管家额度查询 890017
function get_ed(stock_code) {
    var edcfg2 = {
        "funcid": "7470",
        "funcname": 'ret_charged_ed_1'
    };
    cj_dzjy_share.setIX(edcfg2);
}

function ret_charged_ed_1(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.7470') {
        // alert('7470:'+data);
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {

            var hhh = '<input readonly="readonly" type="text" style="width:130px;" class="ipt_txt" value="'+data.rows[0].ofcash_balance+'">&nbsp;元'
            $("#dqed_txt").html(hhh); //获取当前额度
            $("#ls_ed_changed").val(''); //初始化额度至

            $("#ls_date").val(setTim(1));
            $("#xged").window("open"); //展开遮罩
            $("#ls_ed_changed").focus();
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    }
}
//提交修改额度的函数
function change_ed() {
    var ed_flag = $("input[name='xged']:checked").val();
    var new_ed1 = $("#ls_ed_changed").val();

    if (new_ed1 <= 0) {
        $.messager.alert("提示", "<span style='font-size:16px;'>新额度格式不正确！</span>", "error");
        return false;
    }
    var ls_date = $("#ls_date").val();
    // alert(ls_date)
    ls_date = ls_date.replace(/-/g, "");

    if (ed_flag == 2) {//7471-货币管家额度永久调整
        var edcfg3 = {
            "funcid": "7471",
            "fund_company": _Cookie_Ed_fund_company,
            "fund_code": _Cookie_Ed_fund_code,
            "ofcash_status": "0",
            "ofcash_balance": new_ed1,
            "funcname": 'ret_charged_ed'
        };
        cj_dzjy_share.setIX(edcfg3);
    } else if (ed_flag == 1) {//511-货币管家额度临时调整
        var edcfg4 = {
            "funcid": "511",
            "fundreserve_type": "0",
            "reserve_balance": new_ed1,
            "valid_date": ls_date,
            "funcname": 'ret_charged_ed'
        };
        cj_dzjy_share.setIX(edcfg4);
    }
}

function ret_charged_ed(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.7471') {
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {

            var ss = "<span style='font-size:16px;'>您的永久额度修改申请已成功提交，流水号为：" + data.rows[0].serial_no+"。</span>";
            $.messager.alert("提示", ss, "message");
            $("#xged").window("close");
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    } else if (_funid == '5010:SIMPLE.511') {
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            var ss = "<span style='font-size:16px;'>您的临时额度修改申请已成功提交，流水号为：" + data.rows[0].serial_no+"。</span>";
            $.messager.alert("提示", ss, "message");
            $("#xged").window("close");
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    }
}
// 申购函数7402
function apply_gain() {
    var value = $("#sgje_txt").val();
    var applycfg = {
        "fund_code": Cylc_rows.fund_code,
        "balance": value,
        "funcid": "7402",
        "funcname": 'ret_apply_gain'
    };
    cj_dzjy_share.setIX(applycfg);
}
//申购返回函数
function ret_apply_gain(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.7402') {
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            // $.messager.defaults = { ok: "确定", cancel: "取消" };
            $.messager.alert("提示", "<span style='font-size:16px;'>您的申购委托已成功提交，流水号为：" + data.rows[0].serial_no+"。</span>", "message");
            // var message = "您的申购委托已成功提交，流水号为：" + data.rows[0].serial_no;
            // alert(message);
            $("#cpsg").window("close");
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    }
}


// 预约申购函数7462
function apply_gain1() {
    var value = $("#sgje_txt").val();
    var buy_date = Cylc_rows.advance_buy_date;
    var applycfg = {
        "fund_code": Cylc_rows.fund_code,
	"fund_company":Cylc_rows.ta_no,
        "balance": value,
        "hopedate": buy_date,
        "funcid": "7462",
        "funcname": 'ret_apply_gain1'
    };
    cj_dzjy_share.setIX(applycfg);
}
//预约申购返回函数
function ret_apply_gain1(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.7462') {
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            $.messager.alert("提示", "<span style='font-size:16px;'>您的预约申购委托已成功提交，流水号为：" + data.rows[0].serial_no+"。</span>", "message");
            // var message = "您的申购委托已成功提交，流水号为：" + data.rows[0].serial_no;
            // alert(message);
            $("#cpsg").window("close");
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    }
}


// 认购函数7401
function apply_gain2() {
    var value = $("#sgje_txt").val();
    var applycfg = {
        "fund_code": Cylc_rows.fund_code,
        "balance": value,
        "funcid": "7401",
        "funcname": 'ret_apply_gain2'
    };
    cj_dzjy_share.setIX(applycfg);
}
//申购返回函数
function ret_apply_gain2(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.7401') {
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            $.messager.defaults = { ok: "确定", cancel: "取消" };
            $.messager.alert("提示", "<span style='font-size:16px;'>您的认购委托已成功提交，流水号为：" + data.rows[0].serial_no+"。</span>", "message");
            // var message = "您的申购委托已成功提交，流水号为：" + data.rows[0].serial_no;
            // alert(message);
            $("#cpsg").window("close");
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    }
}


//提交合同签署7437  //全部选中才能提交
function sign_paper() {
    var _ix = new IXContent();
    _ix.Set('op_station',User.minfo);//站点地址
    _ix.Set('identity_type','');//这个必须加上
    _ix.Set('op_branch_no', User.yyb); //操作分支机构
    _ix.Set('op_entrust_way', User.wtfs); //委托方式
    _ix.Set('branch_no', User.yyb); //分支机构
    _ix.Set('function_id', '7437'); //客户号
    _ix.Set('fund_account', User.zjzh); //资金账户
    _ix.Set('fund_company', Cylc_rows.ta_no); //基金公司
    _ix.Set('fund_code', Cylc_rows.fund_code); //基金代码
    _ix.Set('charge_type', ''); //前后收费类型
    _ix.Set('password', '##PWD##'); //密码

    _ix.Set('sub_risk_flag', 'a'); //客户已签署风险揭示书 （0-未签署风险揭示书，1-已签署电子风险揭示书，2-已签署纸质风险揭示书）
    // alert('IX::'+_ix);
    Win_CallTQL('ret_paper', '5010:SIMPLE.7437', _ix, '');
}

function ret_paper(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.7437') {
        // alert("签署电子合同返回数据7437:"+data);
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            // $.messager.alert("提示", "电子合同签署完成，流水号为：" + data.rows[0].serial_no, "warning");
            alert("电子合同签署完成，流水号为：" + data.rows[0].serial_no);
            $("#qsht").window("close"); //关闭签署合同的遮罩层
            query_current_balance() //查询当前余额
            // cylc_business(); //进入具体业务页面
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    }
}
//字段字典转换
function cp_change_1(value, row, index) {
    var cylc_cplx = {
            "1": "股票型",
            "2": "债券型",
            "3": "混合型",
            "4": "货币型"
        } //产品类型
    return value = (cylc_cplx[value]);
}
function cp_change_4(value, row, index) {
    if (value == '' || value == undefined || value == '0') {
        return value = '--';
    } else{
        var sy2 = (value*100).toFixed(2)+'%';
        return value = (sy2);
    }
}
function cp_change_xhx(value, row, index) {
    if (value == '' || value == undefined) value = '---';
    return value;
}
function cp_change_2(value, row, index) {
    var cylc_cpqx = {
            "1": "1天期",
            "2": "30天期",
            "3": "60天期",
            "4": "90天期",
            "5": "120天期",
            "6": "180天期",
            "7": "360天期",
            "8": "无限期"
        } //产品期限
    return value = (cylc_cpqx[value]);
}

function cp_change_3(value, row, index) {
    var cylc_dqzt = {
            "1": "正常开放",
            "2": "开放预约",
            "3": "暂停交易",
            "4": "开放认购"
        } //当前状态
    if (value == 1) {
        var ss = '<input type="button" class="cylc_kslc" onclick="kslc_kslc(\'' + row.fund_code + '\')" value="开始理财"/>';
    }
    if (value == 2) {
        var ss = '<input type="button" class="cylc_kslc" onclick="kslc_kslc(\'' + row.fund_code + '\')" value="开始理财"/>';
    }
    if (value == 3) {
        var ss = '<input type="button" style="background: url(pic/kslcjy.gif);width: 64px;height: 22px;border: 0px;"  value="开始理财" onclick="tzlc_xx()" disabled/>';
    }
    if (value == 4) {
        var ss = '<input type="button" class="cylc_kslc" onclick="kslc_kslc(\'' + row.fund_code + '\')" value="开始理财"/>';
    }
    return value = cylc_dqzt[value] + "---" + ss;

}

function tzlc_xx(){
    alert("对不起，该产品暂未开放！");
    return;
}
//把获取的所有产品做一个缓存  //存为全局变量的时候存为对象是最好的
var datadstorge;
function storge(){
    datadstorge = CookieData;
}

//开始理财 传递的参数是产品代码
function kslc_kslc(rowfundcode) {

    // storge();
    // alert(datadstorge.rows.length)
    for (var i = 0, j = datadstorge.rows.length; i < j; i++) {
        if (datadstorge.rows[i].fund_code == rowfundcode) {
            Cylc_rows = datadstorge.rows[i];
        }
    }

    // var a = $('#cylc_all_grid').datagrid("getRows");
    // for (var i = 0, j = a.length; i < j; i++) {
    //     if (a[i].fund_code == rowfundcode) {
    //         Cylc_rows = a[i];
    //     }
    // }
    check_rights();//获取权限并验证  判断是否存在电子签名权限
    find_hq();
}

//模板类型1.货币管家类，2.乐享1天类，3.乐享n天类，4.普通基金类
function cp_detail(value, row, index) {
    value = '<a class="cp_detail_cp" onclick="get_cylc_detail(\'' + row.fund_code + '\')" href="javascript:void(0)">' + value + '</a>';
    return value;
}


// // 获取基金行情信息查询  7413
// function find_hq1() {

//     var _ix = new IXContent();
//     _ix.Set('version', User.ver); //客户端版本号
//     _ix.Set('identity_type', '');
//     _ix.Set('op_branch_no', User.yyb); //操作分支机构
//     _ix.Set('op_entrust_way', User.wtfs); //委托方式
//     _ix.Set('op_station',User.minfo);//站点地址
//     _ix.Set('branch_no', '10'); //分支机构
//     _ix.Set('function_id', '7413'); //客户号
//     _ix.Set('password', '##PWD##'); //密码
//     _ix.Set('fund_company', Rowscylc.ta_no); //基金公司
//     _ix.Set('fund_code', Rowscylc.fund_code); //基金代码

//     Win_CallTQL('ret_find_hq1', '5010:SIMPLE.7413', _ix, '');

// }

// var open_share21 = '';
// var open_share1 = '';
// var person_pace21 = '';

// function ret_find_hq1(_fromid, _funid, _flagtype, data) {
//     if (_funid == '5010:SIMPLE.7413') {
//         alert('获取基金行情信息查询  7413'+data)
//         var data = FormatResult(data, 1);
//         if (data.ErrorCode == 0) {
//             open_share21 = parseInt(data.rows[0].open_share2).toFixed(2);     //首次最低申购金额
//             person_pace21 = parseInt(data.rows[0].person_pace2).toFixed(2);    //追加最低申购金额
//             open_share1 = parseInt(data.rows[0].open_share).toFixed(2);    //追加最低申购金额
//             // alert(open_share2+"."+person_pace2+'.'+open_share);
//         } else {
//             $.messager.alert("提示", data.ErrorInfo, "error");
//         }
//     }
// }


// 获取单个产品收益走势
function get_cylc_detail(value) {




    for (var i = 0, j = datadstorge.rows.length; i < j; i++) {
        if (datadstorge.rows[i].fund_code == value) {
            Rowscylc = datadstorge.rows[i];
            _TEMPLATE_TYPE_Flag = Rowscylc.template_type;
        }
    }


    // var b = $('#cylc_all_grid').datagrid("getRows");
    // for (var i = 0, j = b.length; i < j; i++) {
    //     if (b[i].fund_code == value) {
    //         Rowscylc = b[i];
    //         _TEMPLATE_TYPE_Flag = Rowscylc.template_type;
    //     }
    // }


    $.each(Rowscylc, function(k, v) {
        if (Rowscylc[k] == '' || Rowscylc[k] == undefined)
            Rowscylc[k] = '---';
    });

    // find_hq1(); 

    if (_TEMPLATE_TYPE_Flag == '1') {
        $("#zs_1").attr("style", "display:block");
        $("#zs_2").attr("style", "display:block");
        $("#zs_3").attr("style", "display:none");
        $("#zs_4").attr("style", "display:none");
        $("#zs_5").attr("style", "display:none");
        $("#zs_6").attr("style", "display:none");
        $("#zs_7").attr("style", "display:none");
        $("#zs_8").attr("style", "display:none");
        $("#cpdm_txt").text(Rowscylc.fund_code);
        $("#cpmc_txt").text(Rowscylc.fund_abbr);
        $("#kfr_txt1").text(Rowscylc.trade_day);
        $("#cxdate_txt1").text(Rowscylc.fund_duration);
        $("#sczdje_1_txt").text(Rowscylc.first_min_amount);
        $("#zjzdje_1_txt").text(Rowscylc.app_min_amount);
    } else if (_TEMPLATE_TYPE_Flag == '2') {
        $("#zs_1").attr("style", "display:none");
        $("#zs_2").attr("style", "display:none");
        $("#zs_3").attr("style", "display:block");
        $("#zs_4").attr("style", "display:none");
        $("#zs_5").attr("style", "display:none");
        $("#zs_6").attr("style", "display:none");
        $("#zs_7").attr("style", "display:none");
        $("#zs_8").attr("style", "display:block");
        $("#cpdm_txt").text(Rowscylc.fund_code);
        $("#cpmc_txt").text(Rowscylc.fund_abbr);
        $("#kfr_txt2").text(Rowscylc.trade_day);
        $("#cxdate_txt2").text(Rowscylc.fund_duration);
        $("#sczdje_2_txt").text(Rowscylc.first_min_amount);
        $("#zjzdje_2_txt").text(Rowscylc.app_min_amount);
        $("#wfsy_txt").text(Rowscylc.income_unit);
    } else if (_TEMPLATE_TYPE_Flag == '3') {
        $("#zs_1").attr("style", "display:none");
        $("#zs_2").attr("style", "display:none");
        $("#zs_3").attr("style", "display:none");
        $("#zs_4").attr("style", "display:block");
        $("#zs_5").attr("style", "display:block");
        $("#zs_6").attr("style", "display:none");
        $("#zs_7").attr("style", "display:none");
        $("#zs_8").attr("style", "display:none");
        $("#cpdm_txt").text(Rowscylc.fund_code);
        $("#cpmc_txt").text(Rowscylc.fund_abbr);
        $("#kfr_txt3").text(Rowscylc.trade_day);
        $("#cxdate_yzts").text(Rowscylc.operation_time);
        $("#cxdate_yzzq").text(Rowscylc.op_begin_date.substr(0,4) +'-'+Rowscylc.op_begin_date.substr(4,2)+'-'+ Rowscylc.op_begin_date.substr(6,2)+ ' 至 ' + Rowscylc.op_end_date.substr(0,4) +'-'+Rowscylc.op_end_date.substr(4,2)+'-'+ Rowscylc.op_end_date.substr(6,2));
        $("#sczdje_3_txt").text(Rowscylc.first_min_amount);
        $("#zjzdje_3_txt").text(Rowscylc.app_min_amount);
        var sy = (Rowscylc.income_rate*100).toFixed(2);
        $("#yqnhsy_txt").text(sy);
    } else if (_TEMPLATE_TYPE_Flag == '4') {
        $("#zs_1").attr("style", "display:none");
        $("#zs_2").attr("style", "display:none");
        $("#zs_3").attr("style", "display:none");
        $("#zs_4").attr("style", "display:none");
        $("#zs_5").attr("style", "display:none");
        $("#zs_6").attr("style", "display:block");
        $("#zs_7").attr("style", "display:block");
        $("#zs_8").attr("style", "display:none");
        $("#cpdm_txt").text(Rowscylc.fund_code);
        $("#cpmc_txt").text(Rowscylc.fund_abbr);
        $("#kfr_txt4").text(Rowscylc.trade_day);
        $("#cxdate_txt4").text(Rowscylc.fund_duration);
        $("#sczdje_4_txt").text(Rowscylc.first_min_amount);
        $("#zjzdje_4_txt").text(Rowscylc.app_min_amount);
    }

    $("#sdate").val(setTim(-30)); //初始化查询日期
    $("#edate").val(setTim(-1));

    var sdate = $('#sdate').val();
    var edate = $('#edate').val();
    sdate = sdate.replace(/-/g, "");
    edate = edate.replace(/-/g, "");
    if (sdate > edate) {
        $.messager.alert("提示", "<span style='font-size:16px;'>起始日期不能大于终止日期！</span>", "error");
        return;
    }
    var _ix = new IXContent();
    // _ix.Set('s_ip', '');
    // _ix.Set('s_mac', '');
    _ix.Set('i_ta_no', Rowscylc.ta_no);
    // _ix.Set('i_id_no', '');
    _ix.Set('i_fund_code', Rowscylc.fund_code);
    _ix.Set('i_start_date', sdate);
    _ix.Set('i_end_date', edate);
    // _ix.Set('@POS', 0);
    // _ix.Set('@COUNT', 50);

    Win_CallTQL('ret_cylc_detail', '5010:SIMPLE.431048', _ix, '');

    var _ix2 = new IXContent();
    _ix2.Set('i_ta_no', Rowscylc.ta_no);
    _ix2.Set('i_fund_code', Rowscylc.fund_code);
    _ix2.Set('i_attchment_type', '-1'); //附件类型：为-1查询全部，1产品说明书，2其他

    Win_CallTQL('ret_cylc_detail', '5010:SIMPLE.431038', _ix2, '');

}

function get_cylc_detail_1() {

    var sdate = $('#sdate').val();
    var edate = $('#edate').val();
    sdate = sdate.replace(/-/g, "");
    edate = edate.replace(/-/g, "");
    if (sdate > edate || sdate == '' ) {
        $.messager.alert("提示", "<span style='font-size:16px;'>起始日期不能大于终止日期！</span>", "error");
        return;
    }
    var _ix = new IXContent();
    // _ix.Set('s_ip', '');
    // _ix.Set('s_mac', '');
    _ix.Set('i_ta_no', Rowscylc.ta_no);
    // _ix.Set('i_id_no', '');
    _ix.Set('i_fund_code', Rowscylc.fund_code);
    _ix.Set('i_start_date', sdate);
    _ix.Set('i_end_date', edate);
    // _ix.Set('@POS', 0);
    // _ix.Set('@COUNT', 50);

    Win_CallTQL('ret_cylc_detail', '5010:SIMPLE.431048', _ix, '');

    var _ix2 = new IXContent();
    _ix2.Set('i_ta_no', Rowscylc.ta_no);
    _ix2.Set('i_fund_code', Rowscylc.fund_code);
    _ix2.Set('i_attchment_type', '-1'); //附件类型：为-1查询全部，1产品说明书，2其他

    Win_CallTQL('ret_cylc_detail', '5010:SIMPLE.431038', _ix2, '');
}

function ret_cylc_detail(_fromid, _funid, _flagtype, data) {

    if (_funid == '5010:SIMPLE.431048') {
        // alert("431048:"+data); //431048净值.累积净值
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            if (data.rows == undefined || data.rows == '') {
                $("#cylc_syzs_grid").empty().append("<div style='text-align: left;font-size: 16px;color: #666;margin-left: 65px;'>当前没有相关数据！</div>");
                $("#syzs").window("open"); //弹出遮罩层
                return;
            }

            $("#syzs").window("open"); //弹出遮罩层
            create_line(data);

        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    } else if (_funid == '5010:SIMPLE.431038') {
        // alert("431038:"+data);//获取产品的附件  主要获取附件展示名称和附件地址  没有错误 说明没有数据
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {
            var temp_html = '';
            if (data.rows == undefined || data.rows == '') {
                temp_html = '<div style="text-align: left;font-size: 16px;color: #666;">当前没有附件！</div>';
                // $("#detail_paper").empty().append(temp_html);
                // alert("messager:431038没有数据！");
            } else {
                for (var i = 0, j = data.rows.length; i < j; i++) {
                    // temp_html += '<a href="' + data.rows[i].attachment_url + '">' + data.rows[i].attachment_name + '</a>'+'<br>';
                    temp_html += '<a href="' + data.rows[i].attachment_url + '"  target="_blank" style="text-decoration:underline;color:#666;">' +(i+1)+'、'+ data.rows[i].attachment_name + '</a>'+'<br>';

                }
            }
            $("#detail_paper").empty().append(temp_html);
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    } else {
        $.messager.alert("提示", "框架ID不同", "error");
    }
}

//画线
function create_line(data) {

    var lineData = data.rows;
    // temp_data.push(CookieData.rows[i]);
    var Y = new Array;
    Y[0] = ''; //y方向标题
    Y[1] = ''; //Y轴最大值
    Y[2] = ''; //Y轴间隔数（一个单元格的值）
    Y[3] = ''; //Y轴取值字段

    var X = new Array;
    X[0] = ''; //X轴计数（一个单元格的值）
    X[1] = ''; //Y轴取值字段
    //设置不同模板类参数
    //x方向基线
    var temp_data = new Array;
    var dateArr0 = new Array();
    var syArr0 = new Array();
    switch (_TEMPLATE_TYPE_Flag) {
        case '1':
            for (var i = 0, j = lineData.length; i < j; i++) {
                temp_data.push(lineData[i].l_incomeratio); //收益率
            }
            for (var i = 0, j = lineData.length; i < j; i++) {
                dateArr0.push(lineData[i].alternationdate.split(' ')[0]); //获取日期
                syArr0.push(Math.round(parseFloat(lineData[i].l_incomeratio) * 100 * 10000) / 10000); //保留四位小数
                // syArr0.push(parseFloat(lineData[i].l_incomeratio)*100);//保留四位小数
            }
            // var p = max(temp_data)/5;
            Y[0] = '预估年化收益率(%)';
            break;
        case '2':
            for (var i = 0, j = lineData.length; i < j; i++) {
                temp_data.push(lineData[i].l_incomeratio); //收益率
            }
            for (var i = 0, j = lineData.length; i < j; i++) {
                dateArr0.push(lineData[i].alternationdate.split(' ')[0]); //获取日期
                syArr0.push(Math.round(parseFloat(lineData[i].l_incomeratio) * 100 * 10000) / 10000); //保留四位小数
                // syArr0.push(parseFloat(lineData[i].l_incomeratio)*100);//保留四位小数
            }
            // var p = max(temp_data)/5;
            Y[0] = '年化收益率(%)';
            break;
        case '3':
        case '4':
            for (var i = 0, j = lineData.length; i < j; i++) {
                temp_data.push(lineData[i].totalnetvalue); //收益率
            }
            for (var i = 0, j = lineData.length; i < j; i++) {
                dateArr0.push(lineData[i].alternationdate.split(' ')[0]); //获取日期
                syArr0.push(Math.round(parseFloat(lineData[i].totalnetvalue) * 10000) / 10000); //保留四位小数
                // syArr0.push(parseFloat(lineData[i].totalnetvalue));//保留四位小数
            }
            // var p = max(temp_data)/5;
            Y[0] = '累计净值';
            break;
    }

    // Y[1] = max(temp_data)*1.2;
    Y[1] = temp_data;
    Y[2] = 0;
    Y[3] = syArr0.reverse(); //倒置数组

    switch (parseInt(lineData.length / 5)) {
        case 0:
            X[0] = 0;
            break;
        case 1:
            X[0] = 1;
            break;
        case 2:
            X[0] = 2;
            break;
        case 3:
            X[0] = 3;
            break;
        case 4:
            X[0] = 4;
            break;
        case 5:
            X[0] = 5;
            break;
        case 6:
            X[0] = 6;
            break;
        case 7:
            X[0] = 7;
            break;
        case 8:
            X[0] = 8;
            break;
        case 9:
            X[0] = 9;
            break;
        default:
            X[0] = 10;
            break;
    }
    // X[0] = time_between/5 < 3 ? 0:5;

    // X[0] = 5;
    X[1] = dateArr0.reverse();


    $('#cylc_syzs_grid').highcharts({
        chart: {
            defaultSeriesType: 'line', //图表类型line(折线图)
            zoomType: 'x', //x轴方向可以缩放
            x: -20
        },
        credits: {
            enabled: false // 禁用版权信息
        },
        plotOptions: { //设置数据点
            line: {
                dataLabels: {
                    // enabled:true  //在数据点上显示对应的数据值
                    enabled: false //在数据点上显示对应的数据值
                }
                // enableMouseTracking: false //取消鼠标滑向触发提示框
            },
            style: {
                // color:"#ff0000"
                color: "#c2def0"
            }
        },
        title: {
            text: Y[0], //图表标题
            style: {
                color: "red",
                fontSize: "18px",
                fontWeight:"bold",
                fontFamily:"Microsoft YaHei"
            }
        },
        xAxis: {
            // categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun','Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
            categories: X[1],
            // gridLineWidth: 1//设置网格宽度为1
            tickInterval: X[0] //X轴间隔数（一个单元格的值，10天）
            // lineWidth: 1 //基线宽度
            // labels: {
            //     y: 26
            // } //x轴标签位置：距X轴下方26像素
        },
        yAxis: {
            title: {
                // text: "htllow"
                // rotation: 90, // 默认值为270
                // bold: true,
                // text: "Time_Value"
                text: ''
            }
            // max: Y[1],      //Y轴最大值
            // tickInterval:Y[2],   //Y轴间隔数（一个单元格的值）
            // lineWidth: 0 //Y轴线宽度
        },

        legend: { //图例
            layout: 'horizontal', //图例显示的样式：水平（horizontal）/垂直（vertical）
            backgroundColor: '#ffc', //图例背景色
            align: 'right', //图例水平对齐方式
            verticalAlign: 'middle', //图例垂直对齐方式
            x: 0, //相对X位移
            y: -177, //相对Y位移
            floating: true, //设置可浮动
            shadow: true //设置阴影
        },
        series: [{
            name: Y[0],
            // data: [-0.9, 0.6, 3.5, 8.4, 13.5, 17.0, 18.6, 17.9, 14.3, 9.0, 3.9, 1.0]
            data: Y[3]
        }]
    });

}

//热销产品
function get_cylc_rx() {
    var _ix = new IXContent();
    _ix.Set('i_fund_code', '');
    _ix.Set('i_ta_no', '');
    _ix.Set('i_fund_term', '-1');
    _ix.Set('i_fund_type', '-1');
    _ix.Set('i_fund_status', '-1');
    _ix.Set('i_if_hot_selling', '1');
    _ix.Set('i_if_show', '1');

    Win_CallTQL('ret_cylc_rx', '5010:SIMPLE.431037', _ix, '');
}
// 带筛选条件的全部产品查询
function choose() {
    var cp_code = $("#cp_code").val();
    var cp_time_serias = $("#cp_time_serias option:selected").val();
    var cp_serias = $("#cp_serias option:selected").val();
    var cp_state_serias = $("#cp_state_serias option:selected").val();

    var _ix = new IXContent();
    _ix.Set('i_fund_code', cp_code); //产品代码
    _ix.Set('i_ta_no', '');
    _ix.Set('i_fund_term', cp_time_serias); //产品期限
    _ix.Set('i_fund_type', cp_serias); //产品类型
    _ix.Set('i_fund_status', cp_state_serias); //产品状态
    _ix.Set('i_if_hot_selling', '-1');
    _ix.Set('i_if_show', '1');

    Win_CallTQL('ret_cylc_all', '5010:SIMPLE.431037', _ix, '');
}

//获取热销产品
function ret_cylc_rx(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.431037') {
        // alert(data);//热销产品
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {

            var chang = data.rows.length;
            if(chang>3){
                var width1 = 358*chang;
                $("#changdu").width(width1);
            }

            for (var i = 0; i < data.rows.length; i++) {
                var temp_html = '';

                if (data.rows[i].template_type == 1) {
                    temp_html = '<table class="rxcp_table"><tr><td id="dm_code_txt' + i + '" class="dm_code_txt"></td></tr><tr><td id="mc_code_txt' + i + '" class="mc_code_txt"></td></tr><tr><td id="kslc_code_txt' + i + '" class="kslc_code_txt"></td></tr><tr colspan="2" id="lx_code_txt' + i + '" class="lx_code_txt"><td>产品类型：</td><td class="txt_txt" id="lx_code_txt1' + i + '"></td></tr><tr colspan="2" id="qx_code_txt' + i + '" class="qx_code_txt"><td>产品期限：</td><td class="txt_txt" id="qx_code_txt1' + i + '"></td></tr><tr colspan="2" id="sy_code_txt' + i + '" class="sy_code_txt"><td>预估年化收益率：</td><td class="txt_txt" id="sy_code_txt1' + i + '"> </td></tr><tr colspan="2" id="wf_code_txt' + i + '" class="wf_code_txt"><td>万份收益：</td><td class="txt_txt" id="wf_code_txt1' + i + '"></td></tr><tr colspan="2" id="zt_code_txt' + i + '" class="zt_code_txt"><td>当前状态：</td><td class="txt_txt" id="zt_code_txt1' + i + '"></td></tr></table>';
                    $("#rxcp_table_all").append(temp_html);
                    $("#dm_code_txt" + i).text(data.rows[i].fund_code);
                    // $("#mc_code_txt1" + i).text(data.rows[i].fund_abbr);

                    var code_txt = data.rows[i].fund_code;
                    var mc_code = data.rows[i].fund_abbr;
                    var cylc_cplx = {
                        "1": "股票型",
                        "2": "债券型",
                        "3": "混合型",
                        "4": "货币型"
                    }
                    $("#lx_code_txt1" + i).text(cylc_cplx[data.rows[i].fund_type]);
                    var cylc_cpqx = {
                        "1": "1天期",
                        "2": "30天期",
                        "3": "60天期",
                        "4": "90天期",
                        "5": "120天期",
                        "6": "180天期",
                        "7": "360天期",
                        "8": "无限期"
                    }
                    $("#qx_code_txt1" + i).text(cylc_cpqx[data.rows[i].fund_term]);

                    var sy2 = data.rows[i].mfund_year_rate;
                    if (sy2 == '' || sy2 == undefined || sy2 == '0') {
                        $("#sy_code_txt1" + i).text("---");
                    } else {
                        var sy1 = (sy2 * 100).toFixed(2);
                        $("#sy_code_txt1" + i).text(sy1 + "%");
                    }

                    if (data.rows[i].income_unit == '' || data.rows[i].income_unit == undefined) {
                        data.rows[i].income_unit = '---';
                    } else {
                        data.rows[i].income_unit = data.rows[i].income_unit + '元';
                    }
                    $("#wf_code_txt1" + i).text(data.rows[i].income_unit);
                    var cylc_dqzt = {
                        "1": "正常开放",
                        "2": "开放预约",
                        "3": "暂停交易",
                        "4": "开放认购"
                    }
                    $("#zt_code_txt1" + i).text(cylc_dqzt[data.rows[i].fund_status]);

                    if (data.rows[i].fund_status == '3') {
                        $("#kslc_code_txt" + i).html("<a href=\"#\" onclick=\"tzlc_xx()\"><img src=\"pic\/yjy.png\" class=\"pic_txt1\"></a>");
                    } else {
                        $("#kslc_code_txt" + i).html('<a href="#" onclick="kslc_kslc(\'' + code_txt + '\')"><img src="pic/yn.png"  class="pic_txt"></a>');
                    }
                    $("#mc_code_txt" + i).html('<a href="#" onclick="get_cylc_detail(\'' + code_txt + '\')" class="mc_code_txt1">' + mc_code + '</a>');

                }


                if (data.rows[i].template_type == 2) {
                    temp_html = '<table class="rxcp_table"><tr><td id="dm_code_txt' + i + '" class="dm_code_txt"></td></tr><tr><td id="mc_code_txt' + i + '" class="mc_code_txt"></td></tr><tr><td id="kslc_code_txt' + i + '" class="kslc_code_txt"></td></tr><tr colspan="2" id="lx_code_txt' + i + '" class="lx_code_txt"><td>产品类型：</td><td class="txt_txt" id="lx_code_txt1' + i + '"></td></tr><tr colspan="2" id="qx_code_txt' + i + '" class="qx_code_txt"><td>产品期限：</td><td class="txt_txt" id="qx_code_txt1' + i + '"></td></tr><tr colspan="2" id="sy_code_txt' + i + '" class="sy_code_txt"><td>年化收益率：</td><td class="txt_txt" id="sy_code_txt1' + i + '"> </td></tr><tr colspan="2" id="wf_code_txt' + i + '" class="wf_code_txt"><td>万份收益：</td><td class="txt_txt" id="wf_code_txt1' + i + '"></td></tr><tr colspan="2" id="zt_code_txt' + i + '" class="zt_code_txt"><td>当前状态：</td><td class="txt_txt" id="zt_code_txt1' + i + '"></td></tr></table>';
                    $("#rxcp_table_all").append(temp_html);
                    $("#dm_code_txt" + i).text(data.rows[i].fund_code);
                    // $("#mc_code_txt1" + i).text(data.rows[i].fund_abbr);

                    var code_txt = data.rows[i].fund_code;
                    var mc_code = data.rows[i].fund_abbr;
                    var cylc_cplx = {
                        "1": "股票型",
                        "2": "债券型",
                        "3": "混合型",
                        "4": "货币型"
                    }
                    $("#lx_code_txt1" + i).text(cylc_cplx[data.rows[i].fund_type]);
                    var cylc_cpqx = {
                        "1": "1天期",
                        "2": "30天期",
                        "3": "60天期",
                        "4": "90天期",
                        "5": "120天期",
                        "6": "180天期",
                        "7": "360天期",
                        "8": "无限期"
                    }
                    $("#qx_code_txt1" + i).text(cylc_cpqx[data.rows[i].fund_term]);

                    var sy2 = data.rows[i].mfund_year_rate;
                    if (sy2 == '' || sy2 == undefined || sy2 == '0') {
                        $("#sy_code_txt1" + i).text("---");
                    } else {
                        var sy1 = (sy2 * 100).toFixed(2);
                        $("#sy_code_txt1" + i).text(sy1 + "%");
                    }

                    if (data.rows[i].income_unit == '' || data.rows[i].income_unit == undefined) {
                        data.rows[i].income_unit = '---';
                    } else {
                        data.rows[i].income_unit = data.rows[i].income_unit + '元';
                    }
                    $("#wf_code_txt1" + i).text(data.rows[i].income_unit);
                    var cylc_dqzt = {
                        "1": "正常开放",
                        "2": "开放预约",
                        "3": "暂停交易",
                        "4": "开放认购"
                    }
                    $("#zt_code_txt1" + i).text(cylc_dqzt[data.rows[i].fund_status]);

                    if (data.rows[i].fund_status == '3') {
                        $("#kslc_code_txt" + i).html("<a href=\"#\" onclick=\"tzlc_xx()\"><img src=\"pic\/yjy.png\" class=\"pic_txt1\"></a>");
                    } else {
                        $("#kslc_code_txt" + i).html('<a href="#" onclick="kslc_kslc(\'' + code_txt + '\')"><img src="pic/yn.png"  class="pic_txt"></a>');
                    }
                    $("#mc_code_txt" + i).html('<a href="#" onclick="get_cylc_detail(\'' + code_txt + '\')" class="mc_code_txt1">' + mc_code + '</a>');

                }


                if (data.rows[i].template_type == 3) {
                    temp_html = '<table class="rxcp_table"><tr><td id="dm_code_txt' + i + '" class="dm_code_txt"></td></tr><tr><td id="mc_code_txt' + i + '" class="mc_code_txt"></td></tr><tr><td id="kslc_code_txt' + i + '" class="kslc_code_txt"></td></tr><tr colspan="2" id="lx_code_txt' + i + '" class="lx_code_txt"><td>产品类型：</td><td class="txt_txt" id="lx_code_txt1' + i + '"></td></tr><tr colspan="2" id="qx_code_txt' + i + '" class="qx_code_txt"><td>起始日：</td><td class="txt_txt" id="qx_code_txt1' + i + '"></td></tr><tr colspan="2" id="sy_code_txt' + i + '" class="sy_code_txt"><td>终止日：</td><td class="txt_txt" id="sy_code_txt1' + i + '"> </td></tr><tr colspan="2" id="wf_code_txt' + i + '" class="wf_code_txt"><td>预期年化收益率：</td><td class="txt_txt" id="wf_code_txt1' + i + '"></td></tr><tr colspan="2" id="zt_code_txt' + i + '" class="zt_code_txt"><td>当前状态：</td><td class="txt_txt" id="zt_code_txt1' + i + '"></td></tr></table>';
                    $("#rxcp_table_all").append(temp_html);
                    $("#dm_code_txt" + i).text(data.rows[i].fund_code);
                    // $("#mc_code_txt1" + i).text(data.rows[i].fund_abbr);

                    var code_txt = data.rows[i].fund_code;
                    var mc_code = data.rows[i].fund_abbr;
                    var cylc_cplx = {
                        "1": "股票型",
                        "2": "债券型",
                        "3": "混合型",
                        "4": "货币型"
                    }
                    $("#lx_code_txt1" + i).text(cylc_cplx[data.rows[i].fund_type]);


                    var ksdata = data.rows[i].op_begin_date.substr(0,4)+'-'+data.rows[i].op_begin_date.substr(4,2)+'-'+data.rows[i].op_begin_date.substr(6,2);
                    var jsdata = data.rows[i].op_end_date.substr(0,4)+'-'+data.rows[i].op_end_date.substr(4,2)+'-'+data.rows[i].op_end_date.substr(6,2);
                    $("#qx_code_txt1" + i).text(ksdata);

                    $("#sy_code_txt1" + i).text(jsdata);


                    if (data.rows[i].income_rate == '' || data.rows[i].income_rate == undefined) {
                        data.rows[i].income_rate = '---';
                    } else {
                        data.rows[i].income_rate = (data.rows[i].income_rate*100).toFixed(2) + '%';
                    }
                    $("#wf_code_txt1" + i).text(data.rows[i].income_rate);
                    var cylc_dqzt = {
                        "1": "正常开放",
                        "2": "开放预约",
                        "3": "暂停交易",
                        "4": "开放认购"
                    }
                    $("#zt_code_txt1" + i).text(cylc_dqzt[data.rows[i].fund_status]);

                    if (data.rows[i].fund_status == '3') {
                        $("#kslc_code_txt" + i).html("<a href=\"#\" onclick=\"tzlc_xx()\"><img src=\"pic\/yjy.png\" class=\"pic_txt1\"></a>");
                    } else {
                        $("#kslc_code_txt" + i).html('<a href="#" onclick="kslc_kslc(\'' + code_txt + '\')"><img src="pic/yn.png"  class="pic_txt"></a>');
                    }
                    $("#mc_code_txt" + i).html('<a href="#" onclick="get_cylc_detail(\'' + code_txt + '\')" class="mc_code_txt1">' + mc_code + '</a>');

                }

                if (data.rows[i].template_type == 4) {
                    temp_html = '<table class="rxcp_table"><tr><td id="dm_code_txt' + i + '" class="dm_code_txt"></td></tr><tr><td id="mc_code_txt' + i + '" class="mc_code_txt"></td></tr><tr><td id="kslc_code_txt' + i + '" class="kslc_code_txt"></td></tr><tr colspan="2" id="lx_code_txt' + i + '" class="lx_code_txt"><td>产品类型：</td><td class="txt_txt" id="lx_code_txt1' + i + '"></td></tr><tr colspan="2" id="qx_code_txt' + i + '" class="qx_code_txt"><td>产品期限：</td><td class="txt_txt" id="qx_code_txt1' + i + '"></td></tr><tr colspan="2" id="sy_code_txt' + i + '" class="sy_code_txt"><td>单位净值：</td><td class="txt_txt" id="sy_code_txt1' + i + '"> </td></tr><tr colspan="2" id="wf_code_txt' + i + '" class="wf_code_txt"><td>累计净值：</td><td class="txt_txt" id="wf_code_txt1' + i + '"></td></tr><tr colspan="2" id="zt_code_txt' + i + '" class="zt_code_txt"><td>当前状态：</td><td class="txt_txt" id="zt_code_txt1' + i + '"></td></tr></table>';
                    $("#rxcp_table_all").append(temp_html);
                    $("#dm_code_txt" + i).text(data.rows[i].fund_code);
                    // $("#mc_code_txt1" + i).text(data.rows[i].fund_abbr);

                    var code_txt = data.rows[i].fund_code;
                    var mc_code = data.rows[i].fund_abbr;
                    var cylc_cplx = {
                        "1": "股票型",
                        "2": "债券型",
                        "3": "混合型",
                        "4": "货币型"
                    }
                    $("#lx_code_txt1" + i).text(cylc_cplx[data.rows[i].fund_type]);
                    var cylc_cpqx = {
                        "1": "1天期",
                        "2": "30天期",
                        "3": "60天期",
                        "4": "90天期",
                        "5": "120天期",
                        "6": "180天期",
                        "7": "360天期",
                        "8": "无限期"
                    }
                    $("#qx_code_txt1" + i).text(cylc_cpqx[data.rows[i].fund_term]);



                    $("#sy_code_txt1" + i).text(data.rows[i].nav + '元');
                    $("#wf_code_txt1" + i).text(data.rows[i].nav_total + '元');


                    var cylc_dqzt = {
                        "1": "正常开放",
                        "2": "开放预约",
                        "3": "暂停交易",
                        "4": "开放认购"
                    }
                    $("#zt_code_txt1" + i).text(cylc_dqzt[data.rows[i].fund_status]);

                    if (data.rows[i].fund_status == '3') {
                        $("#kslc_code_txt" + i).html("<a href=\"#\" onclick=\"tzlc_xx()\"><img src=\"pic\/yjy.png\" class=\"pic_txt1\"></a>");
                    } else {
                        $("#kslc_code_txt" + i).html('<a href="#" onclick="kslc_kslc(\'' + code_txt + '\')"><img src="pic/yn.png"  class="pic_txt"></a>');
                    }

                    $("#mc_code_txt" + i).html('<a href="#" onclick="get_cylc_detail(\'' + code_txt + '\')" class="mc_code_txt1">' + mc_code + '</a>');

                }
            }
            
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    }
}
//获取筛选产品
function ret_cylc_all(_fromid, _funid, _flagtype, data) {
    if (_funid == '5010:SIMPLE.431037') {
        var data = FormatResult(data, 1);
        CookieData = data;
        storge();

        if (data.ErrorCode == '0') {
            CodeOnChange(); //自动补全
            gridUpdateData('cylc_all_grid', 1, data);
        } else {
            $.messager.alert("提示", data.ErrorInfo, "error");
        }
    }
}
// 填充数据之后的几个处理函数  处理数据   查询全部产品时候的几个小函数  自动补全好像有问题
function CodeOnChange() {
    // alert(CookieData.rows.length);
    $("#cp_code").autocomplete(CookieData.rows, {
        minChars: 1,
        matchCase: false, //不区分大小写
        autoFill: false,
        max: 8,
        formatItem: function(row, i, max, term) {
            var v = $("#cp_code").val();
            return row.fund_code + "-" + row.fund_abbr;
            if (row.fund_code.indexOf(v) == 0)
                return row.fund_code + "-" + row.fund_abbr;
            else
                return false;
        },
        formatMatch: function(row, i, max) {
            return row.fund_code + "-" + row.fund_abbr;
        },
        formatResult: function(row) {
            return row.fund_code;
        },
        reasultSearch: function(row, v) //本场数据自定义查询语法 注意这是我自己新加的事件
        {
            //自定义在code或spell中匹配
            if (row.data.fund_code.indexOf(v) == 0 || row.data.fund_abbr.indexOf(v) == 0)
                return row;
            else
                return false;
        }
    }).result(function(event, data, formatter) {
        var tmp = [];
        tmp.push(data);
        $("#cylc_all_grid").datagrid('loadData', tmp);
    });
}

//按产品期限来筛选
function TimeOnChange(a) {
    flag_state_1 = a;
    show_new_grid(flag_state_1, flag_state_2, flag_state_3);
}
//按产品类型来筛选
function SeriasOnChange(a) {
    flag_state_2 = a;
    show_new_grid(flag_state_1, flag_state_2, flag_state_3);
}
//按产品状态来筛选
function StateOnChange(a) {
    flag_state_3 = a;
    show_new_grid(flag_state_1, flag_state_2, flag_state_3);
}

function show_new_grid(flag_1, flag_2, flag_3) {
    var temp_data = [];
    if (flag_1 == -1 || flag_2 == -1 || flag_3 == -1) {
        if (flag_1 == -1) {
            if (flag_2 == -1) {
                if (flag_3 == -1) {
                    gridUpdateData('cylc_all_grid', 1, CookieData);
                    return;
                } else {
                    for (var i = 0, j = CookieData.rows.length; i < j; i++) {
                        if (CookieData.rows[i].fund_status == flag_3)
                            temp_data.push(CookieData.rows[i]);
                        gridUpdateData('cylc_all_grid', 1, temp_data);
                    }
                    // return;
                }
            } else {
                if (flag_3 == -1) {
                    for (var i = 0, j = CookieData.rows.length; i < j; i++) {
                        if (CookieData.rows[i].fund_type == flag_2)
                            temp_data.push(CookieData.rows[i]);
                        gridUpdateData('cylc_all_grid', 1, temp_data);
                    }
                    // return;
                } else {
                    for (var i = 0, j = CookieData.rows.length; i < j; i++) {
                        if (CookieData.rows[i].fund_type == flag_2 && CookieData.rows[i].fund_status == flag_3)
                            temp_data.push(CookieData.rows[i]);
                        gridUpdateData('cylc_all_grid', 1, temp_data);
                    }
                    // return;
                }
            }
        } else {
            if (flag_2 == -1) {
                if (flag_3 == -1) {
                    for (var i = 0, j = CookieData.rows.length; i < j; i++) {
                        if (CookieData.rows[i].fund_term == flag_1)
                            temp_data.push(CookieData.rows[i]);
                        gridUpdateData('cylc_all_grid', 1, temp_data);
                    }
                    // return;
                } else {
                    for (var i = 0, j = CookieData.rows.length; i < j; i++) {
                        if (CookieData.rows[i].fund_term == flag_1 && CookieData.rows[i].fund_status == flag_3)
                            temp_data.push(CookieData.rows[i]);
                        gridUpdateData('cylc_all_grid', 1, temp_data);
                    }
                    // return;
                }
            } else {
                for (var i = 0, j = CookieData.rows.length; i < j; i++) {
                    if (CookieData.rows[i].fund_term == flag_1 && CookieData.rows[i].fund_type == flag_2)
                        temp_data.push(CookieData.rows[i]);
                    gridUpdateData('cylc_all_grid', 1, temp_data);
                }
                // return;
            }
        }
    } else {
        for (var i = 0, j = CookieData.rows.length; i < j; i++) {
            if (CookieData.rows[i].fund_term == flag_1 && CookieData.rows[i].fund_type == flag_2 && CookieData.rows[i].fund_status == flag_3)
                temp_data.push(CookieData.rows[i]);
            gridUpdateData('cylc_all_grid', 1, temp_data);
        }
        // return;
    }
}

function tzlc(){

    $("#tzlc").window("open"); //弹出遮罩层
    $("#jxlc").unbind();
    $("#jxlc").click(function(){
        $("#tzlc").window("close"); //弹出遮罩层
    })
    $("#tzlc1").unbind();
    $("#tzlc1").click(function(){
        $.messager.confirm("操作提示", "<span style='font-size:16px;'>现在停止理财后，本周期的收益将按照活期计息。</span>", function (r) {
                            if (r) {  
                                    var _ix = new IXContent();
                                    _ix.Set('version', User.ver); //客户端版本号
                                    _ix.Set('op_branch_no', User.yyb); //操作分支机构
                                    _ix.Set('op_entrust_way', User.wtfs); //委托方式
                                    _ix.Set('identity_type', '');
                                    _ix.Set('op_station',User.minfo);//站点地址
                                    _ix.Set('function_id', '7476'); //
                                    _ix.Set('fund_account', User.zjzh); //资金账户
                                    _ix.Set('password', '##PWD##'); //密码
                                    _ix.Set('fund_company', Cylc_rows.ta_no); //基金公司代码  基金公司ta帐号
                                    _ix.Set('fund_code', '890017'); //产品代码

                                    Win_CallTQL('ret_tzlc', '5010:SIMPLE.7476', _ix, '');
                                 }
                                else {
                                    return;
                                }
                            });
    })
}

function ret_tzlc(_fromid, _funid, _flagtype, data) {

    if (_funid == '5010:SIMPLE.7476') {
        // alert(data);
        var data = FormatResult(data, 1);
        if (data.ErrorCode == 0) {

            $.messager.alert("提示", "<span style='font-size:16px;'>您的停止理财申请已提交，流水号为：" + data.rows[0].serial_no+"。</span>", "message");
            $("#tzlc").window("close");
            $("#xged").window("close");

        } else {
            $.messager.alert('提示', data.ErrorInfo, 'error');
        }
    }
}