var multipleCdCount = 0;
var multipleCdCur = 0;
var multipleCdSelRows = {};
/*
	当日委托展示字段
*/

var WtztDict = {
	"0":"委托",
	"1":"查询",
	"2":"撤单",
	"3":"补单",
	"4":"确认",
	"5":"大宗",
	"6":"信用融资",
	"7":"信用融券",
	"8":"信用平仓",
	"9":"信用交易",
	"A":"撤单补单",
	"B":"改单",
	"G":"期权强制平仓"
};
var drcjList = [
	[{
		checkbox: true,
		width: 18
	}, {
		field: 'entrust_no',
		title: '合同号',
		halign: 'center',
		align: 'center',
		sortable: true,
		hidden: true
	}, {
		field: 'date',
		title: '委托日期',
		halign: 'center',
		align: 'center',
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'time',
		title: '委托时间',
		halign: 'center',
		align: 'center',
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	},  {
		field: 'fund_code',
		title: '产品代码',
		halign: 'center',
		align: 'center',
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'fund_name',
		title: '产品名称',
		halign: 'center',
		align: 'center',
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	},{
		field: 'business_name',
		title: '业务类型',
		halign: 'center',
		align: 'center',
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'shares',
		title: '委托份额',
		halign: 'center',
		align: 'center',
		sortable: true,
		formatter: formatAction11,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	},{
		field: 'balance',
		title: '委托金额',
		halign: 'center',
		align: 'center',
		formatter: formatAction11,
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'entrust_status',
		title: '委托状态',
		halign: 'center',
		align: 'center',
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		},
		formatter: function(value, row, index) {
			return WtztDict[value];
		}
	}, {
		field: 'allotno',
		title: '申请编号',
		halign: 'center',
		align: 'center',
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	},{
		field: 'other_stkacco',
		title: '对方基金帐号',
		halign: 'center',
		align: 'center',
		sortable: true,
		hidden: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'business_flag',
		title: '业务标志',
		halign: 'center',
		align: 'center',
		hidden: true,
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	},  {
		field: 'money_type',
		title: '币种类别',
		halign: 'center',
		align: 'center',
		hidden: true,
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'trans_code',
		title: '转换代码',
		halign: 'center',
		align: 'center',
		sortable: true,
		hidden: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'hope_date',
		title: '预约日期',
		halign: 'center',
		align: 'center',
		sortable: true,
		hidden: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'fund_account',
		title: '资金帐号',
		halign: 'center',
		align: 'center',
		hidden: true,
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'fund_company',
		title: '基金公司',
		halign: 'center',
		align: 'center',
		hidden: true,
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'fare_sx',
		title: '手续费',
		halign: 'center',
		align: 'center',
		hidden: true,
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	},  {
		field: 'deal_share',
		title: '成交份额',
		halign: 'center',
		align: 'center',
		hidden: true,
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}, {
		field: 'deal_balance',
		title: '成交金额',
		halign: 'center',
		align: 'center',
		hidden: true,
		sortable: true,
		styler: function(value, row, index) {
			return 'color:#666;';
		}
	}
	]
];

$(function() {
	cj_dzjy_share.createGrid('cylc_cd_grid', 'tdx_center', null, drcjList, false, 'date', 'desc');
	$("#cylc_cd_grid").datagrid("options").onDblClickRow = onDblClickRow;
	// $("#cylc_cd_grid").datagrid("options").alignColList =['entrust_prop'];
	// $("#cylc_cd_grid").datagrid("options").text_align ='left';
	// $('#cylc_cd_grid').datagrid("options").onLoadSuccess = gridColAlign;
	get_wtcx();
})

/*
	委托查询
*/

//取两位小数
function formatAction11(value, row, index) {
    return value = parseFloat(value).toFixed(2);
}


function get_wtcx() {
	// var query_kind = (document.getElementById("mycheck").checked) ? 1 : 0;
	var wtcfg = {
		"funcid": "7410", //当天委托查询
		// 'en_entrust_prop':'AFC,AFW',
		// "query_kind":query_kind,
		// "position_str":"",
		"funcname": 'ret_wtcx'
	};
	cj_dzjy_share.setIX(wtcfg);
}

function ret_wtcx(_fromid, _funid, _flagtype, data) {
	if (_funid == '5010:SIMPLE.7410') {
		var data = FormatResult(data, 1);
		// gridUpdateData('cylc_cd_grid', 1, data);
		if (data.ErrorCode == 0) {

			if (data.rows == undefined || data.rows == '') {
				// alert('message');
			}else{
				gridUpdateData('cylc_cd_grid', 1, data);
			}
		} else {
			$.messager.alert("提示", data.ErrorInfo, "error");
		}
	}
}

/*
	撤单操作
*/
function cdOperation(selrows) {
	if (selrows.length == 0) {
		$.messager.alert('提示', "<span style='font-size:16px;'>请至少选择一笔需要撤单的委托!</span>", 'info');
		return;
	} else if (selrows.length == 1) {
		singleCdOperation(selrows[0]);
	} else if (selrows.length > 1) {
		multiplCdOperation(selrows);
	}

}

/*
	单笔撤单请求
*/
function get_cd(selrow) {
	$.each(selrow, function(k, v) {
		if (selrow[k] == '' || selrow[k] == undefined)
			selrow[k] = '---';
	});
	var wtcfg = {
		"funcid": "7404", //撤单
		'entrust_no': selrow.entrust_no, //委托编号
		'fund_code': selrow.fund_code, //基金代码
		"funcname": 'ret_cd'
	};
	cj_dzjy_share.setIX(wtcfg);
}

function ret_cd(_fromid, _funid, _flagtype, data) {
	if (_funid == '5010:SIMPLE.7404') {
		try {
			var data = FormatResult(data, 1);
			if (data.ErrorCode == 0) {
				$.messager.alert("提示", "<span style='font-size:16px;'>撤单成功！流水号为：" + data.rows[0].serial_no+"。</span>", "info");
				get_wtcx();
			} else {
				alert(data.ErrorInfo.substr(5));
			}

		} catch (e) {
			var temp_list = data.split('"');
			var tslabel = temp_list[1].substr(5)
			alert(tslabel);
		}
	}
}

/*
	单笔撤单
*/
function singleCdOperation(selrow) {
	$.each(selrow, function(k, v) {
		if (selrow[k] == ' ' || selrow[k] == undefined || selrow[k] == '')
			selrow[k] = '---';
	});
	// alert("!!!::"+JSON.stringify(selrow));
	var wtbh = selrow.entrust_no;
	if (wtbh == nullGridStr) return;
	var s = '';
	s += '<div class="confirm_txt">';
	s += '<p>操作类别:撤单</p>';
	s += '<p>委托编号:' + selrow.entrust_no + '</p>';
	s += '<p>基金代码:' + selrow.fund_code + '</p>';
	s += '<p>基金名称:' + selrow.fund_name + '</p>';
	// s += '<p>买卖方向:' + formatMmfx(selrow.entrust_bs) + '</p>';
	s += '</div>';
	$.messager.defaults = {
		ok: "是",
		cancel: "否"
	};
	$.messager.confirm('委托确认', s, function(r) {
		if (r) {
			get_cd(selrow);
		}
	});
}

/*
	多笔撤单请求
*/
function get_multipleCd() {
	var wtcfg = {
		"funcid": "7404",
		'entrust_no': multipleCdSelRows[multipleCdCur].entrust_no,
		"funcname": 'ret_multipleCd'
	};
	cj_dzjy_share.setIX(wtcfg);
}

function ret_multipleCd(_fromid, _funid, _flagtype, data) {
	if (_funid == '5010:SIMPLE.7404') {
		multipleCdCur += 1;
		try {
			var data = FormatResult(data, 1);
			if (data.ErrorCode == 0) {
				multipleCdCount += 1;
			} else {}

		} catch (e) {}
		if (multipleCdCur > (multipleCdSelRows.length - 1)) {
			multipleCdSelRows = {};
			multipleCdCur = 0;
			$.messager.alert("提示", "共有" + multipleCdCount + "笔撤单成功！", "info");
			multipleCdCount = 0;
			get_wtcx();
		} else {
			get_multipleCd();
		}
	}
}

/*
	多笔撤单
*/
function multiplCdOperation(selrows) {
	var s = '';
	s += '<p>共有' + selrows.length + '笔委托需要撤单，请确认！</p>';
	$.messager.defaults = {
		ok: "是",
		cancel: "否"
	};
	$.messager.confirm('提示', s, function(r) {
		if (r) {
			multipleCdSelRows = selrows;
			get_multipleCd();
		}
	});
}

/*
	撤单按钮响应
*/
function cdClick() {
	var selrows = $("#cylc_cd_grid").datagrid("getChecked");
	cdOperation(selrows);
}

/*
	双击表格撤单
*/
function onDblClickRow(rowIndex, rowData) {
	singleCdOperation(rowData);
}


function setCheckSta() {
	get_wtcx();
}

function refreshClick() {
	get_wtcx();
}