/*
 * 打新宝-当日委托查询
 * 20140610 唐亮   创建
 */
var _allNum = 0;  //所有的条数
var _okNum = 0; //成功条数
var _failNum = 0; //失败条数
var _nNum = 0; 
var _allData = [];
var _query; //分页查询

// $(window).resize(function() {
	// $("#tdx_center_cd").datagrid("resize");
// });

var resizeTimer = null;
window.onresize = function(){
   	resizeTimer = resizeTimer ? null : setTimeout(doResize,300);
}
function doResize(){
	$('#tdx_center_cd').datagrid('resize');		
}


function PageInit()
{
	_query = new QueryPort({
		"preBtn": "id_pre_btn",
		"nextBtn": "id_next_btn",
		"viewText": "id_view",
		"loadFunc": get_data   	
	})	
	
	$("#id_refresh").click(function() {
		_query.queryData();	
	});	

	$("#id_next_btn").click(function() {
		_query.nextPage();	
	});
	$("#id_pre_btn").click(function() {
		_query.prePage();
	});	
	create_datagrid("cd",_columnWTCX);
	$("#tdx_center_cd").datagrid({
		frozenColumns:[[{field:'ck',checkbox:true}]],
		singleSelect:false,
		onDblClickRow:function(rowIndex, rowData)
		{
			get_cd([rowData])
		}
			
	})
	
	$("#tdx_center_cd").datagrid('resize');
	_query.queryData();
	// get_CCCX()
}
function get_data(curPos,pageSize)
{
	onUnselectAll();
	var pack = new CTPack();
	pack.Set('query_mode', "1");
	pack.Set('exchange_type', "1");
	// pack.Set('query_type', "1");
	pack.Set('@COUNT', pageSize);
	pack.Set('@POS', curPos);		
	pack.Set('@COND',"SELECT init_date, entrust_prop, stock_code, stock_name, entrust_amount, entrust_balance, entrust_status,  contract_id, exchange_type, stock_account, entrust_no, curr_time, report_time FROM 332855 ");
	pack.CallTQL("ret_data", "332855")	

}


function ret_data(_fromid,_funid,_flagtype,data)
{
	
	data=FormatResult(data,1)
	if(data.ErrorCode=="-1"){
		$.messager.alert("提示",data.ErrorInfo,"error")
		return
	}
	else
	{
		var pos = data.POS;
		_query.refresh(pos);
		var dataSrc = convertData(data, _columnWTCX);
		$("#tdx_center_cd").datagrid("loadData",{"total":1,"rows":dataSrc});	

	}	
}

function onCD(){
	var ids = [];
	var rows = $('#tdx_center_cd').datagrid('getSelections');
	
	get_cd(rows);
}

function get_cd(idList)
{
	_allNum = idList.length;
	_okNum = 0;
	_failNum = 0;
	_nNum = 0;
	// alert(_allNum)
	if (_allNum < 1) return;
	if (_allNum == 1)
	{
		var jylb = idList[0].exchange_type;
		var zqdm = idList[0].stock_code;
		var zqmc = idList[0].stock_name;
		var wtbh = idList[0].entrust_no;
		if (wtbh.length < 1) return;
		jylb = GetConstDict('exchange_type',jylb);
		// alert(zqmc)
		
		strInfo="操作类别："+"撤单"
		+"<br>交易类别："+jylb
		+"<br>证券代码："+zqdm
		+"<br>证券名称："+zqmc
		+"<br>委托编号："+wtbh;	
		
		$.dialog({
		    id: 'xys',
		    title: '撤单确认',
		    content: strInfo,
		    ok: function ()
		    {
				var wtbh = idList[0].entrust_no;
				var pack = new CTPack();
				pack.Set('entrust_no',wtbh);
				pack.CallTQL("ret_cd", "332870")	

		    },
		    okValue: '确 定',
		    cancelValue: '取 消',
		    cancel: function () 
		    {
		    	$.messager.alert('提示','操作已取消',"info");
				onUnselectAll();
		    }
		});			
	}
	else
	{
		var strInfo="共有"+_allNum+"笔委托需要撤单";
		$.messager.confirm("操作提示", strInfo, function (data)
		{
			if (data)
			{
                for(var i=0;i<idList.length;i++)
                {
                	var wtbh = idList[i].entrust_no;
					var pack = new CTPack();
					pack.Set('entrust_no',wtbh);
					pack.CallTQL("ret_cd", "332870")	
				}				
			}
			else
			{
		    	$.messager.alert('提示','操作已取消',"info");
				onUnselectAll();				
			}
		});	
	}
}

function ret_cd(_fromid,_funid,_flagtype,data)
{
	_nNum += 1;
	data=FormatResult(data,1)
	var errorInfo = '';
	if(data.ErrorCode=="-1"){
		_failNum += 1;
		errorInfo = data.ErrorInfo;
	}
	else
	{
		if (parseInt(data.rows[0]["error_no"]) == -65)
		{
			_failNum += 1;
			errorInfo == data.rows[0]["error_info"];

		}
		else
		{
			_okNum += 1;			
		}

	}	
	
	if (_nNum == _allNum) //多条提示
	{
		if (_allNum == 1) //只有一条直接提示下单失败
		{
			if (_failNum > 0)
			{
				$.messager.alert("提示",errorInfo,"error")
			}
			else
			{
				$.messager.alert('提示',"撤单已提交","info");
			}			
		}	
		else
		{
			info="撤单请求发送完成，总撤单次数:"+_allNum+"，成功次数:"+_okNum+"，失败次数:"+_failNum+"。";
			$.messager.alert('提示',info,"info");		
		}	
		_query.queryData();
		
	}
	
}


function onSelectAll()
{
	$('#tdx_center_cd').datagrid('selectAll');
}

function onUnselectAll()
{
	$('#tdx_center_cd').datagrid('unselectAll');
}



//创建表格函数
function create_datagrid(cxtype, column)
{	
	var centerid = "#tdx_center_" + cxtype;
	if ($(centerid).attr('iscreat') == '1') return;
	
	$(centerid).attr('iscreat', 1) 
	
	// var mygrid=$("<div id='" + tableid + "'></div>").appendTo($("#" + centerid));
	$(centerid).datagrid({
		fitColumns:false,
		fit:true,
		// fit:true,
		width:240,
		// scrollbarSize:0,
		border:false,
		// remoteSort: false,
		singleSelect:true,
		// sortName: 'mktval',
		// sortOrder: 'desc',
		// clirow:null,
		// selectOnCheck:true,
		// onDblClickRow:onDblClickRow,
		// formatter:formatter,
		columns:column
	});

}
