// JavaScript Document
var gddm = ''; 		//股东代码
var gdlb = '';		//股东类别
					//表头信息及列属性
var List =	[
				[
				{field:'stock_code',title:'证券代码',width:100,rowspan:1,align:'center',resizable:false},
				{field:'stock_name',title:'证券名称',width:100,rowspan:1,align:'center',resizable:false},
				{field:'current_amount',title:'当前数量',width:100,rowspan:1,align:'center',resizable:false,sortable:true,sorter:sortNumber,formatter:function(value,row,index){return jeformat(value,0)}},
				{field:'last_price',title:'最新价',width:100,rowspan:1,align:'center',resizable:false,sortable:true,sorter:sortNumber,formatter:function(value,row,index){return jeformat(value,3)}},
				{field:'cost_price',title:'成本价',width:100,rowspan:1,align:'center',resizable:false,formatter:function(value,row,index){return jeformat(value,3)}},
				{field:'stock_account',title:'股东代码',width:100,rowspan:1,align:'center',resizable:false}
				]
			 ];

$(function(){

    $.getScript('jssdx_class.js',function(){
             	//这里可以调用JSSDX对象了。比如：
        				JSSDX.debug=false ;//默认此参数为false
           })


	// 创建表格
	// 原型：function createGrid(id,panel_id,width,columnsList,border,sortCol,sOrder)
	// id:表格id  必填,           panel_id：表格所在模块id，必填
	// width:表格宽度             colnmnsList :表头数据，必填
	// border:是否有边框
	// sortCol：默认排序的列       sOrder：排序规则
	cj_dzjy_share.createGrid('load','tdx_center',null,List,false,'current_amount','asc');

	//盘口属性设置
	// gdid:  填写股东代码的元素id，必填
	// curid: 单击填写价格的元素id，ckble为true时必填
	// ckble: 是否允许对盘口中买卖价格单击，默认false
	hqTab.Init({'gdid':'gddm','curid':'','ckble':false});

	//获取gddm信息,并填写在gdid的下拉表里面
	//股东信息存放hqTab.gdinfo里面，格式不json数组[{'gddm':'','gdlb':''},{'gddm':'','gdlb':''}]
	hqTab.GetGddm();

	//创建盘口
	// 第一个参数：宽度，可以为空
	// 第二个参数：盘口下面的信息，可以为空
	// 第三个参数：盘口下面的信息对应功能号，可以为空
	// 第四个参数：盘口对应的ID,必需
	hqTab.Creat(145,[],[],'hqtab');

	// 查询数据并填表格
	fillGrid();


	// 对表格添加 行单击 事件，load为表格的id
	// rowIndex : 行号
	// rowData : 行数据，json格式
	$('#load').datagrid({
		onDblClickRow:function(rowIndex, rowData){
			// 获取行内相关数据，比如 基金代码，基金名称
			var jjdm = rowData.stock_code;
			var jjmc = rowData.stock_name;
			
			$('#jjdm').val(jjdm);
			$('#jjmc').val(jjmc);
			$('#rgsl').numberspinner('setValue', '');  //设置值
			$('#rgsl').focus();
			// 由行数据获取其它信息，如由基金代码，查询数量
			jjinfo(jjdm);
			}
		});

	// 股东代码 切换 同时改变股东类别
	$('#gddm').on('change',function(){
		gddm = $('#gddm').val().split('-')[1];						//股东代码
		gdlb = hqTab.gdinfo[$('#gddm').get(0).selectedIndex].gdlb;	//股东类别
	});

	//输入证券代码 执行查询
	$('#jjdm').on('keyup',function(){
		var v = $(this).val();
		if(v.length == 6)
		{
			$('#rgsl').numberspinner('setValue', '');  //设置值
			$('#rgsl').focus();
			jjinfo(v);
		}
		else return ;
		})

	// 点击“全部‘ 按键，填写数量
	$('#abtn').on('click',function(){
	//	$('#rgsl').val($('#rgsx').val()==''?0:$('#rgsx').val());
	//	$('#rgsl').select();
		});

	// 下单
	// $('#Okbtn').on('click',function(){
	// 	onSure();
	// 	});


});

// 查询数据并填表格
// funcid : 功能号，必填
// funcname: 回调函数，必填
// 其它参数，根据需要填写

function fillGrid()
{
	var hqcfg ={
		"funcid":"403",
		'query_mode':'0',
		"exchange_type":'',
		"funcname":'ret_Grid'
	};
	cj_dzjy_share.setIX(hqcfg);
}
function ret_Grid(_fromid, _funid, _flagtype, _json)
{
	if (_funid == '5010:SIMPLE.403'){
		// 对返回的数据 格式化
		var data = FormatResult(_json, 1);
		// 填表格
		// 第一个参数：表格id，必填
		// 第二个参数：查询无数据时提示位置，非必须
		// 第三个参数：数据，必须
		gridUpdateData('load',1,data);
		if (data.ErrorCode == 0){
			if(data.total>0){}
			else{}
		}
		else{
			$.messager.alert("提示",data.ErrorInfo,"error");
		}
	}
}

// 由 证券代码 做 查询
// 参数：gddm
function jjinfo(v)
{
	//查行情,填写在盘口的位置
	hqTab.UpData(v);
	// 查当前证券的其它信息，如名称，数量等
	
	Info(v);

	//查名称、可用资金
	//hqTab.GetInfo(v);
}
// 当前证券其它信息查询
function Info(v)
{
	var _ix = new IXContent();
	_ix.Set('F110', '7');
	_ix.Set('F140', v);
	Win_CallTQL('retInfo', 'JY:102', _ix, '');
}
function retInfo(_fromid, _funid, _flagtype, _json)
{
	if (_funid == 'JY:102')
	{
		var data = FormatResult(_json, 1);

		curgdlb = data.rows[0]["F125"];
		curprice = data.rows[0]["F949"];
		gpmc = data.rows[0]["F141"];
		gpmc = gpmc==''?$('#jjdm').val():gpmc;
		
		$('#jjmc').val(gpmc);
		
		for(i in hqTab.gdinfo)
		{
			if(curgdlb == hqTab.gdinfo[i].gdlb){
				$('#gddm').get(0).selectedIndex = i;
			}
		}
		//alert(gpmc);
		gddm = $('#gddm').val().split('-')[1];					    //股东代码
		
		gdlb = hqTab.gdinfo[$('#gddm').get(0).selectedIndex].gdlb;	//股东类别

		// $('#jjjz').val(curprice);
		

		var _ix = new IXContent();
		_ix.Set('F110', '7');
		_ix.Set('F125', curgdlb);
		_ix.Set('F123', gddm);
		Win_CallTQL('retZc', 'JY:1124', _ix, '');
	}
}
function retZc(_fromid, _funid, _flagtype, _json)
{
	if (_funid == 'JY:1124')
	{

		var data = FormatResult(_json, 1);
		var kyzj = data.rows[0]["F301"];
	//	var rgsx = data.rows[0]["F201"]==''? 0:data.rows[0]["F201"];
		$('#kyzj').val(kyzj);
	//	$('#rgsx').val(rgsx);
	}
}
function onSure() {
	if($.trim($("#jjdm").val())=='') {
		$.messager.alert("提示", "基金代码不能为空！","info");
	} else {
		if($.trim($("#rgsl").val())=='') {
			$.messager.alert("提示", "请输入认购金额！","info");
		} else {
			var _fun=function(){
                $('#gdzh').text(gddm);
                $('#sssc').text(transGddm[gdlb]);
                $('#gpdm').text($('#jjdm').val());
                $('#gpdx').text($('#jjmc').val());
                $('#rgje').text($('#rgsl').val());
                //	$('#wtprice').text($('#jjjz').val());
                $("#fqwt").window("open");
                $("#sure").focus();

			}
           var code = $('#jjdm').val()
		  // alert(gddm);
		  // alert(gdlb);
			JSSDX.check({Code:code,Debug:false,MMBZ:81,ZHLE:gdlb,GDDM:gddm},function(){
				_fun()
			})

		}
	}


}
// 确认下单
// funcid : 功能号
// funcname : 回调函数名
// 其它参数依需要选择
function onWtSureBtnClick()
{
	var wtcfg ={
		"funcid":"7714",
		"funcname":'retSure',
		"exchange_type":'1',		//固定为1 表示上海市场
		'stock_account':gddm,
		'stock_code':$('#jjdm').val(),
		'entrust_bs':'1',	// 认购 1
		'entrust_price':'1',
		'entrust_amount':$("#rgsl").numberspinner('getValue'),
		'entrust_prop':'LFS'
	};
	cj_dzjy_share.setIX(wtcfg);
}
function onWtCancelBtnClick(){
	$("#fqwt").window("close");
}
function retSure(_fromid,_funid,_flagtype,_json) {
	if (_funid == '5010:SIMPLE.7714') {
		try {
			var data = FormatResult(_json, 1);
			if (data.ErrorCode == 0) {
				$.messager.alert("提示", "您的委托已成功提交，委托编号："+data.rows[0].entrust_no,"info",function(){
					initCtrl();
					});
			}
			else{
				$.messager.alert("提示",data.ErrorInfo,"error",function(){
				//	initCtrl();
					});
			}
		} catch (e) {

		}
		$("#fqwt").window("close");
	}
}
// 提交 以后把当前表单所有内容清空
function initCtrl()
{
	$(":text").val('');
}
function bSure()
{
	 var browser = navigator.appName ;			// 浏览器名称
	 var userAgent = navigator.userAgent; 		//取得浏览器的userAgent字符串 
	 
	 var Code = '9' ;
	 if(browser.indexOf('Internet')>-1)			// IE	
		Code = window.event.keyCode ;
	 else if(userAgent.indexOf("Firefox")>-1)	// 火狐
		Code =  event.which;
	 else 										// 其它
		Code = event.keyCode ? event.keyCode : event.which ? event.which : event.charCode;
	if(Code == 13)
		onSure();
}