
/*
 * 穿透接口，需要封装写基本的查询
 */
var CTPack  = function()
{
	this.ix = new IXContent();
	this.Set = function(k, v)
	{
		return this.ix.Set(k, v);
	}
	this.CallTQL = function(callname, funcid)
	{
		
		this.ix.Set('funcid', funcid);//功能号
		this.ix.Set('fund_account', User.khh);//客户代码
		this.ix.Set('password', "##PWD##");//交易密码	
		this.ix.Set('version', "1");//固定参数	
		this.ix.Set('op_branch_no', User.yyb);//固定参数	 操作站点(营业部)
		this.ix.Set('branch_no', User.yyb);//固定参数	 操作站点(营业部)
		this.ix.Set('op_entrust_way', User.wtfs);//固定参数	 委托方式(操作方式)
		this.ix.Set('@MAC', User.minfo);//固定参数	
		
		this.ix.Set('srp_kind', "2")
		this.ix.Set('identity_type', "")
		// this.ix.Set('@SIZE', "30")
		// this.ix.Set('exchange_type', "1")
		// this.ix.Set('stock_account', "A353672765")
		// alert(this.ix.Value())
		// if (funcid == '7790')
			// alert(this.ix.Value());
		// alert(this.ix.Value())
		Win_CallTQL(callname, '5010:SIMPLE.'+funcid, this.ix, '');
			
	}	
	// return this;
	
};
function setIX(cfg){
	var _ix = new IXContent();
	_ix.Set('funcid', cfg.funcid);//功能号
		_ix.Set('fund_account', User.khh);//客户代码
		_ix.Set('password', "##PWD##");//交易密码	
		_ix.Set('version', "1");//固定参数	
		_ix.Set('op_branch_no', User.yyb);//固定参数	 操作站点(营业部)
		_ix.Set('branch_no', User.yyb);//固定参数	 操作站点(营业部)
		_ix.Set('op_entrust_way', User.wtfs);//固定参数	 委托方式(操作方式)
		_ix.Set('@MAC', User.minfo);//固定参数	
		_ix.Set('@COND', 'SELECT * from '+ cfg.funcid);
		_ix.Set('srp_kind', "2")
	$.each(cfg,function(key,val){
		if(key=="funcid"||key=="funcname"){}
		else{
			_ix.Set(key, val);
		}
	})
	Win_CallTQL(cfg.funcname, '5010:SIMPLE.'+cfg.funcid, _ix, '');
}



/*
 * 小数转换成百分比
 */
function format_Percent(v)
{
	var a = [''];
	if (v == undefined)
	return '';
	if (v.length < 1)
	{
		
		return v;
	}
	else
	{
		return (v * 100).toFixed(2);
	}
}

function format0(v)
{
	
	if (v.toString().length < 1)
	{
		
		return v;
	}

	else
	{
		// return parseFloat(v).toFixed(0);
		return parseInt(v);
	}
}


function format2(v)
{
	
	if (v.toString().length < 1)
	{
		
		return v;
	}

	else
	{
		return parseFloat(v).toFixed(2);
	}
}

function format3(v)
{
	
	if (v.toString().length < 1)
	{
		
		return v;
	}
	else
	{
		return parseFloat(v).toFixed(3);
	}
}

function formatParam2(v)
{
	try
	{
		var k = parseFloat(v).toFixed(2);
	}
	catch(e)
	{
		var k = "0.00"
	}
	return k;
}




/*
 * 纯数字的text回调
 */
function onlyNum(e) {
    var k = window.event ? e.keyCode : e.which;
    if (((k >= 48) && (k <= 57)) || k == 8 || k == 0) {
    } else {
        if (window.event) {
            window.event.returnValue = false;
        }
        else {
            e.preventDefault(); //for firefox 
        }
    }
} 

/*
 * 只允许输入整数或者浮点
 * obj:this, e:e
 */


function onlyFloat(value, e) {  
     //检查是否是非数字值  
    var k = window.event ? e.keyCode : e.which;
    var vflag = 1
    // alert(k)
    if (((k >= 48) && (k <= 57)) || k == 8 || k == 0 ) {
    
    } else {
    	if (k == 46) // 小数点，判断是否现有的字符串中是否存在小数点
    	{
    		var tval = value;
    		if (tval.indexOf('.') > 0) //已经存在一个小数点
    		{
    			vflag = 0;
    		}
    	}
    	else
    	{
			vflag = 0;    		
    	}

    }
	if (vflag == 0) // 格式不符合的话不允许写入
	{
        if (window.event) {
            window.event.returnValue = false;
        }
        else {
            e.preventDefault(); //for firefox 
        }		
	}
 } 





/*
 * 将返回的数据data.rows转换成表格对应的循序
 */
function convertData(data, column)
{
	var dataSrc = [];
	var headInfo = column[0];
	for (var i = 0; i < data.rows.length; i++)
	{
		var rowData = data.rows[i];
		var k = {};
		for (var j = 0; j < headInfo.length; j++)
		{
			var key = headInfo[j].field;
			if (rowData.hasOwnProperty(key))
			{
				k[key] = rowData[key];	
			}
			else
			{
				k[key] = '';
			}
			
		}
		dataSrc.push(k);	

	}	
	
	return dataSrc;
}

/*
 * 通过常量设置select选项
 */
function resetSelect(selectid, constid, type)
{
	var strID = "#" + selectid;
	if ($(strID).length > 0)
	{
		$(strID).find("option").remove();
		var aHtml = new Array();
		if (type == 1)  //加入全部选项
		{
			aHtml.push("<option value='-1'>全部 &nbsp;&nbsp;</option>")
		}
		var dictk = GetConstDict(constid);
		for (key in dictk)
		{
			var value = dictk[key];
			aHtml.push('<option value="' + key + '">'+ value +'</option>')
		}
		$(strID).append(aHtml.join(" "));
	}
}

/*
 * 获取日期,获取距当日前/后天n数的日期
 */
function getDate(delta, flag)
{
	var nowDate = new Date();
	nowDate.setDate(nowDate.getDate()+delta);
	var year = nowDate.getFullYear();
	var month = nowDate.getMonth()+1;
	month = (month<10)?('0'+month):month;
	var day = nowDate.getDate();
	if(day<10) day = "0" + day;
	if (flag == undefined)
		flag = '';
	var strDate = year.toString()+flag+month.toString()+flag+day.toString();
	return strDate;
	
}

/*
 * 日期上面加上多少天
 */
function addDay(date, delta, flag)
{
	
	if (date.length != 8)
	{
		return '';
	}
	
	var year = parseInt(date.substr(0, 4), 10);
	 var month = parseInt(date.substr(4, 2), 10) - 1;
	 var day = parseInt(date.substr(6, 2), 10);
	
	var nowDate = new Date(year, month, day, 1, 1, 1)
	// var nowDate = new Date();
	nowDate.setDate(nowDate.getDate()+delta);
	var year = nowDate.getFullYear();
	var month = nowDate.getMonth()+1;
	month = (month<10)?('0'+month):month;
	var day = nowDate.getDate();
	if(day<10) day = "0" + day;
	if (flag == undefined)
		flag = '';
	var strDate = year.toString()+flag+month.toString()+flag+day.toString();
	return strDate;
	
}


/*
 * 时间转换date2num, 去掉-
 */
function date2num(v)
{
	return v.split('-').join("");
}


/*
 * 校验股票代码
 */


function check_Stock(v)
{
	if (v.length == 6)
	{
		return true;
	}
	else
	{
		return false;
	}
	
}


/*
 * 校验数字
 */
function check_Num(v)
{

	if (v.length > 0 && isNum(v) && parseFloat(v) > 0)
	{
		return true;
	}
	return false
}


/*
 * 校验数字
 */
function check_Float(v)
{

	if (v.length > 0  && parseFloat(v) > 0)
	{
		return true;
	}
	return false
}

/*
 * 通达信交易所转换成恒生的交易所
 */

	// switch( cTdxSetcode )
	// {
	// case SZAG:		// 深圳A股 0
		// return '2';
	// case SHAG:		// 上海A股1
		// return '1';
	// case SZBG:		// 深圳B股2
		// return 'H';
	// case SHBG:		// 上海B股3
		// return 'D';
	// case SBAG:		// 三板人民币12
		// return '9';
	// case SBBG:		// 三板美元13
		// return 'A';
	// case SBGB:		// 三板港币13
		// return 'B';
	// default:
		// return '2';
	// }
function jys_tdx2hs(v)
{
	switch(v)
	{
		case "0": 		// 深圳A股
			return "2"
		case "1": 		// 上海A股
			return "1";
		case "2": 		// 深圳B股
			return "H";
		case "3": 		// 上海B股
			return "D";
		case "12": 		// 三板人民币
			return "9";
		case "13": 		// 三板美元
			return "A";
		case "13": 		// 三板港币
			return "B";
		default:
			return "2";												
	}
						
}


var QueryPort = function(queryObj)
{
	this.paramObj = {
		"pageSize": 30,
		"preBtn": "",
		"nextBtn": "",
		"viewText": "",
		"loadFunc": undefined   // 查询回调函数，带参数  定位串，翻页
	}
	this.posArray = {};
	this.curPos = 0;
	for (k in this.paramObj)
	{
		if (queryObj.hasOwnProperty(k))
		{
			this.paramObj[k] = queryObj[k];
		}
	}

	var preBtn = "#" + this.paramObj.preBtn; 
	var nextBtn = "#" + this.paramObj.nextBtn; 
	var viewText = "#" + this.paramObj.viewText; 
	if ($(preBtn).length > 0)
	{
		$(preBtn).attr("disabled", true);
	}

	if ($(nextBtn).length > 0)
	{
		$(nextBtn).attr("disabled", true);
	}	
	
}

QueryPort.prototype = {
	"refreshPage" : function(){  //刷新当前页
		
		if (this.curPos == 0)
		{
			var spr = ''
		}
		else
		{
			var spr = this.posArray[this.curPos - 1];	
		}	
		var preBtn = "#" + this.paramObj.preBtn; 
		var nextBtn = "#" + this.paramObj.nextBtn; 				
		$(preBtn).attr("disabled", true);
		$(nextBtn).attr("disabled", true);
		this.paramObj.loadFunc(spr, this.paramObj.pageSize.toString());		
	},
	"refresh":function(strPos) // 在刷新查询数据的回调函数中调用，传入定位串和数据条数
	{		
		var preBtn = "#" + this.paramObj.preBtn; 
		var nextBtn = "#" + this.paramObj.nextBtn; 
		var viewText = "#" + this.paramObj.viewText; 		
		this.posArray[this.curPos] = strPos;
		
		$(viewText).text('第' + (this.curPos + 1) + "页");
		
		if (this.curPos == 0)
		{
			$(preBtn).attr("disabled", true);
		}
		else
		{
			$(preBtn).attr("disabled", false);
		}
		if (strPos.length > 0)
		{
			
			
			$(nextBtn).attr("disabled", false);
		}		
		else
		{
			$(nextBtn).attr("disabled", true);
			
		}
		
	},
	"queryData":function()
	{
		
		this.curPos = 0;
		this.posArray = {};
		this.refreshPage();
	},	
	
	"nextPage":function()
	{
		
		this.curPos +=  1;
		
		try{
			this.refreshPage();
		}		    
		catch (e) 
		{
		    alert("错误提示："+e.message);
		}		
	},
	"prePage":function()
	{
		if (this.curPos > 0)
		{
			
			this.curPos -=  1;
			this.refreshPage();
		}		
	}
	
}

var addTab = function(id,tabList,cur,tabWidth){
	var firstSel=false;
	var width = 80||tabWidth;
	for(var i=0;i<tabList.length;i++){
		firstSel = (i==cur)?true:false;
		$('#'+id).tabs("add",{
			title: tabList[i],
			selected: firstSel,
			width:width
		})
	};
}


// 保留数字小数点后2位
function valueToFix2(val) {
	return parseFloat(val).toFixed(2);
}

