var hqTab = {};
hqTab.ftfunc = [];	//底部信息
hqTab.gdinfo = [];	//股东信息

hqTab.prototype = {
	gdid :'',		//股东代码的控件id
	code :'',		//证券代码
	curid:'',		//双击获取的价格填写控件 id
	ckble:false //是否支持单击填
	};	
	
// defaultWidth  为盘口宽度，可送空
// ft            为盘口下边四档数据，可以为空
// ftfunc        为盘口下边四档数据对应的查询号，可以为空
// id            为盘口控件父层元素id,不能为空
hqTab.Init = function(arr)
{	
	this.gdid = this.gdid || arr.gdid;
	this.curid = this.curid || arr.curid;	
	this.ckble = this.ckble || arr.ckble;
}
hqTab.Creat = function(defaultWidth,ft,ftfunc,id)
{
	defaultWidth = defaultWidth!=''?defaultWidth:$('#'+id).width()-5;
	ft = ft.length!=0?ft:['今开','涨停','昨收','跌停'];
	ftfunc = ftfunc.length!=0?ftfunc:['945','940','946','941'];
	this.ftfunc = ftfunc;
	var html = '<table class="mytab" width="'+ defaultWidth +'px" cellpadding="0" cellspacing="0"><tr><td colspan="4" style="height:4px;"></td></tr><tr><td class="td_empty"></td><td class="td_l">卖五</td><td class="td_c"><span id="sale5_l"></span></td><td class="td_r"><span id="sale5_r"></span></td></tr><tr><td class="td_empty"></td><td class="td_l">卖四</td><td class="td_c"><span id="sale4_l"></span></td><td class="td_r"><span id="sale4_r"></span></td></tr><tr><td class="td_empty"></td><td class="td_l">卖三</td><td class="td_c"><span id="sale3_l"></span></td><td class="td_r"><span id="sale3_r"></span></td></tr><tr><td class="td_empty"></td><td class="td_l">卖二</td><td class="td_c"><span id="sale2_l"></span></td><td class="td_r"><span id="sale2_r"></span></td></tr><tr><td class="td_empty"></td><td class="td_l" style="color:red">卖一</td><td class="td_c"><span id="sale1_l"></span></td><td class="td_r"><span id="sale1_r"></span></td></tr><tr><td class="td_empty"></td><td colspan="3"><div class="line_h"></div></td></tr><tr><td class="td_empty"></td><td class="td_l">买一</td><td class="td_c"><span id="buy1_l"></span></td><td class="td_r"><span id="buy1_r"></span></td></tr><tr><td class="td_empty"></td><td class="td_l">买二</td><td class="td_c"><span id="buy2_l"></span></td><td class="td_r"><span id="buy2_r"></span></td></tr><tr><td class="td_empty"></td><td class="td_l">买三</td><td class="td_c"><span id="buy3_l"></span></td><td class="td_r"><span id="buy3_r"></span></td></tr><tr><td class="td_empty"></td><td class="td_l">买四</td><td class="td_c"><span id="buy4_l"></span></td><td class="td_r"><span id="buy4_r"></span></td></tr><tr><td class="td_empty"></td><td class="td_l">买五</td><td class="td_c"><span id="buy5_l"></span></td><td class="td_r"><span id="buy5_r"></span></td></tr><tr><td class="td_empty"></td><td colspan="3"><div class="line_h"></div></td></tr><tr><td class="td_empty"></td><td colspan="4"><table cellpadding="1" cellspacing="1"><tr><td>'+ft[0]+'</td><td class="td_r" style="width:25px"><span id="tod_open"></span></td><td>'+ft[1]+'</td><td class="td_r" style="width:25px"><span id="other_1"></span></td></tr><tr><td>'+ft[2]+'</td><td class="td_r" style="width:25px"><span id="ysd_colse"></span></td><td>'+ft[3]+'</td><td class="td_r" style="width:25px"><span id="other_2"></span></td></tr></table></td></tr></table>';	
	$('#'+id).append(html);	
	
	$('.line_h').width(defaultWidth-20);
	
	$('.td_c span').click(function(){
		if(hqTab.ckble)
		{
			var v = $(this).text();
			$('#'+hqTab.curid).val(v);
		}
		else
			return ;
	})
	
}

// code 为证券代码，不能为空
hqTab.UpData = function(code)
{
	this.code = code;	//刷新的时候保存当前证券代码
	var _ix = new IXContent();
	_ix.Set('F110', '7');
	_ix.Set('F140', code);
	Win_CallTQL('retHQ', 'JY:102', _ix, '0');
}
function retHQ(_fromid, _funid, _flagtype, _json)
{
	if (_funid == 'JY:102')
	{
		var data = FormatResult(_json, 1);
		//卖五手
		$('#sale5_l').text(data.rows[0]["F934"]);
		$('#sale5_r').text(data.rows[0]["F924"]);
		
		$('#sale4_l').text(data.rows[0]["F933"]);
		$('#sale4_r').text(data.rows[0]["F923"]);
		
		$('#sale3_l').text(data.rows[0]["F932"]);
		$('#sale3_r').text(data.rows[0]["F922"]);
		
		$('#sale2_l').text(data.rows[0]["F931"]);
		$('#sale2_r').text(data.rows[0]["F921"]);
		
		$('#sale1_l').text(data.rows[0]["F930"]);
		$('#sale1_r').text(data.rows[0]["F920"]);
		
		//买五手
		$('#buy1_l').text(data.rows[0]["F910"]);
		$('#buy1_r').text(data.rows[0]["F900"]);
		
		$('#buy2_l').text(data.rows[0]["F911"]);
		$('#buy2_r').text(data.rows[0]["F901"]);
		
		$('#buy3_l').text(data.rows[0]["F912"]);
		$('#buy3_r').text(data.rows[0]["F902"]);
		
		$('#buy4_l').text(data.rows[0]["F913"]);
		$('#buy4_r').text(data.rows[0]["F903"]);
		
		$('#buy5_l').text(data.rows[0]["F914"]);
		$('#buy5_r').text(data.rows[0]["F904"]);
		
		//其它信息
		$('#tod_open').text(data.rows[0]["F"+ hqTab.ftfunc[0]]);
		$('#other_1').text(data.rows[0]["F"+ hqTab.ftfunc[1]]);		
		$('#ysd_colse').text(data.rows[0]["F"+ hqTab.ftfunc[2]]);
		$('#other_2').text(data.rows[0]["F"+ hqTab.ftfunc[3]]);
		
		var tod_price = $('#tod_open').text();
		var ysd_price = $('#ysd_colse').text();
		//颜色设置
		for(var i=1;i<=5;i++)
		{
			sale = 'sale'+i+'_l';
			buy = 'buy'+i+'_l';
			
			s_val = $('#'+sale).text();
			b_val = $('#'+buy).text();
			
			$('#'+sale).css('color',s_val >= ysd_price?'red':'green');
			$('#'+buy).css('color',b_val >= ysd_price?'red':'green');
		}
		$('#tod_open').css('color',tod_price >= ysd_price?'red':'green');
	}
	
	Refrush() ;

}
function Refrush()
{
	setTimeout("hqTab.UpData(hqTab.code)",10000); 
}
//获取gddm
hqTab.GetGddm = function()
{
	var _ix = new IXContent();
	Win_CallTQL('retGddm', 'JY:1122', _ix, '');
}
function retGddm(_fromid,_funid,_flagtype,_json)
{
	if(_funid == 'JY:1122'){
		var data = FormatResult(_json,1);	
		if (data.ErrorCode == '0') {
			var html = '';
			for(var i=0;i<data.rows.length;i++)
			{
				var gd={};
				gd['gdlb'] = data.rows[i].F125; //  其实是股东lb
				gd['gddm'] = data.rows[i].F123; //  其实是股东dm
				html +=  "<option values='"+ i +"'>"+ hqTab.GetMc(data.rows[i].F125) + data.rows[i].F123 +"</option>";
				hqTab.gdinfo[i] = gd;
			}			
			$('#'+hqTab.gdid).html(html);		    
		} else {
			$.messager.alert("提示",data.ErrorInfo,"error");
			return ;
		}
	}else{
		alert('客户端框架不支持！');
	}
}
//由股东类别 获取 股东名称
hqTab.GetMc = function (gdtype)
{
	var GDMC = "";
	switch (gdtype)
	{
		case "0":
			GDMC = "深A-";
			break;
		case "1":
			GDMC = "沪A-";
			break;
		case "2":
			GDMC = "深B-";
			break;
		case "3":
			GDMC = "沪B-";
			break;
		case "12":
			GDMC = "三板A-";
			break;
		case "13":
			GDMC = "三板B-";
			break;
	}
	return GDMC;
}

hqTab.GetInfo = function (code)
{
	
}